/* A Bison parser, made by GNU Bison 3.7.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30704

/* Bison version string.  */
#define YYBISON_VERSION "3.7.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 50 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_PREFERENCE:
      setter = f_new_inst(FI_PREF_SET, expr);
      getter = f_new_inst(FI_PREF_GET);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;
  
  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 50 "conf/gen_parser.m4"

#line 893 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_PO = 16,                        /* PO  */
  YYSYMBOL_PC = 17,                        /* PC  */
  YYSYMBOL_NUM = 18,                       /* NUM  */
  YYSYMBOL_ENUM = 19,                      /* ENUM  */
  YYSYMBOL_IP4 = 20,                       /* IP4  */
  YYSYMBOL_IP6 = 21,                       /* IP6  */
  YYSYMBOL_VPN_RD = 22,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 23,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 24,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_TEXT = 25,                      /* TEXT  */
  YYSYMBOL_BYTESTRING = 26,                /* BYTESTRING  */
  YYSYMBOL_PREFIX_DUMMY = 27,              /* PREFIX_DUMMY  */
  YYSYMBOL_28_ = 28,                       /* '='  */
  YYSYMBOL_29_ = 29,                       /* '<'  */
  YYSYMBOL_30_ = 30,                       /* '>'  */
  YYSYMBOL_31_ = 31,                       /* '~'  */
  YYSYMBOL_NMA = 32,                       /* NMA  */
  YYSYMBOL_33_ = 33,                       /* '+'  */
  YYSYMBOL_34_ = 34,                       /* '-'  */
  YYSYMBOL_35_ = 35,                       /* '*'  */
  YYSYMBOL_36_ = 36,                       /* '/'  */
  YYSYMBOL_37_ = 37,                       /* '%'  */
  YYSYMBOL_38_ = 38,                       /* '!'  */
  YYSYMBOL_39_ = 39,                       /* '.'  */
  YYSYMBOL_DEFINE = 40,                    /* DEFINE  */
  YYSYMBOL_ON = 41,                        /* ON  */
  YYSYMBOL_OFF = 42,                       /* OFF  */
  YYSYMBOL_YES = 43,                       /* YES  */
  YYSYMBOL_NO = 44,                        /* NO  */
  YYSYMBOL_S = 45,                         /* S  */
  YYSYMBOL_MS = 46,                        /* MS  */
  YYSYMBOL_US = 47,                        /* US  */
  YYSYMBOL_PORT = 48,                      /* PORT  */
  YYSYMBOL_VPN = 49,                       /* VPN  */
  YYSYMBOL_MPLS = 50,                      /* MPLS  */
  YYSYMBOL_FROM = 51,                      /* FROM  */
  YYSYMBOL_52_ = 52,                       /* ';'  */
  YYSYMBOL_53_ = 53,                       /* '('  */
  YYSYMBOL_54_ = 54,                       /* ')'  */
  YYSYMBOL_FLOW4 = 55,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 56,                     /* FLOW6  */
  YYSYMBOL_DST = 57,                       /* DST  */
  YYSYMBOL_SRC = 58,                       /* SRC  */
  YYSYMBOL_PROTO = 59,                     /* PROTO  */
  YYSYMBOL_NEXT = 60,                      /* NEXT  */
  YYSYMBOL_HEADER = 61,                    /* HEADER  */
  YYSYMBOL_DPORT = 62,                     /* DPORT  */
  YYSYMBOL_SPORT = 63,                     /* SPORT  */
  YYSYMBOL_ICMP = 64,                      /* ICMP  */
  YYSYMBOL_TYPE = 65,                      /* TYPE  */
  YYSYMBOL_CODE = 66,                      /* CODE  */
  YYSYMBOL_TCP = 67,                       /* TCP  */
  YYSYMBOL_FLAGS = 68,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 69,                    /* LENGTH  */
  YYSYMBOL_DSCP = 70,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 71,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 72,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 73,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 74,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 75,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 76,                     /* LABEL  */
  YYSYMBOL_OFFSET = 77,                    /* OFFSET  */
  YYSYMBOL_78_ = 78,                       /* ','  */
  YYSYMBOL_79_ = 79,                       /* '{'  */
  YYSYMBOL_80_ = 80,                       /* '}'  */
  YYSYMBOL_FUNCTION = 81,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 82,                     /* PRINT  */
  YYSYMBOL_PRINTN = 83,                    /* PRINTN  */
  YYSYMBOL_UNSET = 84,                     /* UNSET  */
  YYSYMBOL_RETURN = 85,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 86,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 87,                    /* REJECT  */
  YYSYMBOL_ERROR = 88,                     /* ERROR  */
  YYSYMBOL_INT = 89,                       /* INT  */
  YYSYMBOL_BOOL = 90,                      /* BOOL  */
  YYSYMBOL_IP = 91,                        /* IP  */
  YYSYMBOL_PREFIX = 92,                    /* PREFIX  */
  YYSYMBOL_RD = 93,                        /* RD  */
  YYSYMBOL_PAIR = 94,                      /* PAIR  */
  YYSYMBOL_QUAD = 95,                      /* QUAD  */
  YYSYMBOL_EC = 96,                        /* EC  */
  YYSYMBOL_LC = 97,                        /* LC  */
  YYSYMBOL_SET = 98,                       /* SET  */
  YYSYMBOL_STRING = 99,                    /* STRING  */
  YYSYMBOL_BGPMASK = 100,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 101,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 102,                    /* CLIST  */
  YYSYMBOL_ECLIST = 103,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 104,                   /* LCLIST  */
  YYSYMBOL_IF = 105,                       /* IF  */
  YYSYMBOL_THEN = 106,                     /* THEN  */
  YYSYMBOL_ELSE = 107,                     /* ELSE  */
  YYSYMBOL_CASE = 108,                     /* CASE  */
  YYSYMBOL_TRUE = 109,                     /* TRUE  */
  YYSYMBOL_FALSE = 110,                    /* FALSE  */
  YYSYMBOL_RT = 111,                       /* RT  */
  YYSYMBOL_RO = 112,                       /* RO  */
  YYSYMBOL_UNKNOWN = 113,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 114,                  /* GENERIC  */
  YYSYMBOL_GW = 115,                       /* GW  */
  YYSYMBOL_NET = 116,                      /* NET  */
  YYSYMBOL_MASK = 117,                     /* MASK  */
  YYSYMBOL_SOURCE = 118,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 119,                    /* SCOPE  */
  YYSYMBOL_DEST = 120,                     /* DEST  */
  YYSYMBOL_IFNAME = 121,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 122,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 123,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 124,                  /* GW_MPLS  */
  YYSYMBOL_PREFERENCE = 125,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 126,                /* ROA_CHECK  */
  YYSYMBOL_ASN = 127,                      /* ASN  */
  YYSYMBOL_IS_V4 = 128,                    /* IS_V4  */
  YYSYMBOL_IS_V6 = 129,                    /* IS_V6  */
  YYSYMBOL_LEN = 130,                      /* LEN  */
  YYSYMBOL_MAXLEN = 131,                   /* MAXLEN  */
  YYSYMBOL_DATA = 132,                     /* DATA  */
  YYSYMBOL_DATA1 = 133,                    /* DATA1  */
  YYSYMBOL_DATA2 = 134,                    /* DATA2  */
  YYSYMBOL_DEFINED = 135,                  /* DEFINED  */
  YYSYMBOL_ADD = 136,                      /* ADD  */
  YYSYMBOL_DELETE = 137,                   /* DELETE  */
  YYSYMBOL_CONTAINS = 138,                 /* CONTAINS  */
  YYSYMBOL_RESET = 139,                    /* RESET  */
  YYSYMBOL_PREPEND = 140,                  /* PREPEND  */
  YYSYMBOL_FIRST = 141,                    /* FIRST  */
  YYSYMBOL_LAST = 142,                     /* LAST  */
  YYSYMBOL_LAST_NONAGGREGATED = 143,       /* LAST_NONAGGREGATED  */
  YYSYMBOL_MATCH = 144,                    /* MATCH  */
  YYSYMBOL_MIN = 145,                      /* MIN  */
  YYSYMBOL_MAX = 146,                      /* MAX  */
  YYSYMBOL_EMPTY = 147,                    /* EMPTY  */
  YYSYMBOL_FILTER = 148,                   /* FILTER  */
  YYSYMBOL_WHERE = 149,                    /* WHERE  */
  YYSYMBOL_EVAL = 150,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 151,                /* ATTRIBUTE  */
  YYSYMBOL_BT_ASSERT = 152,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 153,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 154,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 155,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 156,                   /* FORMAT  */
  YYSYMBOL_157_ = 157,                     /* ':'  */
  YYSYMBOL_158_ = 158,                     /* '['  */
  YYSYMBOL_159_ = 159,                     /* ']'  */
  YYSYMBOL_160_ = 160,                     /* '?'  */
  YYSYMBOL_ROUTER = 161,                   /* ROUTER  */
  YYSYMBOL_ID = 162,                       /* ID  */
  YYSYMBOL_HOSTNAME = 163,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 164,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 165,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 166,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 167,                    /* DEBUG  */
  YYSYMBOL_ALL = 168,                      /* ALL  */
  YYSYMBOL_DIRECT = 169,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 170,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 171,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 172,                   /* EXPORT  */
  YYSYMBOL_NONE = 173,                     /* NONE  */
  YYSYMBOL_VRF = 174,                      /* VRF  */
  YYSYMBOL_DEFAULT = 175,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 176,                    /* TABLE  */
  YYSYMBOL_STATES = 177,                   /* STATES  */
  YYSYMBOL_ROUTES = 178,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 179,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 180,                     /* IPV4  */
  YYSYMBOL_IPV6 = 181,                     /* IPV6  */
  YYSYMBOL_VPN4 = 182,                     /* VPN4  */
  YYSYMBOL_VPN6 = 183,                     /* VPN6  */
  YYSYMBOL_ROA4 = 184,                     /* ROA4  */
  YYSYMBOL_ROA6 = 185,                     /* ROA6  */
  YYSYMBOL_SADR = 186,                     /* SADR  */
  YYSYMBOL_RECEIVE = 187,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 188,                    /* LIMIT  */
  YYSYMBOL_ACTION = 189,                   /* ACTION  */
  YYSYMBOL_WARN = 190,                     /* WARN  */
  YYSYMBOL_BLOCK = 191,                    /* BLOCK  */
  YYSYMBOL_RESTART = 192,                  /* RESTART  */
  YYSYMBOL_DISABLE = 193,                  /* DISABLE  */
  YYSYMBOL_KEEP = 194,                     /* KEEP  */
  YYSYMBOL_FILTERED = 195,                 /* FILTERED  */
  YYSYMBOL_RPKI = 196,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 197,                 /* PASSWORD  */
  YYSYMBOL_KEY = 198,                      /* KEY  */
  YYSYMBOL_PASSIVE = 199,                  /* PASSIVE  */
  YYSYMBOL_TO = 200,                       /* TO  */
  YYSYMBOL_EVENTS = 201,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 202,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 203,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 204,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 205,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 206,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 207,                    /* KEYED  */
  YYSYMBOL_HMAC = 208,                     /* HMAC  */
  YYSYMBOL_MD5 = 209,                      /* MD5  */
  YYSYMBOL_SHA1 = 210,                     /* SHA1  */
  YYSYMBOL_SHA256 = 211,                   /* SHA256  */
  YYSYMBOL_SHA384 = 212,                   /* SHA384  */
  YYSYMBOL_SHA512 = 213,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 214,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 215,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 216,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 217,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 218,                  /* PRIMARY  */
  YYSYMBOL_STATS = 219,                    /* STATS  */
  YYSYMBOL_COUNT = 220,                    /* COUNT  */
  YYSYMBOL_BY = 221,                       /* BY  */
  YYSYMBOL_FOR = 222,                      /* FOR  */
  YYSYMBOL_IN = 223,                       /* IN  */
  YYSYMBOL_COMMANDS = 224,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 225,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 226,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 227,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 228,                 /* GENERATE  */
  YYSYMBOL_BGP = 229,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 230,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 231,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 232,                   /* RELOAD  */
  YYSYMBOL_OUT = 233,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 234,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 235,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 236,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 237,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 238,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 239,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 240,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 241,                      /* ISO  */
  YYSYMBOL_SHORT = 242,                    /* SHORT  */
  YYSYMBOL_LONG = 243,                     /* LONG  */
  YYSYMBOL_ROUTE = 244,                    /* ROUTE  */
  YYSYMBOL_BASE = 245,                     /* BASE  */
  YYSYMBOL_LOG = 246,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 247,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 248,                     /* WAIT  */
  YYSYMBOL_FLUSH = 249,                    /* FLUSH  */
  YYSYMBOL_AS = 250,                       /* AS  */
  YYSYMBOL_IDLE = 251,                     /* IDLE  */
  YYSYMBOL_RX = 252,                       /* RX  */
  YYSYMBOL_TX = 253,                       /* TX  */
  YYSYMBOL_INTERVAL = 254,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 255,               /* MULTIPLIER  */
  YYSYMBOL_CHECK = 256,                    /* CHECK  */
  YYSYMBOL_LINK = 257,                     /* LINK  */
  YYSYMBOL_SORTED = 258,                   /* SORTED  */
  YYSYMBOL_TRIE = 259,                     /* TRIE  */
  YYSYMBOL_SETTLE = 260,                   /* SETTLE  */
  YYSYMBOL_TIME = 261,                     /* TIME  */
  YYSYMBOL_IPV4_MC = 262,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 263,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 264,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 265,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 266,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 267,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 268,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 269,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 270,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 271,                      /* PRI  */
  YYSYMBOL_SEC = 272,                      /* SEC  */
  YYSYMBOL_SHOW = 273,                     /* SHOW  */
  YYSYMBOL_STATUS = 274,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 275,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 276,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 277,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 278,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 279,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 280,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 281,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 282,                     /* ECHO  */
  YYSYMBOL_ENABLE = 283,                   /* ENABLE  */
  YYSYMBOL_BABEL = 284,                    /* BABEL  */
  YYSYMBOL_METRIC = 285,                   /* METRIC  */
  YYSYMBOL_RXCOST = 286,                   /* RXCOST  */
  YYSYMBOL_HELLO = 287,                    /* HELLO  */
  YYSYMBOL_UPDATE = 288,                   /* UPDATE  */
  YYSYMBOL_WIRED = 289,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 290,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 291,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 292,                 /* PRIORITY  */
  YYSYMBOL_HOP = 293,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 294,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 295,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 296,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 297,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 298,               /* PERMISSIVE  */
  YYSYMBOL_BFD = 299,                      /* BFD  */
  YYSYMBOL_MULTIHOP = 300,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 301,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 302,                      /* DEV  */
  YYSYMBOL_LOCAL = 303,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 304,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 305,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 306,               /* METICULOUS  */
  YYSYMBOL_SESSIONS = 307,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 308,                     /* HOLD  */
  YYSYMBOL_CONNECT = 309,                  /* CONNECT  */
  YYSYMBOL_RETRY = 310,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 311,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 312,                  /* STARTUP  */
  YYSYMBOL_VIA = 313,                      /* VIA  */
  YYSYMBOL_SELF = 314,                     /* SELF  */
  YYSYMBOL_PATH = 315,                     /* PATH  */
  YYSYMBOL_START = 316,                    /* START  */
  YYSYMBOL_DELAY = 317,                    /* DELAY  */
  YYSYMBOL_FORGET = 318,                   /* FORGET  */
  YYSYMBOL_AFTER = 319,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 320,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 321,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 322,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 323,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 324,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 325,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 326,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 327,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 328,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 329,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 330,                  /* ADDRESS  */
  YYSYMBOL_RR = 331,                       /* RR  */
  YYSYMBOL_RS = 332,                       /* RS  */
  YYSYMBOL_CLIENT = 333,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 334,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 335,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 336,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 337,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 338,                   /* PREFER  */
  YYSYMBOL_OLDER = 339,                    /* OLDER  */
  YYSYMBOL_MISSING = 340,                  /* MISSING  */
  YYSYMBOL_LLADDR = 341,                   /* LLADDR  */
  YYSYMBOL_DROP = 342,                     /* DROP  */
  YYSYMBOL_IGNORE = 343,                   /* IGNORE  */
  YYSYMBOL_REFRESH = 344,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 345,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 346,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 347,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 348,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 349,                      /* IGP  */
  YYSYMBOL_GATEWAY = 350,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 351,                /* RECURSIVE  */
  YYSYMBOL_MED = 352,                      /* MED  */
  YYSYMBOL_TTL = 353,                      /* TTL  */
  YYSYMBOL_SECURITY = 354,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 355,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 356,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 357,                    /* ALLOW  */
  YYSYMBOL_PATHS = 358,                    /* PATHS  */
  YYSYMBOL_AWARE = 359,                    /* AWARE  */
  YYSYMBOL_EXTENDED = 360,                 /* EXTENDED  */
  YYSYMBOL_SETKEY = 361,                   /* SETKEY  */
  YYSYMBOL_STRICT = 362,                   /* STRICT  */
  YYSYMBOL_BIND = 363,                     /* BIND  */
  YYSYMBOL_CONFEDERATION = 364,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 365,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 366,                /* MULTICAST  */
  YYSYMBOL_LIVED = 367,                    /* LIVED  */
  YYSYMBOL_STALE = 368,                    /* STALE  */
  YYSYMBOL_IBGP = 369,                     /* IBGP  */
  YYSYMBOL_EBGP = 370,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 371,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 372,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 373,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 374,                     /* SETS  */
  YYSYMBOL_DYNAMIC = 375,                  /* DYNAMIC  */
  YYSYMBOL_RANGE = 376,                    /* RANGE  */
  YYSYMBOL_NAME = 377,                     /* NAME  */
  YYSYMBOL_DIGITS = 378,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 379,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 380,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 381,                /* ORIGINATE  */
  YYSYMBOL_COST = 382,                     /* COST  */
  YYSYMBOL_ENFORCE = 383,                  /* ENFORCE  */
  YYSYMBOL_FREE = 384,                     /* FREE  */
  YYSYMBOL_VALIDATE = 385,                 /* VALIDATE  */
  YYSYMBOL_CEASE = 386,                    /* CEASE  */
  YYSYMBOL_HIT = 387,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 388,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 389,                 /* SHUTDOWN  */
  YYSYMBOL_PEER = 390,                     /* PEER  */
  YYSYMBOL_CONFIGURATION = 391,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 392,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 393,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 394,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 395,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 396,                /* COLLISION  */
  YYSYMBOL_OF = 397,                       /* OF  */
  YYSYMBOL_MRT = 398,                      /* MRT  */
  YYSYMBOL_FILENAME = 399,                 /* FILENAME  */
  YYSYMBOL_PERIOD = 400,                   /* PERIOD  */
  YYSYMBOL_ALWAYS = 401,                   /* ALWAYS  */
  YYSYMBOL_OSPF = 402,                     /* OSPF  */
  YYSYMBOL_V2 = 403,                       /* V2  */
  YYSYMBOL_V3 = 404,                       /* V3  */
  YYSYMBOL_OSPF_METRIC1 = 405,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 406,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 407,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 408,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 409,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 410,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 411,                     /* STUB  */
  YYSYMBOL_TICK = 412,                     /* TICK  */
  YYSYMBOL_COST2 = 413,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 414,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 415,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 416,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 417,                /* BROADCAST  */
  YYSYMBOL_BCAST = 418,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 419,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 420,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 421,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 422,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 423,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 424,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 425,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 426,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 427,                     /* POLL  */
  YYSYMBOL_NETWORKS = 428,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 429,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 430,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 431,                     /* ONLY  */
  YYSYMBOL_LARGE = 432,                    /* LARGE  */
  YYSYMBOL_NORMAL = 433,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 434,                  /* STUBNET  */
  YYSYMBOL_TAG = 435,                      /* TAG  */
  YYSYMBOL_LSADB = 436,                    /* LSADB  */
  YYSYMBOL_ECMP = 437,                     /* ECMP  */
  YYSYMBOL_NSSA = 438,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 439,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 440,                /* STABILITY  */
  YYSYMBOL_GLOBAL = 441,                   /* GLOBAL  */
  YYSYMBOL_LSID = 442,                     /* LSID  */
  YYSYMBOL_INSTANCE = 443,                 /* INSTANCE  */
  YYSYMBOL_REAL = 444,                     /* REAL  */
  YYSYMBOL_NETMASK = 445,                  /* NETMASK  */
  YYSYMBOL_MERGE = 446,                    /* MERGE  */
  YYSYMBOL_LSA = 447,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 448,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 449,                  /* RFC5838  */
  YYSYMBOL_PE = 450,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 451,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 452,                    /* STATE  */
  YYSYMBOL_PERF = 453,                     /* PERF  */
  YYSYMBOL_EXP = 454,                      /* EXP  */
  YYSYMBOL_REPEAT = 455,                   /* REPEAT  */
  YYSYMBOL_THRESHOLD = 456,                /* THRESHOLD  */
  YYSYMBOL_MODE = 457,                     /* MODE  */
  YYSYMBOL_PIPE = 458,                     /* PIPE  */
  YYSYMBOL_RADV = 459,                     /* RADV  */
  YYSYMBOL_RA = 460,                       /* RA  */
  YYSYMBOL_SOLICITED = 461,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 462,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 463,                  /* MANAGED  */
  YYSYMBOL_OTHER = 464,                    /* OTHER  */
  YYSYMBOL_CONFIG = 465,                   /* CONFIG  */
  YYSYMBOL_LINGER = 466,                   /* LINGER  */
  YYSYMBOL_MTU = 467,                      /* MTU  */
  YYSYMBOL_REACHABLE = 468,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 469,                  /* RETRANS  */
  YYSYMBOL_TIMER = 470,                    /* TIMER  */
  YYSYMBOL_CURRENT = 471,                  /* CURRENT  */
  YYSYMBOL_VALID = 472,                    /* VALID  */
  YYSYMBOL_PREFERRED = 473,                /* PREFERRED  */
  YYSYMBOL_MULT = 474,                     /* MULT  */
  YYSYMBOL_LIFETIME = 475,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 476,                     /* SKIP  */
  YYSYMBOL_ONLINK = 477,                   /* ONLINK  */
  YYSYMBOL_AUTONOMOUS = 478,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 479,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 480,                    /* DNSSL  */
  YYSYMBOL_NS = 481,                       /* NS  */
  YYSYMBOL_DOMAIN = 482,                   /* DOMAIN  */
  YYSYMBOL_TRIGGER = 483,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 484,                /* SENSITIVE  */
  YYSYMBOL_LOW = 485,                      /* LOW  */
  YYSYMBOL_MEDIUM = 486,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 487,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 488,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 489,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 490,              /* RA_LIFETIME  */
  YYSYMBOL_RIP = 491,                      /* RIP  */
  YYSYMBOL_NG = 492,                       /* NG  */
  YYSYMBOL_INFINITY = 493,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 494,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 495,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 496,                  /* VERSION  */
  YYSYMBOL_SPLIT = 497,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 498,                  /* HORIZON  */
  YYSYMBOL_POISON = 499,                   /* POISON  */
  YYSYMBOL_REVERSE = 500,                  /* REVERSE  */
  YYSYMBOL_ZERO = 501,                     /* ZERO  */
  YYSYMBOL_PLAINTEXT = 502,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 503,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 504,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 505,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 506,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 507,                   /* REMOTE  */
  YYSYMBOL_BIRD = 508,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 509,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 510,                   /* PUBLIC  */
  YYSYMBOL_SSH = 511,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 512,                /* TRANSPORT  */
  YYSYMBOL_USER = 513,                     /* USER  */
  YYSYMBOL_EXPIRE = 514,                   /* EXPIRE  */
  YYSYMBOL_STATIC = 515,                   /* STATIC  */
  YYSYMBOL_PROHIBIT = 516,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 517,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 518,              /* UNREACHABLE  */
  YYSYMBOL_KERNEL = 519,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 520,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 521,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 522,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 523,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 524,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 525,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 526,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 527,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTRESH = 528,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_CWND = 529,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 530,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 531,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 532,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 533,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 534,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 535,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 536,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_LOCK_MTU = 537,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 538,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 539,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 540,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 541,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 542,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 543,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 544,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 545,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 546,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_FEATURE_ECN = 547,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 548,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_SYSLOG = 549,                   /* SYSLOG  */
  YYSYMBOL_TRACE = 550,                    /* TRACE  */
  YYSYMBOL_INFO = 551,                     /* INFO  */
  YYSYMBOL_WARNING = 552,                  /* WARNING  */
  YYSYMBOL_AUTH = 553,                     /* AUTH  */
  YYSYMBOL_FATAL = 554,                    /* FATAL  */
  YYSYMBOL_BUG = 555,                      /* BUG  */
  YYSYMBOL_STDERR = 556,                   /* STDERR  */
  YYSYMBOL_SOFT = 557,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 558,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 559,                     /* UNDO  */
  YYSYMBOL_LATENCY = 560,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 561,                 /* WATCHDOG  */
  YYSYMBOL_CONFIGURE = 562,                /* CONFIGURE  */
  YYSYMBOL_DOWN = 563,                     /* DOWN  */
  YYSYMBOL_PERSIST = 564,                  /* PERSIST  */
  YYSYMBOL_SCAN = 565,                     /* SCAN  */
  YYSYMBOL_LEARN = 566,                    /* LEARN  */
  YYSYMBOL_DEVICE = 567,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 568,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 569,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 570,                 /* $accept  */
  YYSYMBOL_cli_cmd = 571,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 572,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 573,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 574,                 /* cmd_HELP  */
  YYSYMBOL_config = 575,                   /* config  */
  YYSYMBOL_conf_entries = 576,             /* conf_entries  */
  YYSYMBOL_conf = 577,                     /* conf  */
  YYSYMBOL_definition = 578,               /* definition  */
  YYSYMBOL_expr = 579,                     /* expr  */
  YYSYMBOL_expr_us = 580,                  /* expr_us  */
  YYSYMBOL_symbol = 581,                   /* symbol  */
  YYSYMBOL_bool = 582,                     /* bool  */
  YYSYMBOL_ipa = 583,                      /* ipa  */
  YYSYMBOL_ipa_scope = 584,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 585,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 586,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 587,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 588,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 589,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 590,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 591,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 592,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 593,                /* net_mpls_  */
  YYSYMBOL_net_ip_ = 594,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 595,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 596,                 /* net_roa_  */
  YYSYMBOL_net_ = 597,                     /* net_  */
  YYSYMBOL_net_ip6 = 598,                  /* net_ip6  */
  YYSYMBOL_net_ip = 599,                   /* net_ip  */
  YYSYMBOL_net_any = 600,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 601,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 602,        /* label_stack_start  */
  YYSYMBOL_label_stack = 603,              /* label_stack  */
  YYSYMBOL_time = 604,                     /* time  */
  YYSYMBOL_text = 605,                     /* text  */
  YYSYMBOL_opttext = 606,                  /* opttext  */
  YYSYMBOL_flow_num_op = 607,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 608,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 609,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 610,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 611,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 612,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 613,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 614,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 615,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 616,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 617,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 618,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 619,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 620,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 621,               /* flow4_item  */
  YYSYMBOL_flow6_item = 622,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 623,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 624,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 625,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 626,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 627,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 628,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 629,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 630,                /* net_flow_  */
  YYSYMBOL_filter_def = 631,               /* filter_def  */
  YYSYMBOL_632_1 = 632,                    /* $@1  */
  YYSYMBOL_filter_eval = 633,              /* filter_eval  */
  YYSYMBOL_custom_attr = 634,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 635,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 636,             /* bt_test_same  */
  YYSYMBOL_type = 637,                     /* type  */
  YYSYMBOL_function_argsn = 638,           /* function_argsn  */
  YYSYMBOL_function_args = 639,            /* function_args  */
  YYSYMBOL_function_vars = 640,            /* function_vars  */
  YYSYMBOL_filter_body = 641,              /* filter_body  */
  YYSYMBOL_filter = 642,                   /* filter  */
  YYSYMBOL_where_filter = 643,             /* where_filter  */
  YYSYMBOL_function_body = 644,            /* function_body  */
  YYSYMBOL_function_def = 645,             /* function_def  */
  YYSYMBOL_646_2 = 646,                    /* $@2  */
  YYSYMBOL_cmds = 647,                     /* cmds  */
  YYSYMBOL_cmd_prep = 648,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 649,                 /* cmds_int  */
  YYSYMBOL_block = 650,                    /* block  */
  YYSYMBOL_fipa = 651,                     /* fipa  */
  YYSYMBOL_set_atom = 652,                 /* set_atom  */
  YYSYMBOL_switch_atom = 653,              /* switch_atom  */
  YYSYMBOL_cnum = 654,                     /* cnum  */
  YYSYMBOL_pair_item = 655,                /* pair_item  */
  YYSYMBOL_ec_kind = 656,                  /* ec_kind  */
  YYSYMBOL_ec_item = 657,                  /* ec_item  */
  YYSYMBOL_lc_item = 658,                  /* lc_item  */
  YYSYMBOL_set_item = 659,                 /* set_item  */
  YYSYMBOL_switch_item = 660,              /* switch_item  */
  YYSYMBOL_set_items = 661,                /* set_items  */
  YYSYMBOL_switch_items = 662,             /* switch_items  */
  YYSYMBOL_fprefix = 663,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 664,              /* fprefix_set  */
  YYSYMBOL_switch_body = 665,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 666,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 667,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 668,            /* bgp_path_tail  */
  YYSYMBOL_constant = 669,                 /* constant  */
  YYSYMBOL_constructor = 670,              /* constructor  */
  YYSYMBOL_var_list = 671,                 /* var_list  */
  YYSYMBOL_function_call = 672,            /* function_call  */
  YYSYMBOL_symbol_value = 673,             /* symbol_value  */
  YYSYMBOL_static_attr = 674,              /* static_attr  */
  YYSYMBOL_term = 675,                     /* term  */
  YYSYMBOL_break_command = 676,            /* break_command  */
  YYSYMBOL_print_list = 677,               /* print_list  */
  YYSYMBOL_cmd = 678,                      /* cmd  */
  YYSYMBOL_get_cf_position = 679,          /* get_cf_position  */
  YYSYMBOL_lvalue = 680,                   /* lvalue  */
  YYSYMBOL_rtrid = 681,                    /* rtrid  */
  YYSYMBOL_idval = 682,                    /* idval  */
  YYSYMBOL_hostname_override = 683,        /* hostname_override  */
  YYSYMBOL_gr_opts = 684,                  /* gr_opts  */
  YYSYMBOL_net_type = 685,                 /* net_type  */
  YYSYMBOL_table = 686,                    /* table  */
  YYSYMBOL_table_start = 687,              /* table_start  */
  YYSYMBOL_table_sorted = 688,             /* table_sorted  */
  YYSYMBOL_table_opt = 689,                /* table_opt  */
  YYSYMBOL_table_opts = 690,               /* table_opts  */
  YYSYMBOL_table_opt_list = 691,           /* table_opt_list  */
  YYSYMBOL_proto_start = 692,              /* proto_start  */
  YYSYMBOL_proto_name = 693,               /* proto_name  */
  YYSYMBOL_proto_item = 694,               /* proto_item  */
  YYSYMBOL_channel_start = 695,            /* channel_start  */
  YYSYMBOL_channel_item_ = 696,            /* channel_item_  */
  YYSYMBOL_channel_item = 697,             /* channel_item  */
  YYSYMBOL_channel_opts = 698,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 699,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 700,              /* channel_end  */
  YYSYMBOL_proto_channel = 701,            /* proto_channel  */
  YYSYMBOL_rtable = 702,                   /* rtable  */
  YYSYMBOL_imexport = 703,                 /* imexport  */
  YYSYMBOL_limit_action = 704,             /* limit_action  */
  YYSYMBOL_limit_spec = 705,               /* limit_spec  */
  YYSYMBOL_debug_default = 706,            /* debug_default  */
  YYSYMBOL_timeformat_which = 707,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 708,          /* timeformat_spec  */
  YYSYMBOL_timeformat_base = 709,          /* timeformat_base  */
  YYSYMBOL_iface_patt_node_init = 710,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 711,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 712,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 713,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 714,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 715,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 716,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 717,               /* iface_patt  */
  YYSYMBOL_tos = 718,                      /* tos  */
  YYSYMBOL_proto = 719,                    /* proto  */
  YYSYMBOL_dev_proto_start = 720,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 721,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 722,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 723,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 724,               /* debug_mask  */
  YYSYMBOL_debug_list = 725,               /* debug_list  */
  YYSYMBOL_debug_flag = 726,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 727,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 728,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 729,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 730,            /* password_list  */
  YYSYMBOL_password_list_body = 731,       /* password_list_body  */
  YYSYMBOL_password_items = 732,           /* password_items  */
  YYSYMBOL_password_item = 733,            /* password_item  */
  YYSYMBOL_pass_key = 734,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 735,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 736,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 737,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 738,        /* password_item_end  */
  YYSYMBOL_bfd_item = 739,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 740,                /* bfd_items  */
  YYSYMBOL_bfd_opts = 741,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 742,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 743,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 744,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 745,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 746,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 747,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 748, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 749,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 750,                   /* r_args  */
  YYSYMBOL_r_args_for = 751,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 752,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 753,              /* export_mode  */
  YYSYMBOL_channel_sym = 754,              /* channel_sym  */
  YYSYMBOL_channel_arg = 755,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 756,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 757,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 758,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 759,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 760,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 761,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 762,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 763,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 764,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 765,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 766,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 767,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 768,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 769,                /* echo_mask  */
  YYSYMBOL_echo_size = 770,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 771,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 772,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 773,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 774,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 775,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 776,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 777,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 778,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 779,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 780,             /* cmd_RESTRICT  */
  YYSYMBOL_proto_patt = 781,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 782,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 783,             /* dynamic_attr  */
  YYSYMBOL_babel_proto_start = 784,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 785,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 786,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 787,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 788,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 789,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 790,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 791,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 792,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 793,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 794, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 795, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 796,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 797,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 798,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 799,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 800,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 801,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 802,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 803,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 804,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 805,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 806,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 807,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 808,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 809,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 810,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 811,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 812,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 813,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 814,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 815,             /* bfd_neighbor  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 816,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bgp_proto_start = 817,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 818,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 819,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 820,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 821,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 822,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_proto = 823,                /* bgp_proto  */
  YYSYMBOL_824_3 = 824,                    /* $@3  */
  YYSYMBOL_825_4 = 825,                    /* $@4  */
  YYSYMBOL_bgp_afi = 826,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 827,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 828,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 829,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 830,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 831,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 832,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 833,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 834,        /* bgp_proto_channel  */
  YYSYMBOL_mrt_proto_start = 835,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 836,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 837,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 838,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 839,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 840,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 841,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 842,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 843,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 844,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 845,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 846,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 847,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 848,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 849,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 850,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 851,           /* ospf_area_item  */
  YYSYMBOL_852_5 = 852,                    /* $@5  */
  YYSYMBOL_853_6 = 853,                    /* $@6  */
  YYSYMBOL_ospf_stubnet = 854,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 855,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 856,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 857,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 858,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 859,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 860,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 861,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 862,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 863,                /* pref_list  */
  YYSYMBOL_pref_item = 864,                /* pref_item  */
  YYSYMBOL_pref_base = 865,                /* pref_base  */
  YYSYMBOL_pref_opt = 866,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 867,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 868,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 869,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 870,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 871,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 872,     /* ospf_iface_patt_list  */
  YYSYMBOL_873_7 = 873,                    /* $@7  */
  YYSYMBOL_ospf_iface_opts = 874,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 875,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 876,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 877,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 878,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 879,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 880,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 881, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 882,      /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 883,  /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 884,      /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 885,               /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 886,         /* perf_proto_start  */
  YYSYMBOL_perf_proto = 887,               /* perf_proto  */
  YYSYMBOL_perf_proto_item = 888,          /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 889,         /* pipe_proto_start  */
  YYSYMBOL_890_8 = 890,                    /* $@8  */
  YYSYMBOL_pipe_proto = 891,               /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 892,         /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 893,          /* radv_proto_item  */
  YYSYMBOL_894_9 = 894,                    /* $@9  */
  YYSYMBOL_895_10 = 895,                   /* $@10  */
  YYSYMBOL_radv_proto_opts = 896,          /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 897,               /* radv_proto  */
  YYSYMBOL_radv_iface_start = 898,         /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 899,          /* radv_iface_item  */
  YYSYMBOL_900_11 = 900,                   /* $@11  */
  YYSYMBOL_901_12 = 901,                   /* $@12  */
  YYSYMBOL_radv_preference = 902,          /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 903,        /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 904,          /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 905,      /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 906,               /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 907,        /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 908,         /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 909,       /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 910,         /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 911,     /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 912,              /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 913,          /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 914,         /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 915,          /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 916,        /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 917,          /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 918,               /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 919,          /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 920,         /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 921,          /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 922,        /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 923,          /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 924,               /* radv_dnssl  */
  YYSYMBOL_radv_mult = 925,                /* radv_mult  */
  YYSYMBOL_radv_sensitive = 926,           /* radv_sensitive  */
  YYSYMBOL_rip_variant = 927,              /* rip_variant  */
  YYSYMBOL_rip_proto_start = 928,          /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 929,           /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 930,           /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 931,                /* rip_proto  */
  YYSYMBOL_rip_iface_start = 932,          /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 933,         /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 934,           /* rip_iface_item  */
  YYSYMBOL_rip_auth = 935,                 /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 936,           /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 937,       /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 938,                /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 939,  /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 940,   /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 941,         /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 942,               /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 943,          /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 944,          /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 945,       /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 946,     /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 947,          /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 948,           /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 949,  /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_ssh_init = 950,  /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 951,  /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 952,  /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 953, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 954,       /* static_proto_start  */
  YYSYMBOL_static_proto = 955,             /* static_proto  */
  YYSYMBOL_stat_nexthop = 956,             /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 957,            /* stat_nexthops  */
  YYSYMBOL_stat_route0 = 958,              /* stat_route0  */
  YYSYMBOL_stat_route = 959,               /* stat_route  */
  YYSYMBOL_stat_route_item = 960,          /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 961,          /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 962,      /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 963,          /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 964,               /* kern_proto  */
  YYSYMBOL_kern_sys_item = 965,            /* kern_sys_item  */
  YYSYMBOL_log_begin = 966,                /* log_begin  */
  YYSYMBOL_log_config = 967,               /* log_config  */
  YYSYMBOL_syslog_name = 968,              /* syslog_name  */
  YYSYMBOL_log_limit = 969,                /* log_limit  */
  YYSYMBOL_log_file = 970,                 /* log_file  */
  YYSYMBOL_log_mask = 971,                 /* log_mask  */
  YYSYMBOL_log_mask_list = 972,            /* log_mask_list  */
  YYSYMBOL_log_cat = 973,                  /* log_cat  */
  YYSYMBOL_mrtdump_base = 974,             /* mrtdump_base  */
  YYSYMBOL_debug_unix = 975,               /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 976,            /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 977,       /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 978,    /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 979,       /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 980,     /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 981,      /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 982,                 /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 983,     /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 984,                 /* cfg_name  */
  YYSYMBOL_cfg_timeout = 985,              /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 986,         /* kern_proto_start  */
  YYSYMBOL_kern_mp_limit = 987,            /* kern_mp_limit  */
  YYSYMBOL_kern_item = 988,                /* kern_item  */
  YYSYMBOL_kif_proto_start = 989,          /* kif_proto_start  */
  YYSYMBOL_kif_proto = 990,                /* kif_proto  */
  YYSYMBOL_kif_item = 991,                 /* kif_item  */
  YYSYMBOL_kif_iface_start = 992,          /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 993,           /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 994,           /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 995,       /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 996                 /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6538

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  570
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  427
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1453
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2669

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   803


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,     2,     2,     2,    37,     2,     2,
      53,    54,    35,    33,    78,    34,    39,    36,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   157,    52,
      29,    28,    30,   160,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   158,     2,   159,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    79,     2,    80,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   136,   136,   137,   140,   142,   145,   150,   153,   161,
     162,   163,   169,   170,   171,   174,   174,   179,   180,   181,
     182,   183,   184,   191,   192,   193,   200,   201,   208,   214,
     224,   237,   256,   262,   268,   276,   284,   290,   290,   291,
     291,   292,   292,   295,   296,   297,   298,   299,   300,   307,
     308,   316,   317,   325,   326,   334,   335,   336,   337,   338,
     348,   356,   357,   366,   374,   375,   382,   383,    37,    38,
      39,    40,    41,    42,    43,    44,    48,    49,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    65,    66,
      67,    70,    71,    75,    79,    83,    84,    88,    92,   101,
     102,   106,   110,   114,   121,   122,   126,   127,   128,   129,
     133,   136,   139,   145,   149,   150,   151,   155,   159,   165,
     166,   167,   170,   172,   175,   177,   181,   188,   189,   191,
     197,   203,   203,     9,     9,    10,    10,    11,    11,   317,
     319,   319,   329,   331,   334,   335,   339,   341,   352,   354,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   405,   407,   414,   415,
     422,   423,   429,   432,   436,   444,   451,   457,   459,   459,
     472,   473,   476,   484,   485,   499,   502,   511,   512,   525,
     526,   527,   528,   529,   533,   541,   542,   543,   544,   548,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     565,   566,   567,   568,   572,   573,   574,   578,   579,   580,
     581,   582,   583,   584,   585,   590,   591,   592,   593,   594,
     598,   599,   600,   601,   602,   606,   607,   611,   612,   616,
     617,   618,   619,   627,   628,   631,   632,   640,   650,   651,
     655,   659,   660,   661,   665,   666,   667,   668,   669,   673,
     674,   675,   676,   677,   678,   679,   680,   685,   686,   690,
     691,   692,   693,   698,   699,   700,   703,   727,   746,   747,
     748,   749,   750,   751,   752,   753,   754,   755,   756,   760,
     761,   762,   763,   764,   765,   766,   767,   768,   769,   770,
     771,   772,   773,   774,   775,   776,   778,   779,   780,   782,
     784,   786,   788,   789,   790,   791,   792,   793,   794,   795,
     796,   797,   798,   799,   800,   801,   802,   803,   804,   805,
     815,   816,   817,   818,   819,   820,   821,   822,   824,   825,
     827,   831,   835,   836,   837,   840,   841,   842,   851,   854,
     857,   869,   873,   876,   881,   884,   887,   898,   902,   905,
     906,   910,   911,   912,   913,   914,   915,   916,   920,   925,
     926,   927,   928,   159,   162,   163,   167,   168,   169,   170,
     180,   182,   184,   186,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   209,   211,   213,   218,   220,   224,
     225,   230,   231,   234,   236,   239,   241,   247,   250,   251,
     255,   261,   265,   275,   285,   287,   288,   289,   290,   291,
     292,   293,   297,   303,   308,   309,   310,   311,   312,   313,
     314,   315,   320,   321,   324,   326,   329,   331,   335,   342,
     345,   348,   349,   350,   351,   355,   356,   357,   358,   359,
     363,   364,   368,   371,   372,   373,   378,   381,   382,   383,
     384,   388,   389,   390,   391,   392,   393,   394,   395,   399,
     406,   414,   415,   419,   420,   424,   429,   430,   434,   436,
     444,   448,   449,   454,   456,   463,   464,   465,   466,   467,
     471,   479,   485,   486,   487,   491,   492,   496,   497,   498,
     499,   500,   501,   507,   508,   509,   513,   514,   518,   519,
     525,   529,   530,   533,   535,   539,   540,   543,   543,   546,
     547,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   580,   588,   589,   590,   591,   592,
     593,   594,   597,   599,   603,   609,   609,   612,   612,   615,
     615,   618,   618,   622,   623,   626,   626,   629,   629,   633,
     633,   637,   643,   649,   655,   662,   668,   675,   680,   685,
     690,   695,   699,   703,   707,   717,   724,   733,   737,   744,
     748,   749,   750,   751,   755,   759,   763,   777,   778,   779,
     780,   783,   784,   785,   786,   791,   792,   793,   794,   795,
     796,   797,   798,   799,   800,   801,   802,   803,   804,   805,
     806,   807,   808,   809,   810,   814,   824,   824,   828,   831,
     832,   833,   834,   835,   836,   841,   841,   843,   843,   845,
     845,   847,   847,   849,   849,   851,   851,   853,   853,   855,
     855,   857,   857,   860,   860,   864,   864,   870,   871,   872,
     876,   877,   883,   883,   885,   885,   887,   887,   889,   889,
     891,   891,   893,   893,   897,   897,   901,   902,   906,   906,
     909,   909,   913,   914,   915,   919,   920,   921,   924,    34,
      36,    46,    47,    48,    49,    50,    53,    55,    59,    63,
      64,    65,    66,    70,    74,    78,    92,   112,   113,   114,
     115,   116,   117,   118,   119,   123,   124,   125,   126,   127,
     128,   131,   133,   136,   138,   142,   145,   150,   151,   152,
     156,   157,   161,   162,   165,   184,   184,    32,    34,    42,
      43,    44,    45,    48,    50,    54,    58,    74,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   152,   154,   157,
     159,   164,   166,   170,   170,   173,   173,   176,   176,   179,
     179,    47,    49,    80,    82,    83,    86,    88,    89,    90,
      91,    96,    97,   101,   102,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   118,   119,   120,   121,   122,   126,
     127,   133,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   198,   198,   199,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   217,   243,   244,   245,   247,   247,   247,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   287,   299,   301,   304,   306,   310,   317,   320,
     322,   324,   326,   328,   330,   332,   334,   336,   338,   340,
     342,   344,    26,    28,    34,    35,    36,    37,    38,    39,
      40,    41,    44,    46,    50,    53,    53,    57,    58,    59,
      60,    61,    62,   211,   214,   215,   216,   219,   235,   236,
     240,   241,   245,   254,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   274,
     289,   292,   294,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   307,   308,   308,   309,   310,   311,   315,
     316,   320,   328,   330,   334,   335,   336,   340,   341,   344,
     346,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   362,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   422,   424,   427,   429,   437,   439,   440,   443,
     445,   449,   450,   453,   463,   485,   487,   491,   491,   494,
     496,   499,   501,   505,   508,   509,   510,   511,   514,   514,
     517,   517,   520,   520,   525,   525,   528,   528,   533,   533,
     536,   536,   540,   540,   549,   552,   553,   554,   555,   556,
     557,   558,   559,    24,    26,    40,    41,    42,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    23,    26,
      25,    40,    41,    42,    43,    44,    46,    58,    59,    60,
      61,    62,    62,    63,    63,    64,    65,    68,    70,    74,
      78,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   116,   120,   121,   122,   123,   124,   125,   125,
     126,   126,   127,   128,   132,   133,   134,   137,   175,   177,
     180,   182,   186,   189,   201,   202,   203,   204,   208,   215,
     223,   225,   228,   230,   234,   238,   248,   253,   254,   255,
     259,   271,   273,   277,   278,   282,   295,   300,   301,   302,
     306,   318,   320,   324,   325,   330,   331,   335,   336,   339,
     340,    46,    49,    50,    53,    67,    68,    69,    70,    71,
      72,    75,    77,    81,    85,   110,   140,   141,   142,   143,
     144,   145,   146,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   173,   174,   175,   176,   179,   181,   184,
     186,   190,   193,   194,   198,   198,   201,   201,    41,    43,
      50,    52,    54,    58,    59,    60,    61,    62,    63,    64,
      70,    76,    82,    86,    87,    90,    93,    97,   108,   109,
     113,   120,   130,   132,   136,   137,   138,   142,    54,    56,
      63,    64,    65,    66,    67,    75,    79,    84,    89,    92,
      95,    99,   105,   106,   109,   121,   122,   126,   131,   132,
     133,   134,   135,   136,   140,   149,   151,   154,   156,   160,
     160,    23,    26,    27,    28,    31,    32,    33,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    62,    63,    31,    33,    35,    42,    43,    46,    48,
      52,    62,    63,    67,    68,    72,    73,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    89,    92,    93,   104,
     107,   108,   109,   110,   118,   118,   121,   121,   128,   128,
     131,   131,   134,   134,   137,   137,   140,   140,   145,   145,
     150,   151,   155,   156,   157,    41,    43,    48,    49,    52,
      53,    57,    58,    59,    60,    64,    71,    72,    83,    85,
      88,    89,    92,    93,    94,   101,   108,   111,   113,   116,
     118,   122,   125,   126
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "PO", "PC", "NUM", "ENUM", "IP4", "IP6", "VPN_RD",
  "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "TEXT", "BYTESTRING", "PREFIX_DUMMY",
  "'='", "'<'", "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US",
  "PORT", "VPN", "MPLS", "FROM", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "FUNCTION", "PRINT", "PRINTN", "UNSET",
  "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP", "PREFIX",
  "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING", "BGPMASK", "BGPPATH",
  "CLIST", "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "TRUE",
  "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "MASK", "SOURCE",
  "SCOPE", "DEST", "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "PREFERENCE",
  "ROA_CHECK", "ASN", "IS_V4", "IS_V6", "LEN", "MAXLEN", "DATA", "DATA1",
  "DATA2", "DEFINED", "ADD", "DELETE", "CONTAINS", "RESET", "PREPEND",
  "FIRST", "LAST", "LAST_NONAGGREGATED", "MATCH", "MIN", "MAX", "EMPTY",
  "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT", "BT_TEST_SUITE",
  "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "':'", "'['", "']'", "'?'",
  "ROUTER", "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG",
  "ALL", "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF",
  "DEFAULT", "TABLE", "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6",
  "VPN4", "VPN6", "ROA4", "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION",
  "WARN", "BLOCK", "RESTART", "DISABLE", "KEEP", "FILTERED", "RPKI",
  "PASSWORD", "KEY", "PASSIVE", "TO", "EVENTS", "PACKETS", "PROTOCOLS",
  "CHANNELS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1",
  "SHA256", "SHA384", "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256",
  "BLAKE2B512", "PRIMARY", "STATS", "COUNT", "BY", "FOR", "IN", "COMMANDS",
  "PREEXPORT", "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS",
  "DESCRIPTION", "RELOAD", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT",
  "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG",
  "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT", "FLUSH", "AS", "IDLE", "RX",
  "TX", "INTERVAL", "MULTIPLIER", "CHECK", "LINK", "SORTED", "TRIE",
  "SETTLE", "TIME", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BABEL",
  "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER",
  "PRIORITY", "HOP", "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC",
  "PERMISSIVE", "BFD", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL",
  "AUTHENTICATION", "SIMPLE", "METICULOUS", "SESSIONS", "HOLD", "CONNECT",
  "RETRY", "KEEPALIVE", "STARTUP", "VIA", "SELF", "PATH", "START", "DELAY",
  "FORGET", "AFTER", "BGP_PATH", "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN",
  "BGP_NEXT_HOP", "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "STRICT", "BIND",
  "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP",
  "MANDATORY", "INTERNAL", "EXTERNAL", "SETS", "DYNAMIC", "RANGE", "NAME",
  "DIGITS", "BGP_AIGP", "AIGP", "ORIGINATE", "COST", "ENFORCE", "FREE",
  "VALIDATE", "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "PEER",
  "CONFIGURATION", "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED",
  "COLLISION", "OF", "MRT", "FILENAME", "PERIOD", "ALWAYS", "OSPF", "V2",
  "V3", "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID",
  "AREA", "RFC1583COMPAT", "STUB", "TICK", "COST2", "RETRANSMIT",
  "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA",
  "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC",
  "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE",
  "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR",
  "STABILITY", "GLOBAL", "LSID", "INSTANCE", "REAL", "NETMASK", "MERGE",
  "LSA", "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF",
  "EXP", "REPEAT", "THRESHOLD", "MODE", "PIPE", "RADV", "RA", "SOLICITED",
  "UNICAST", "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE",
  "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME",
  "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "DOMAIN",
  "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT",
  "GARBAGE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO",
  "PLAINTEXT", "DEMAND", "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE",
  "BIRD", "PRIVATE", "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE",
  "STATIC", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL", "NETLINK",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW",
  "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "$accept",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "config", "conf_entries",
  "conf", "definition", "expr", "expr_us", "symbol", "bool", "ipa",
  "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_", "net_ip6_sadr_",
  "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_", "net_mpls_",
  "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip6", "net_ip",
  "net_any", "net_or_ipa", "label_stack_start", "label_stack", "time",
  "text", "opttext", "flow_num_op", "flow_logic_op", "flow_num_type_",
  "flow_num_type", "flow_flag_type", "flow_frag_type", "flow_srcdst",
  "flow_num_opts", "flow_num_opt_ext_expr", "flow_num_opt_ext",
  "flow_bmk_opts", "flow_neg", "flow_frag_val", "flow_frag_opts",
  "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "filter_body",
  "filter", "where_filter", "function_body", "function_def", "$@2", "cmds",
  "cmd_prep", "cmds_int", "block", "fipa", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "var_list", "function_call", "symbol_value",
  "static_attr", "term", "break_command", "print_list", "cmd",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type", "table", "table_start", "table_sorted",
  "table_opt", "table_opts", "table_opt_list", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item_", "channel_item",
  "channel_opts", "channel_opt_list", "channel_end", "proto_channel",
  "rtable", "imexport", "limit_action", "limit_spec", "debug_default",
  "timeformat_which", "timeformat_spec", "timeformat_base",
  "iface_patt_node_init", "iface_patt_node_body", "iface_negate",
  "iface_patt_node", "iface_patt_list", "iface_patt_list_nopx",
  "iface_patt_init", "iface_patt", "tos", "proto", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "bgp_proto_start", "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask",
  "bgp_cease_list", "bgp_cease_flag", "bgp_proto", "$@3", "$@4", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@5", "$@6", "ospf_stubnet", "ospf_stubnet_start", "ospf_stubnet_opts",
  "ospf_stubnet_item", "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item",
  "ospf_vlink_start", "ospf_iface_item", "pref_list", "pref_item",
  "pref_base", "pref_opt", "nbma_list", "nbma_eligible", "nbma_item",
  "ospf_iface_start", "ospf_instance_id", "ospf_iface_patt_list", "$@7",
  "ospf_iface_opts", "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@8", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@9", "$@10", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@11", "$@12", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    61,    60,
      62,   126,   283,    43,    45,    42,    47,    37,    33,    46,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    59,    40,    41,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    44,   123,
     125,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    58,    91,    93,
      63,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803
};
#endif

#define YYPACT_NINF (-2210)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-867)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     236,    53,   266,   259,   268,   378,   413,  4648,   230,   411,
     411,   487,   411,   429,   284,   901,  1270,   559,   411,   234,
      16,   532, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210,   745, -2210, -2210, -2210, -2210,   745,   745,  4648,  3256,
     518,   564,   450,   472, -2210, -2210,  -123, -2210,   445, -2210,
   -2210, -2210, -2210,   150,   486, -2210,   474,    26, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,   498,
   -2210,   438,   772, -2210, -2210, -2210,   743,  2359,   743, -2210,
     743, -2210,   743,  6154,   743, -2210,   743,  1764,   743,   754,
     685,  1367,   743, -2210,   743, -2210,   743, -2210,   743,  1626,
     742, -2210, -2210, -2210,   743,   743,   -43, -2210, -2210, -2210,
     630, -2210, -2210,   780,   803,   786,   807, -2210,   733,   243,
    4648,   876, -2210,  2752,   825,   854, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,   887,
     890,   893,   914,   930,   946,   965,  1833, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
     847,   923, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210,  3023, -2210,   983, -2210, -2210,   618,  1033,   618,
   -2210,  1073,  1073,   411,   411,  1099,   633, -2210,  1105,   493,
     119,  1109, -2210,  1115, -2210,   405,   811,    89,    36,  1111,
     974,  1148,  1163,  1167,  1173,  1178,  1193,  1209,  1214, -2210,
     -20, -2210,  1140,  1073, -2210, -2210,  1202,  1232,  1202,  1251,
    1296,   829, -2210, -2210, -2210,  1217, -2210, -2210,  3864, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210,   655,  1304,  1315,   987, -2210, -2210,
    1267,   618,   618,   584,   820, -2210,   633,  1278, -2210, -2210,
   -2210, -2210,   130,  1298,    20,  1116,   584,   584,   745, -2210,
    1289, -2210, -2210, -2210, -2210, -2210, -2210,   484, -2210, -2210,
   -2210,   902, -2210, -2210, -2210, -2210, -2210,  1373,  1350,  1336,
   -2210,  1241,  1940,   618, -2210,   201,   472,   633,  1165, -2210,
    1371,  1347,  1375,  1377,  1356,  1359,  1360, -2210, -2210, -2210,
     -40,  1113,  1390,  1419,   665,    37,    47,    65,    95,  1127,
     472,  1940,  1083,  1259,  1196,    93,  1342,   879,    86,   991,
    1199,   -46,  1204,  1146,  1171,  1145,   625,  1130,  1305,  1940,
    1131,  1123,  1187,  1189,  1122,  1128,   242,  1940,  1125,    99,
    1120,  1352,  1136,  1458, -2210,  1432,  1460,  1436,  1439,  1081,
   -2210,  1330,   691,  1940,  1376,   584,  1940,  1378,  1172,  1940,
    1180, -2210,  1347, -2210,  1495,  1473, -2210,  1474, -2210,  1940,
    1538,   131,  1541,   886,   920,  1508, -2210,  1510, -2210, -2210,
     584,  1585,  1034,  1542,  1382,  1332,  1395,  1520,  1522,  1498,
    1502,  1503,  1509, -2210,  1480,  1333,  1417,  1545,  1547,   -32,
    1515, -2210,  1410,   584,  1245,  1429,  1362,  1940,  1355,  1940,
   -2210, -2210,  1559,  1566,  1540,  1546, -2210, -2210,  1368, -2210,
    1576,  1211, -2210,   630,   630,  4648,  1951,   630,   630,  1613,
   -2210,  1614, -2210,  1615,   780,  1600, -2210, -2210,  4648,  1604,
     274,  1609,  1605, -2210, -2210, -2210,  1627, -2210,  1569,  2674,
   -2210, -2210,  1542,  4648,  4648,  4648,  4648,  4648,  4648, -2210,
   -2210,  1600, -2210, -2210,  2311, -2210, -2210,   637, -2210,  1648,
   -2210, -2210, -2210, -2210,   153, -2210,   166,  1643,  1644, -2210,
    4648,  4648,  4648,  4648,  4648,  4648,  4648,  4648,  4648,  4648,
    4648,  4648,  4648,  4648,  2437,  2209, -2210,  1035, -2210, -2210,
   -2210, -2210, -2210,  1657,  1666,  1667,  1669, -2210, -2210,   400,
   -2210,  1672, -2210, -2210, -2210,   712,  1683, -2210,  1684, -2210,
    2292, -2210,   736,  1111,  1111,  1111,  1111,  1111, -2210,  1111,
    1111, -2210,   135,   200,  1691,  1111,  1111,  1694,  1701, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,   623, -2210, -2210,  1711,
    1715,   147,  1716, -2210,   829, -2210, -2210,   584,  1718,  4648,
    1674, -2210, -2210,  1677,  1588,  1652, -2210, -2210, -2210, -2210,
    4648,  1679, -2210, -2210, -2210, -2210, -2210,  4648, -2210, -2210,
   -2210, -2210, -2210,   584, -2210, -2210,  1685, -2210,   584,   882,
   -2210,  1358, -2210,   584,   178,   584,   979, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210,   743, -2210, -2210,  1709, -2210,   691,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210,  1940, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,  1479,  1485,   991, -2210,
    1695,   584,   584, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210,    15,  1696,  1697,   -85,   169,  1940,  1392,  1940,  1516,
    1700,  1703,  1686, -2210,  1714, -2210, -2210, -2210,  1166,  1730,
     109,  1730,   120,   584,  1511,  1513,   584,  1514,  1940,  1519,
    1940,  1608,  1940,  1940,  1719,  1940,  1940,  1940,  1940,  1940,
    1940,  1402,  1527,  1940,  1729,  1940,  1940,  1731,    70,  1532,
    1940, -2210, -2210, -2210, -2210, -2210, -2210,  1940,   705, -2210,
   -2210,  1940, -2210,  1597,   584,  1940, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210,  1770,  1771, -2210,   584,   584,
   -2210, -2210, -2210, -2210, -2210,  1768,  4648, -2210, -2210,   942,
    1601, -2210, -2210,   942, -2210, -2210, -2210,   942,  1940,  1542,
   -2210, -2210, -2210, -2210, -2210, -2210,   803,   786, -2210, -2210,
   -2210,  1940,  1542, -2210, -2210, -2210,  1021, -2210,   991, -2210,
   -2210, -2210,     3,  1482, -2210,  1745,  1940, -2210,  1940,   584,
    1521, -2210,   584, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
     584, -2210,  1784, -2210, -2210, -2210,  3216, -2210, -2210,   197,
   -2210, -2210, -2210, -2210,  1753,  1787,   604,  3864, -2210,  1668,
    1782, -2210, -2210,  4648, -2210,  4648, -2210, -2210,   751,  3515,
    2913,  2942,  2971,  2983,  3616,  1739,   240,  1740,  3628, -2210,
   -2210,  1807,  1996,  1951, -2210,   786, -2210,  1577,  1578,  2346,
    2346,  2346,  3433,  3433,  2346,  2346,  2346,  2346,  2346,  1121,
    1121,  1605,  1605, -2210, -2210, -2210, -2210, -2210,  1776, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,   875, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,   892, -2210, -2210,  1826,
   -2210, -2210, -2210,  1768,  1810, -2210,  1658,  1659,   237, -2210,
   -2210, -2210, -2210,  1290,  1480, -2210, -2210, -2210, -2210, -2210,
    1814, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  1073,  1073,
    1073,  1073,  1834,  1073,  1073,   140,  1111,  1073,  1111,  1073,
   -2210,  1073,  1073, -2210, -2210,   -20, -2210, -2210, -2210, -2210,
    1768,  1045,   472, -2210, -2210,  1842, -2210, -2210,  3765,  1785,
   -2210,  5141, -2210, -2210, -2210,   472,  1836, -2210,  1797,  3660,
   -2210,  3831, -2210, -2210,  1838,  1144,  1195,   472, -2210,   472,
   -2210,   -20, -2210,  1809,  1812, -2210, -2210, -2210,   541, -2210,
   -2210, -2210,  1831, -2210,  1791,  1821,  1265, -2210,  2011,  1443,
     584,   584,  1829, -2210,  1832,  1837,  1940,  1543, -2210, -2210,
    1693,  1617,   584,  1839,  1841,  1843,  1940,  1844,  1940, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210,   745, -2210,   584,
   -2210,   584, -2210, -2210, -2210,   584, -2210,   584,  1845,   584,
     584,  1848,   584,  1849,   584,  1851,   691,  1853,  1855, -2210,
    1857,  1859,  1860,  1862,  1863,  1865,  1940,  1010,  1866, -2210,
    1867,  1868, -2210,   584,  1874,  1940,  1882,  1907, -2210,  1168,
   -2210,   584, -2210, -2210, -2210,   584, -2210, -2210, -2210,   397,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210,  3864, -2210,  1699,
   -2210,  1940, -2210, -2210, -2210,  1883,  1112,   459,  1324,  1884,
    1885, -2210,  1730,  1840,  1876,   584,  1940,  1940,     3,  4927,
   -2210, -2210,  1751, -2210,   584, -2210,  1791,  1804, -2210,   630,
   -2210,   630,  1919, -2210, -2210,  4648,  1908,  1909,  3133,  2883,
   -2210, -2210, -2210,  4648, -2210,  4648,  4648,  4648,  4648, -2210,
    3068,  4648,  3384,  4648, -2210,  1872,  4648, -2210, -2210, -2210,
    1923,  1934,  4648,  1035, -2210,   400, -2210, -2210, -2210, -2210,
    1930,  1930, -2210, -2210,   780,   453,  1247, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,   983, -2210,  1948,  1950,
    1954,  1955, -2210,  1958,  1959, -2210, -2210,  1939,   691, -2210,
   -2210,   691, -2210,   691,  1073,  1960,  1073,  1970,  1971,  1972,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  3256, -2210,
    5485,   655,  1931,  1910,  1791, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210,  1009, -2210, -2210, -2210,  1726,
    1732,  1940,  1940,  1937, -2210,  1965, -2210, -2210, -2210,   618,
   -2210,  1942, -2210, -2210,  1830, -2210, -2210,  1944, -2210, -2210,
   -2210, -2210,   991, -2210,  1945,  1921,  1956, -2210, -2210, -2210,
    1961,   612, -2210,  1968,   734,   584,  1974, -2210, -2210, -2210,
    1975, -2210,  1976,   762,  1979,   128, -2210,   154, -2210, -2210,
     177, -2210, -2210, -2210,  1981,  1984, -2210,  1985, -2210,  1987,
   -2210,  1988, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
    1989, -2210,  1990, -2210, -2210, -2210,  1993, -2210,  1999, -2210,
    1710, -2210,  1654,   926,  1152,  1635,  1877,  1818,  1713,  1879,
     -19,  1940,  1992,  1940,   156,   584,  1940, -2210,  2004, -2210,
    1768,  1078,   472,   584,  1926, -2210, -2210,  2005, -2210, -2210,
   -2210, -2210,  -134,  1940, -2210,   142, -2210,  1806,  1166, -2210,
      96,  2012, -2210,  1622,  1463, -2210, -2210, -2210, -2210,  1036,
   -2210, -2210, -2210,  1036,  1890, -2210, -2210,  2017, -2210, -2210,
    1940,   584, -2210, -2210,  2018,   584, -2210,  1878,  1925,  1878,
    1087,   -41,  1878, -2210, -2210,  2021, -2210, -2210, -2210, -2210,
    1876, -2210, -2210,  2039, -2210, -2210, -2210,   353, -2210,  4648,
    4648,  2027,  4648, -2210, -2210, -2210,  4648,  4648,  2053,  2031,
    2032,  2035,  2062,  4648, -2210,   660, -2210,   584, -2210, -2210,
   -2210, -2210, -2210, -2210,  2056,  3864,  2061, -2210,  4648, -2210,
    4648,  2537,  2686,  3304,  3928,  3957,  4147,  4244,   778,   644,
    3864,  2020,   779,   635,  2024,  2078,  3628, -2210, -2210,  4273,
   -2210, -2210,   983, -2210, -2210,  2083,   780,  1600, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  2093, -2210,
    2101, -2210, -2210, -2210,   655,  2028, -2210,  5485, -2210,  2057,
   -2210,  2092, -2210,  1850,  1852, -2210, -2210, -2210,  1203,  1212,
   -2210, -2210, -2210, -2210, -2210, -2210,  1962, -2210,   117, -2210,
   -2210,  2044, -2210,    97, -2210, -2210,   584, -2210, -2210,  1943,
    1733, -2210,     4,  1735,  1742,   885,  1072, -2210, -2210,  2088,
    2091,  2095, -2210, -2210, -2210, -2210,  1031,  1940, -2210,  1891,
     584,   584,  2096, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,    -1,   738,  1940,  1940,
       7,  1542,  1940,   563,  1542, -2210, -2210, -2210,  1856, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
    1820, -2210, -2210, -2210,   584,   584,  1940, -2210,  2072,   584,
   -2210,  2074,   691, -2210, -2210,  2076,   584, -2210, -2210,   584,
    2079, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  2080, -2210,
   -2210, -2210,   958,   179, -2210,  1940, -2210, -2210, -2210,  1969,
   -2210, -2210, -2210, -2210,   584,  2094,   584, -2210, -2210, -2210,
    2112, -2210, -2210, -2210,   584, -2210,  2039,  2143,  4648,  3548,
    2110,  2113,  5656,  4081,  1680,  2613,  4648, -2210, -2210, -2210,
    4648,  2115,  4648,  1277, -2210,    -4,  2146,  2134,  4463,  4560,
   -2210, -2210, -2210, -2210,  2118, -2210, -2210,  1239,  2103, -2210,
   -2210, -2210, -2210, -2210, -2210,  1466,  2142,  2142,  1166,  2130,
   -2210,  1466,  2142,  2142,  1036,  2131,  4648, -2210, -2210, -2210,
   -2210, -2210,  2149,  4648, -2210,  3700, -2210,  2151,  4648,  2177,
    4016,  4332,  2108, -2210, -2210, -2210, -2210,  1126, -2210, -2210,
   -2210,  2135,   584,   584,   780,  1600, -2210, -2210, -2210, -2210,
    2111,  1940, -2210, -2210, -2210, -2210, -2210,  2044, -2210, -2210,
     745,   472,  1894,  2147,  1811,  1922, -2210, -2210, -2210, -2210,
   -2210, -2210,   612, -2210, -2210, -2210, -2210,  1949,  1952, -2210,
    1957, -2210, -2210, -2210,   196,   196,   991, -2210, -2210, -2210,
   -2210, -2210,  2010,  1947, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210,  1940,  1940,  1791,  2125, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  2126, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  2133,   584,
   -2210,  1940, -2210, -2210, -2210,  2136, -2210, -2210,  4397,  4648,
   -2210, -2210,  2155, -2210,  5206, -2210,  4713,  4648,  5764,  5116,
   -2210,  5248,  2161,  2163,  2164,  2166,  2167, -2210,   991,  2170,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,  2213,   584,  1307, -2210,
    2141, -2210,   724,   584,  1631,   740, -2210, -2210,  1307,   724,
     740,  2148, -2210,  4589,  2172,  2174,   794,   652,  2178,   815,
    2171,  2179,   682,  2180,   804, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210,  1179, -2210, -2210, -2210,   991,
    1935, -2210, -2210, -2210, -2210,   584,   584,   584, -2210, -2210,
   -2210, -2210, -2210, -2210,  1940,   584, -2210, -2210,  1622, -2210,
   -2210,   830,   924,     9,   732,   127, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  2184,  5485,
    2124, -2210,  1256, -2210,  3864, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210,  4648,  4648,  4648, -2210,  4648, -2210, -2210,   584,
   -2210, -2210,   584,  1242,   584, -2210,  2142,  2142,  2202, -2210,
   -2210, -2210, -2210, -2210,  2142,  2142,  2221, -2210, -2210, -2210,
   -2210,  2205,  4648, -2210, -2210, -2210,  2206,  4648, -2210,  4648,
    2233, -2210,  4648, -2210,  1101, -2210, -2210, -2210,  1080, -2210,
   -2210,  1940,  2169,  1997,   584,   584,   457, -2210, -2210, -2210,
     888,  2173,  2194, -2210,  1940, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210,  3074, -2210, -2210, -2210,   446, -2210, -2210,  1940,
     584,  1940,  2197, -2210,   584,   584,   -29,   584,  1936,   198,
   -2210,  2199, -2210,  1779,  1780,  1940,  1940,  1940,  2208,   188,
   -2210,    -9,    -7,  1327, -2210,   -48, -2210,  2181,  5206,  5485,
   -2210, -2210,  2311, -2210, -2210,  2248, -2210, -2210, -2210, -2210,
     185,  2212,  2190,  4779,  4876,  4905,  4969, -2210,  2141,   584,
   -2210,   584,   584,   584,  1631,  1631, -2210,  2216,  2217,  2218,
    2195,  2220,  2222,  2223,   584,  1983,  1058, -2210,   584,  1991,
     100,  2022,   584,  2008,  2026,     8, -2210,  2229,  2029,  2030,
   -2210,  1158,  2034, -2210, -2210, -2210,  1157, -2210,  2084, -2210,
   -2210, -2210,   583, -2210, -2210, -2210,  1698, -2210,   584,  1994,
     252,  2033,  1846,  2207,   584,   584,  1940,   -14,  1941,  1875,
     584,  1940,   584,  1980,   209,  -102,   584,  2176,  1886, -2210,
    2244, -2210,   584,  2249, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210,   584,   584, -2210, -2210,   584,   584,
   -2210, -2210, -2210, -2210, -2210,    28,  -166,  1858,   -42,   -17,
    1835,  1861,  1940,  1854,  2043,  1847,  2007,  2002,  2003,  2256,
   -2210,    24,   991,  2257, -2210,    24,  2285,  2259,   584, -2210,
    1940,  2025,   554,  -101,   584,  2059,  1940,    21,   991,  1986,
    2063,  2200,  -148,  2064,  2065,    52,  1824,  1871,  1864, -2210,
    2283, -2210,  1827,  1887,   472,  2286, -2210, -2210, -2210,  5054,
    1063,  1630,  5485,  2287,  4648,  2289,  2291,  2298,  2299, -2210,
    2316,  2317, -2210, -2210, -2210, -2210, -2210, -2210,  4648, -2210,
    4648, -2210, -2210,  1181, -2210, -2210, -2210,   584,   584,   584,
     584,   584, -2210,  1940, -2210,   584,   584, -2210,  2067, -2210,
     584,   584,  2274,  2303,   584, -2210, -2210,  1201,  2335,   145,
     584,  2335,  1660,   164,  2293, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210,   118,   584,   584, -2210,  1940,  1915,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210,  1153,  1940, -2210,
   -2210, -2210,   584,   584, -2210,  1940,  1940, -2210,   584,  1940,
   -2210, -2210, -2210, -2210, -2210,  1888,  1888,  2122, -2210,   584,
    2144,  2145,   678,   584,   678,  2127,   584,   584,  1933, -2210,
    1940,   584,   584,  2215,  1940,   958,  1940,   179, -2210, -2210,
     584, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210,   584,   584,   584, -2210,  1940,  1940, -2210,   584, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,  1175,   584,   584, -2210,
   -2210,   584,   584,  1940, -2210,  1940,  1940,  1940, -2210, -2210,
    2189,  2210, -2210, -2210, -2210,  4648, -2210, -2210, -2210, -2210,
    5085, -2210, -2210, -2210, -2210,   584,   584,  2343,  2326,   991,
     991, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210,  1158, -2210, -2210, -2210, -2210,  2353,  2335,
    2335,  2354,  2355,  1475,  1550, -2210, -2210, -2210, -2210,  2358,
    2335,  2335, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  1940,
     954,  1982, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
    1940, -2210, -2210,   584, -2210,   584,   584, -2210, -2210, -2210,
   -2210,  1888, -2210,   584,  1888, -2210,  1940, -2210, -2210, -2210,
     584, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210,  2013, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210,   472,   472,  5054,  2360, -2210, -2210, -2210,  4648,
   -2210, -2210, -2210,   583,  2364,  2365,   583,   583, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,   583,  2366,
    2367, -2210, -2210, -2210,  2016, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
    2333, -2210,   583,   583, -2210, -2210, -2210,   583,   583, -2210,
    2376,  4648, -2210, -2210, -2210, -2210, -2210,  2384, -2210
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1420,     0,     3,   133,   135,   137,   555,   557,   559,   561,
     565,   567,   569,   626,   635,   637,   639,   641,   643,   645,
     647,   649,   651,   653,   655,   662,   664,   666,   668,   670,
     672,   674,   678,   680,   773,   775,   777,   779,   735,   945,
    1088,  1090,  1092,  1094,  1096,  1098,  1100,  1102,  1274,  1276,
    1339,  1404,  1406,  1408,  1410,  1412,  1414,  1416,  1418,     1,
       2,     0,   393,     6,   391,   392,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,     0,   384,   385,   387,
     388,   389,   390,     0,     0,  1374,     0,     0,     5,     7,
     139,   142,   144,   146,   148,   177,   373,   380,   382,     0,
     394,   397,     0,   452,   456,   407,   410,   414,   410,   737,
     410,   689,   410,   414,   410,   932,   410,   414,   410,   414,
       0,   414,   410,  1135,   410,  1221,   410,  1278,   410,   414,
     414,  1373,  1396,  1399,   410,   410,   414,   134,   136,   138,
     258,   259,   268,   187,   188,   264,   277,   262,     0,     0,
       0,     0,   278,     0,     0,     0,   281,   260,   261,   279,
     280,   282,   283,   284,   285,   286,   287,   288,   309,     0,
       0,     0,     0,     0,     0,     0,     0,   688,   772,   920,
     923,   922,   919,   921,   924,   925,   926,   929,   931,   927,
     928,   930,  1084,  1085,  1086,  1087,  1219,  1220,  1272,  1273,
    1345,  1346,  1347,  1348,  1349,  1350,  1351,  1352,  1353,  1354,
    1355,  1356,  1357,  1358,  1359,  1360,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,  1368,  1369,  1370,  1371,  1372,  1452,  1453,
      37,    38,    47,    39,    40,    41,    42,    48,    43,    44,
      45,   265,   131,   132,    46,   263,   272,   307,   308,   341,
     306,   310,     0,   311,   682,   684,   683,     0,     0,     0,
     682,    67,    67,     0,     0,     0,     0,   681,     0,   686,
       0,     0,   571,     0,   628,     0,     0,   564,     0,   564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   658,
       0,   657,   660,    67,   947,  1421,  1420,     0,  1420,     0,
       0,  1422,  1417,    16,    15,     0,   178,   140,   143,   150,
     151,   152,   154,   153,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,     0,     0,     0,     0,    65,    64,
       0,     0,     0,     0,    22,   386,     0,     0,   458,   457,
     459,   460,     0,     0,     0,     0,     0,     0,     0,   398,
     405,   484,  1279,   782,   738,   690,   933,   954,  1114,  1129,
    1136,  1222,  1309,  1426,  1439,   957,  1224,     0,   411,     0,
     483,     0,    22,     0,   490,     0,     0,     0,     0,   422,
       0,   436,     0,     0,     0,     0,     0,   880,   881,   781,
       0,     0,     0,     0,     0,   870,   871,     0,     0,     0,
       0,    22,     0,     0,     0,     0,    22,     0,   786,   783,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,     0,     0,    22,     0,     0,
       0,     0,     0,     0,   882,   915,     0,     0,     0,     0,
     953,     0,     0,    22,     0,     0,    22,     0,     0,    22,
     960,   964,   436,   965,     0,     0,   978,     0,  1113,    22,
       0,     0,     0,     0,     0,     0,  1118,     0,  1131,  1128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1308,     0,     0,     0,     0,     0,  1328,
    1337,  1425,     0,     0,     0,     0,     0,    22,     0,    22,
    1431,  1432,     0,     0,     0,     0,  1438,  1445,     0,  1442,
       0,   258,   277,   258,   258,     0,     0,   258,   258,     0,
     248,     0,    29,     0,     0,     0,    32,    33,   273,     0,
       0,     0,   304,    36,   210,   211,     0,   213,     0,     0,
     126,   126,     0,     0,     0,     0,     0,     0,     0,   189,
     192,   188,   191,   194,     0,    37,    38,   239,   190,   228,
     225,   226,   227,   235,     0,   243,     0,     0,     0,   654,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   493,     0,   492,   677,
     675,   676,    66,     0,     0,     0,     0,   669,   504,     0,
     503,     0,  1419,   685,   687,   686,     0,   566,     0,   558,
       0,   556,     0,   564,   564,   564,   564,   564,   563,   564,
     564,  1104,   564,   564,     0,   564,   564,     0,     0,   648,
     640,   650,   642,   636,   638,   644,   646,  1392,  1387,  1390,
    1388,  1389,  1391,  1393,  1394,  1395,     0,  1385,   661,     0,
       0,     0,     0,  1413,  1422,  1409,  1411,  1423,     0,     0,
       0,   170,   165,     0,     0,     0,   376,   378,   379,   479,
       0,     0,   381,   453,   454,     9,    11,     0,   455,    18,
      20,    19,    21,     0,    17,  1400,     0,  1398,   461,     0,
     469,  1377,  1382,  1378,     0,     0,     0,  1403,  1402,   396,
     403,   395,   955,   956,   410,  1223,   412,     0,   485,     0,
     415,   416,   470,   421,   420,   419,   417,    22,   486,   434,
     438,   487,   488,   743,   696,   804,     0,     0,     0,   820,
       0,     0,     0,   874,   872,   875,   873,   876,   878,   877,
     879,     0,     0,     0,     0,    22,    22,     0,    22,     0,
       0,     0,     0,   821,     0,    23,    24,    25,     0,    26,
       0,    26,     0,     0,     0,     0,     0,     0,    22,     0,
      22,     0,    22,    22,     0,    22,    22,    22,    22,    22,
      22,     0,     0,    22,     0,    22,    22,     0,     0,     0,
      22,   805,   913,   917,   806,   942,   958,    22,    22,   979,
     966,    22,   976,   973,     0,    22,   967,   961,   962,   438,
     959,   981,  1115,  1125,  1124,     0,     0,  1121,     0,     0,
    1126,  1127,  1117,  1116,   429,   170,     0,   443,   444,     0,
       0,   442,   424,     0,   425,   440,   423,     0,    22,     0,
    1132,  1133,  1147,  1231,  1281,  1310,     0,     0,    54,    53,
    1324,    22,     0,  1311,  1312,  1330,     0,  1329,     0,  1333,
    1331,  1332,  1322,  1325,  1335,     0,    22,  1343,    22,     0,
       0,  1433,     0,  1435,  1341,  1428,  1427,  1440,   470,  1443,
       0,  1441,     0,   251,   256,   254,     0,   187,   188,     0,
     255,   257,   250,    28,    30,     0,     0,   274,   330,     0,
       0,   331,   212,     0,   289,     0,   127,   128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   199,   240,
     241,     0,     0,     0,   266,     0,   267,     0,     0,   301,
     299,   297,   294,   295,   296,   298,   300,   302,   303,   290,
     291,   292,   293,   320,   319,   313,   314,   315,     0,   318,
     312,   316,   317,   325,   326,   327,   322,   323,   324,   328,
     329,   622,   620,   621,   605,   608,   612,   615,   618,   619,
     606,   607,   609,   610,   611,   613,   614,   616,   617,   623,
     624,   625,   497,   498,   499,   501,   502,   500,     0,   495,
     667,   663,   671,   673,   508,   509,     0,   506,   679,     0,
     560,   568,   570,   170,     0,   581,     0,   602,     0,   583,
     582,   587,   588,     0,     0,   601,   603,   604,   572,   580,
       0,   627,   630,   631,   632,   633,   629,   634,    67,    67,
      67,    67,     0,    67,    67,     0,   564,    67,   564,    67,
    1089,    67,    67,  1340,   652,     0,   659,   656,   665,   946,
     170,     0,     0,   951,  1415,     0,  1424,  1405,     0,   166,
     170,     0,   141,   172,   145,     0,     0,   470,     0,     0,
     374,     0,  1401,  1397,     0,   463,   466,     0,  1381,     0,
    1380,     0,  1383,     0,     0,    12,    13,    14,     0,  1130,
     413,   418,   473,   476,   491,     0,     0,   439,   414,   414,
       0,     0,     0,   812,     0,     0,    22,    22,   848,   850,
       0,     0,     0,     0,     0,     0,    22,     0,    22,   865,
     864,   552,   867,   822,    52,    51,   786,     0,   786,     0,
     809,     0,   789,   790,   783,     0,   807,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   847,
       0,     0,     0,     0,     0,     0,    22,     0,     0,   849,
       0,     0,   816,     0,     0,    22,     0,     0,   918,   414,
     968,     0,   971,   970,   969,     0,   977,   975,   963,     0,
    1119,  1120,  1122,  1123,   173,   174,   441,   175,   451,   445,
     427,    22,   428,   426,   431,     0,   414,   414,   414,     0,
       0,  1317,    26,  1326,     0,     0,    22,    22,  1323,     0,
    1315,  1436,  1429,  1342,     0,  1434,   478,  1449,  1444,   258,
     249,   258,     0,    30,   276,     0,     0,     0,     0,     0,
     122,   124,   338,     0,   305,     0,     0,     0,     0,   340,
       0,     0,     0,     0,   193,     0,     0,   229,   236,   244,
       0,     0,     0,     0,   494,     0,   505,   562,   579,   586,
       0,     0,   575,   576,   599,   600,     0,   596,   597,   598,
     592,   590,   591,   573,   589,   574,   584,   585,     0,     0,
       0,     0,   736,     0,     0,  1103,  1112,     0,     0,  1107,
    1110,     0,  1105,     0,    67,     0,    67,     0,     0,     0,
    1386,   950,   949,   948,   952,  1407,     8,   168,     0,   179,
     180,     0,     0,     0,   480,   375,   377,    10,   462,   464,
     465,   467,   468,  1376,  1379,     0,  1375,   383,   406,     0,
       0,    22,    22,     0,   474,    67,   470,   489,   437,     0,
     432,     0,   745,   746,     0,   739,   740,     0,   698,   703,
     705,   705,     0,   691,     0,     0,     0,   834,   833,   832,
       0,     0,   791,     0,    22,     0,     0,   857,   856,   863,
       0,   844,     0,     0,     0,     0,    27,     0,   787,   788,
       0,   784,   785,   818,     0,     0,   838,     0,   827,     0,
     814,     0,   815,   846,   830,   851,   829,   828,   862,   831,
       0,   852,     0,   854,   825,   817,     0,   823,     0,   826,
       0,   916,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    22,     0,    22,    22,     0,    22,   889,     0,   944,
     170,     0,     0,     0,     0,   938,   934,     0,   972,   974,
     980,  1074,     0,    22,   994,    22,   992,     0,     0,   984,
      22,     0,   998,  1075,     0,   450,   430,  1134,  1149,     0,
    1150,  1141,  1143,     0,     0,  1137,  1138,     0,  1233,  1234,
      22,     0,  1225,  1226,     0,     0,  1280,  1293,     0,  1293,
       0,     0,  1293,  1283,  1284,     0,  1287,  1313,  1314,  1316,
       0,    60,    61,  1318,  1320,  1321,  1319,     0,  1338,   345,
     345,     0,     0,   342,   343,   344,     0,     0,     0,     0,
       0,     0,     0,   345,  1334,     0,  1336,     0,  1437,  1344,
    1447,  1451,   252,   253,     0,   275,     0,   332,     0,   269,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     199,     0,     0,     0,     0,     0,     0,    34,    35,     0,
     496,   507,     0,   577,   578,     0,   593,   594,   780,   774,
     776,   778,  1093,  1091,  1108,  1111,  1106,  1109,     0,  1095,
       0,  1099,  1275,  1277,     0,     0,   183,   181,   182,     0,
     147,     0,  1384,     0,     0,   399,   400,   404,   471,     0,
     475,   477,   433,   435,   470,   741,     0,   744,   692,   470,
     693,   723,   694,   727,   695,   697,     0,   839,   841,     0,
       0,   795,     0,     0,     0,     0,     0,   793,   842,     0,
       0,     0,   858,   843,   845,   554,     0,    22,   551,     0,
       0,     0,     0,   868,   811,   810,   808,   837,   836,   819,
     835,   813,   855,   853,   824,   869,     0,    22,    22,    22,
       0,     0,    22,     0,     0,   895,   896,   897,     0,   893,
     909,   908,   910,   898,   914,   937,   936,   935,   939,   940,
       0,   943,   470,   997,     0,     0,    22,   985,     0,     0,
     983,     0,     0,  1001,   996,  1000,     0,   990,   982,     0,
    1008,   446,   447,   448,   449,    50,    49,  1183,  1192,  1140,
     470,  1139,     0,     0,  1145,    22,  1148,   470,  1230,  1227,
    1229,  1232,  1295,  1294,     0,     0,     0,    25,  1297,  1296,
    1285,  1300,  1301,  1288,     0,  1282,  1327,     0,     0,   346,
       0,     0,     0,     0,     0,     0,     0,   368,   368,   359,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
      80,    91,    92,    78,     0,    81,    82,     0,     0,    85,
      86,    90,    87,   129,    88,     0,   104,   104,     0,     0,
     130,     0,   104,   104,     0,     0,     0,   335,   336,   334,
     337,   208,     0,     0,   206,     0,   202,     0,     0,   200,
       0,     0,     0,   321,   595,  1097,  1101,     0,   176,   184,
     171,     0,     0,     0,    57,    58,    59,    55,    56,   472,
     769,    22,   701,   699,   700,   702,   704,   723,   721,   706,
       0,     0,   730,     0,     0,     0,   799,   797,   798,   801,
     800,   802,     0,   792,   860,   859,   861,     0,     0,   550,
       0,   545,   549,   553,    22,    22,     0,   903,   904,   905,
     906,   907,     0,     0,   912,   899,   886,   887,   888,   894,
     911,    22,    22,  1077,  1081,   987,   988,   986,  1062,   989,
    1062,  1022,  1002,   991,  1076,  1009,  1190,  1189,  1180,  1196,
    1195,  1203,  1142,  1205,  1206,  1213,  1144,  1146,  1269,     0,
    1290,    22,  1289,  1286,  1298,     0,  1291,    62,     0,   345,
     357,   358,     0,   351,     0,   245,     0,     0,     0,     0,
     356,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
      31,   333,   270,   271,    79,    83,    84,    89,    74,    72,
      70,    69,    71,    73,    68,    75,    97,     0,   114,    99,
      95,   105,   115,     0,     0,   116,   113,   123,   119,   120,
     121,   117,   125,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   242,   167,   169,   149,   401,
     402,   767,   747,   742,   706,     0,   726,   728,   729,     0,
     732,   840,   796,   803,   794,     0,     0,     0,   884,   885,
     883,   892,   891,   890,    22,     0,   902,   941,  1075,  1079,
    1083,     0,     0,     0,  1011,     0,  1194,  1178,  1177,  1201,
    1211,  1267,  1235,  1228,  1292,  1302,   350,   347,     0,   180,
     348,   185,     0,   354,   368,   369,   370,   371,   368,   372,
     353,   352,     0,     0,     0,   361,     0,  1446,  1448,     0,
      93,    77,    76,     0,     0,    76,   104,   104,     0,   106,
     107,   108,   109,   110,   104,   104,     0,   339,   223,   207,
     205,     0,     0,   203,   221,   201,     0,     0,   219,     0,
     217,   216,     0,   214,   748,   771,   725,   724,     0,   517,
     518,    22,     0,     0,     0,     0,     0,   714,   510,   512,
       0,   544,     0,   731,    22,   734,   546,   547,   548,   900,
     901,  1078,     0,   995,  1065,  1063,  1066,   993,   999,    22,
       0,    22,     0,  1007,     0,     0,     0,     0,     0,     0,
    1021,     0,  1193,     0,     0,    22,    22,    22,     0,     0,
    1182,  1197,  1207,     0,  1271,     0,   355,     0,     0,   180,
     195,   198,     0,   360,   197,   233,   230,   231,   232,   237,
       0,     0,     0,     0,     0,     0,     0,    98,    96,     0,
     100,     0,     0,     0,     0,     0,   118,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   770,     0,     0,
       0,     0,     0,     0,     0,     0,   766,     0,     0,     0,
     712,   513,     0,   707,   711,   715,     0,   716,     0,   713,
     520,   519,   521,   516,   722,   733,     0,  1082,     0,     0,
       0,     0,     0,     0,     0,     0,    22,     0,     0,     0,
       0,    22,     0,     0,     0,     0,     0,     0,     0,  1061,
       0,  1067,     0,     0,  1005,  1006,  1004,  1003,  1015,  1012,
    1018,  1019,  1020,  1013,     0,     0,  1016,  1010,     0,     0,
    1184,  1185,  1186,  1191,  1181,     0,     0,     0,     0,     0,
       0,     0,    22,     0,     0,     0,     0,  1168,  1170,     0,
    1200,     0,     0,     0,  1210,     0,     0,     0,     0,  1270,
      22,     0,     0,     0,     0,     0,    22,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,  1307,     0,     0,     0,     0,   186,   349,   247,   199,
       0,     0,   180,     0,     0,     0,     0,     0,     0,    94,
       0,     0,   101,   112,   111,   222,   204,   220,     0,   218,
       0,   215,   749,     0,   752,   753,   751,     0,     0,     0,
       0,     0,   758,    22,   750,     0,     0,   763,   764,   768,
       0,     0,     0,     0,     0,   717,   718,     0,     0,     0,
       0,     0,     0,     0,     0,  1030,  1031,  1032,  1033,  1034,
    1035,  1036,  1037,  1027,     0,     0,     0,  1055,    22,     0,
    1069,  1024,  1042,  1060,  1049,  1050,  1051,    22,    22,  1023,
    1044,  1026,     0,     0,  1028,    22,    22,  1025,     0,    22,
    1080,  1068,  1064,  1014,  1017,  1217,  1217,     0,  1167,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1155,
      22,     0,     0,     0,    22,     0,    22,     0,  1179,  1204,
       0,  1215,  1199,  1198,  1202,  1214,  1209,  1208,  1212,  1241,
    1239,     0,     0,     0,  1255,    22,    22,  1236,     0,  1260,
    1263,  1266,  1265,  1264,  1261,  1240,    22,     0,     0,  1237,
    1238,     0,     0,    22,  1242,    22,    22,    22,  1268,  1299,
       0,     0,  1306,  1303,   196,     0,   234,   238,   246,   366,
       0,   363,   364,   362,   365,     0,     0,     0,     0,     0,
       0,   756,   757,   482,   481,   759,   760,   754,   755,   765,
     708,   709,   511,   513,   710,   719,   720,    63,     0,     0,
       0,     0,     0,     0,     0,   540,   541,   542,   543,     0,
       0,     0,   544,  1053,  1052,  1054,  1057,  1056,  1045,    22,
       0,     0,  1058,  1043,  1041,  1029,  1040,  1039,  1046,  1038,
      22,  1187,  1188,     0,  1153,     0,     0,  1174,  1175,  1176,
    1163,  1217,  1164,     0,  1217,  1157,    22,  1156,  1158,  1159,
       0,  1172,  1169,  1173,  1171,  1216,  1253,  1254,  1256,  1259,
    1246,  1248,     0,  1257,  1251,  1252,  1249,  1250,  1243,  1244,
    1245,  1247,     0,     0,     0,     0,   103,   102,   209,     0,
     761,   762,   514,   521,     0,     0,   521,   521,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   521,     0,
       0,   515,  1047,  1048,  1071,  1070,  1059,  1218,  1165,  1151,
    1152,  1161,  1166,  1162,  1154,  1160,  1258,  1305,  1304,   367,
       0,   526,   521,   521,   528,   527,   529,   521,   521,  1072,
       0,     0,   524,   525,   522,   523,  1073,     0,   224
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  -336,
    -365,   -62,   255,  -421,  -743, -2210,  -150,  -142,  1412,  1416,
    1420, -2210, -2210, -2210,  -180, -2210, -2210,  -482, -1409,  -773,
    -571, -2210, -2210,   933, -1463,  -103,  -183,   387,  -830, -2210,
     900,   903,   905,   906,   663,   398,   399,   673, -1520,  -765,
     677, -2210, -2210, -2210, -2210,  1905, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210,  -939, -2210, -2210,
   -2210,  1801,  -954,  -609,  1403, -2210, -2210, -1907,   889, -2210,
     326,  -192,  1548,   155, -1197, -1864,  2315, -1853, -1841,  1549,
     162,  1967, -2210,  1552, -2210, -2210, -2210, -2210,  -498, -2210,
   -2210, -2210, -1195,  -151, -1202,    -6, -2210, -1448, -1216, -1592,
   -2210, -2210,  -459, -2210, -2210,   187, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210,   -44,   -89, -2210,  2357,  1314, -2210,  2036,
    1675,  -121,  -552,  -480, -2210,    29, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210,  1149,  -721,  -987, -2210, -2210, -1974, -2210,
   -2210, -2210, -2210, -2210,  -273, -2210,  1233,  -109, -2210,  1234,
   -1476, -2210,   -16, -2115, -2210, -2210,  -993, -2210,   -26, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,  -285, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210,  -907, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210,   224,  1896, -1209, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210,  1142,   528, -2210, -2210, -2210,   686,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,  1370,    57,
   -2210, -2210,   675, -2210, -2210, -2210, -2210, -2210,   666, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210,   642, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210,   516, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210,   101, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210,   261,   246, -2210, -2210, -2210, -2210,   102,   249,
   -2210, -2210, -2210, -2210,   103,   251, -2209, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210,  -880,   808, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210,  1670, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210,  1450,  1487, -2210, -2210, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210,   940,  1889, -2210, -2210, -2210, -2210,
   -2210, -2210, -2210, -2210, -2210, -2210, -2210
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    22,    23,    24,    25,     2,     3,   108,   109,   704,
     717,   388,  2010,  1900,  1148,   542,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,  1717,  2124,
     870,  1829,  1512,  1513,  2528,   350,   613,  1957,  2063,  1784,
    1785,  1786,  1787,  1788,  1958,  1959,  1960,  1962,  1963,  2073,
    1965,  1789,  1795,  1551,  1552,   926,  1250,  1251,   262,   263,
     264,   110,   681,   111,   112,   113,   114,   344,  1328,  1080,
    1081,  1205,  1206,   851,  1083,   115,   680,  1595,  1596,  1597,
    2040,   265,   579,  2165,   936,   580,   937,   581,   582,   583,
    2169,   584,  2170,   585,   586,  2042,   538,   266,   539,   267,
     268,   916,   269,   270,   271,  1560,  1533,  1750,  1598,  1927,
    2048,   116,   691,   117,   118,   399,   120,   121,   370,  1353,
    1108,   721,   122,   389,   400,   401,  1360,  1361,  1116,   740,
    1117,   402,   856,   852,  1475,  1210,   123,   362,   363,   124,
    1112,  1610,  1355,  1113,  1236,  1237,  1087,  1088,  2362,   125,
     126,   127,   732,   403,   609,  1008,  1009,   621,  1016,  1017,
    2107,  2108,  2372,  2109,  2110,  2111,  2384,  2539,  2223,  1652,
    1393,  1142,    26,    27,    28,    29,   644,    30,    31,    32,
     630,  1293,  1294,  1040,  1001,   277,    33,   632,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,   312,
     669,    45,    46,    47,    48,    49,    50,    51,   278,    52,
      53,   279,   626,   273,   128,  1367,  1118,   129,  1614,  2095,
    2207,  2094,  1992,  1615,    54,    55,    56,    57,   130,  1374,
    1119,   131,  1836,  1618,  1619,  1996,  2112,  2219,  1995,  1839,
    1620,  1622,  1842,  2000,  2115,  1624,    58,   132,   782,   780,
    1383,  1636,  1637,   133,   772,  1394,   454,   455,  2011,  1879,
    1448,  1187,   813,  1188,   456,   134,  1457,  1189,   135,    59,
     671,   385,   136,   137,   828,   472,   473,   474,   475,   476,
    1199,  1471,  1701,  1698,  1704,  1705,  2023,  2132,  1472,  2024,
    2141,  1473,  2250,  2021,  2125,  2126,  2253,  2550,  2660,  2635,
    1692,  1710,  1884,  2018,  2122,  2020,  1693,    60,    61,    62,
      63,    64,    65,    66,    67,  1055,   138,   139,   487,   140,
     724,   141,   142,  1487,  1722,  1723,  1216,   143,  1720,  2289,
    2445,  2447,  2570,  2150,  2149,  2028,  1721,  1718,  2148,  2026,
    2025,  1897,  1719,  1901,  2029,  2293,  2449,  2151,  1902,  1905,
    2030,  2297,  2455,  2152,  1906,  2452,  2561,   386,   144,  1494,
    1217,   145,  1727,  2154,  2320,  2474,  2153,  2032,  1728,    68,
      69,   146,   147,  1218,  1505,  1734,  1506,  1740,  1743,  1914,
    1915,  2155,  2325,  2489,   148,   149,   882,   883,   509,   510,
    1536,  1229,   885,    70,   150,   522,   364,   151,  1098,  1100,
     714,  1103,   666,   667,   152,   153,    71,    72,    73,    74,
      75,    76,    77,    78,   321,   678,   154,  1538,   523,   155,
     156,   530,   898,  1939,  1765,  1541,   899
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     357,   272,   718,   819,   578,  1146,   611,   779,   781,   540,
     928,  1114,   854,  1534,   647,   546,   577,   698,   486,   325,
    1535,  1039,   869,   547,   326,   327,  1741,  1532,   508,   521,
     716,   716,  2321,   903,  1531,   904,   905,   526,  1154,   910,
     911,   315,   695,   348,   453,   349,   575,   696,   471,   545,
     485,  1715,   497,  1224,   576,   875,     4,     5,     6,  1038,
     507,   520,  1073,  1559,  1561,  1563,  1564,   529,   657,  1278,
     695,  2290,  1751,  2294,  1724,   696,  1937,   697,   693,   694,
     351,   352,   328,  2432,   404,  1761,   405,   753,   406,  2128,
     457,   774,   458,   348,   477,   349,  2373,   755,   499,   614,
     500,   353,   501,  1126,   502,   697,   775,   776,  2434,   777,
     524,   525,   638,   807,   695,   757,  1321,   695,   391,   696,
     731,  1535,   696,   392,   393,   627,  1225,   527,  1532,   822,
     670,   395,  2157,  1297,  1840,  1531,   695,   699,   700,   701,
     702,   696,  1331,  1846,  2260,   759,  1305,   658,   869,   697,
    1675,  2429,   697,  1069,   844,   708,  2465,  1149,   638,  2404,
     695,  1150,  1130,  1306,   552,   696,  1928,   559,  1155,  2358,
    2359,   697,  1156,   348,   695,   349,  1149,   887,  2166,   696,
    1654,  2367,   835,   699,   700,   701,   702,   695,   396,  2167,
     119,   397,   696,  1864,  2470,   697,  2529,   699,   700,   701,
     702,  2168,  1149,     7,  1903,  1307,  1655,  2142,   746,   697,
     699,   700,   701,   702,   695,  2540,   695,  2562,  2479,   696,
       8,   696,   697,   638,   348,  1155,   349,   695,  2415,  1656,
    2471,   943,   696,   281,   282,   285,   286,   699,   700,   701,
     702,   645,   313,     1,   945,     9,    10,   706,  1694,   697,
    1261,   697,  2328,   274,  1872,   275,  2397,  1101,  1904,   639,
    1282,   713,   697,  2331,   784,    80,    79,  1964,  2274,  2480,
    1111,   785,   316,  1964,   157,   943,  2261,   550,   747,  1695,
    2275,   876,   683,  1131,  2129,    11,  1832,    12,   736,    13,
     317,  2405,   734,   735,  2430,  1070,   846,  1833,  1834,    81,
      14,  1308,  1226,  1056,  1696,  2368,   719,  1215,   919,    82,
     877,    83,   944,  1865,    84,    85,   646,   762,  1262,   878,
    1220,  2395,  2359,  1071,   470,   946,    15,  1122,  2464,  1866,
      16,   836,  1676,  2276,  2277,    17,    18,   767,  1092,  2360,
      86,  1076,  2332,  2416,   578,  2530,  1102,  1072,  1048,  1049,
    1050,  1051,  1052,   356,  1053,  1054,  1241,  1057,  1059,  1151,
    1061,  1062,  2641,  2278,  2541,  2643,  1334,   716,  1058,   640,
    1157,   709,  1094,  1573,  1574,  1873,   733,  1099,  1151,  1104,
     540,  1748,   540,   540,   158,  1971,   540,   540,  1535,  1594,
     551,  2130,  2361,  1847,   628,  1532,  2262,  1309,   276,  1841,
    2466,  1127,  1531,   754,  1151,  1283,   548,    87,  2373,    88,
      89,  2406,    90,   756,    91,  1124,  1125,  1835,  2265,   159,
      92,   920,    93,    94,    95,  2498,    96,  1157,   768,  2413,
    1132,   758,  2279,  2433,   280,   287,   275,   354,  2131,    97,
      98,    99,   100,   101,   102,  2280,  2472,  1158,  1183,  2435,
    1161,    19,  2171,   769,  1310,  1222,  2172,  1223,  2436,  2322,
    2323,   760,   778,  1295,   806,  2324,  2291,  2166,  2295,  1938,
    1742,  2037,  2292,  1202,  1203,  2296,   288,  1460,  2167,  1509,
    1227,  1152,  1153,  2483,   879,   880,   881,   659,  1196,   543,
    2168,  2360,   801,   103,  2427,   348,  1685,   349,  2450,   104,
    1152,  1153,   716,   716,  1575,   105,   106,   615,   616,    82,
     280,   314,   275,  1209,    84,    85,   623,  1209,   624,  1323,
     366,  1209,   528,  2473,  1699,   641,  1152,  1153,  1133,   906,
     660,   661,   662,   663,   664,   665,  1706,  1680,   322,  1488,
     642,   643,   917,  1922,  2396,   802,  2181,  2182,  2140,  1311,
    2543,  2544,   869,  1233,  2184,  2185,  1235,   929,   930,   931,
     932,   933,   934,   803,  1238,  2008,  2009,  1461,   938,   711,
    1047,   345,  1462,   318,   319,   320,   712,  1014,   367,   276,
    1455,  1312,  1313,   633,   949,   950,   951,   952,   953,   954,
     955,   956,   957,   958,   959,   960,   961,   962,  1145,  2143,
    2144,   309,   695,  2145,  2146,  2147,  1975,   696,  1977,   705,
     634,  1979,   347,  1982,  1984,    20,    21,   346,  2206,  1736,
     391,  1348,  1744,  2462,  2359,   392,   393,  1830,   575,  1489,
    2215,   355,  1837,   395,  2378,  1015,   576,   697,   310,    97,
      98,    99,   100,   101,   102,  1808,  2249,   730,   531,  2281,
     358,  2282,  2283,   532,  1803,   276,  2284,  2285,  1244,  2286,
     606,   625,  2082,   533,  2216,   534,   365,  2287,  2288,  2379,
     939,   940,  1463,  1078,   368,   618,   763,  2319,   323,   324,
    1109,   771,  1245,   535,  1089,   635,  1349,  1350,  1762,  1809,
     396,  1091,  2089,   397,   794,  1703,   369,   607,  1804,  1763,
     636,  1065,   804,  1066,  1629,  1184,  2083,  1411,  2041,   686,
     283,   687,   619,  1810,   688,  1535,   941,   546,   820,  2049,
     284,   823,  1532,   695,   826,   547,  2047,   311,   696,  1531,
     359,   360,   361,  1898,   833,   623,  2090,   624,  2061,  2065,
    1908,  1542,  1041,  1543,   690,  2380,   699,   700,   701,   702,
     578,   578,   695,   682,  2061,  2065,   695,   696,   697,   323,
     324,   696,  2217,  2218,   488,   577,   323,   324,   323,   324,
    1464,  1314,   891,  1316,   893,   699,   700,   701,   702,   699,
     700,   701,   702,  2381,  1375,  1376,   608,   697,   536,  2382,
     537,   697,    82,  2360,   387,   575,  1386,    84,    85,  1351,
    1352,   620,  2066,   576,    82,  1252,   544,   545,  1465,    84,
      85,  2383,  2133,  1398,  2092,  1399,   541,  1042,  2074,  1401,
     107,  1402,   511,  1404,  1405,  1466,  1407,  1467,  1409,  1253,
    1535,  1468,  1801,  1806,   478,  1469,  1470,  1532,   695,   543,
    1207,  1422,  1645,   696,  1531,  1630,  2463,  1426,  2080,  1585,
     544,   545,  1586,  1144,  1587,  1458,  1802,  1807,  2093,  1459,
     548,   699,   700,   701,   702,  1298,  1299,  1300,  1301,  2085,
    1303,  1304,  2081,   697,  1315,  2251,  1317,  1876,  1318,  1319,
     549,  2252,  1212,  1288,  1043,  2188,  1213,   722,   723,  1514,
    2190,  1289,  2191,  2086,   553,  2193,  1490,   695,  1539,  1687,
    1044,  1045,   696,   391,   560,  1877,  1878,  1646,   392,   393,
    2123,   348,  1046,   349,  2220,   391,   395,  1248,  2532,  1249,
     392,   393,    97,    98,    99,   100,   101,   102,   395,  2099,
    2100,   773,   697,   561,    97,    98,    99,   100,   101,   102,
     562,   371,  2041,   563,   544,   545,   564,  1144,   479,  1535,
    1535,  1623,  1491,  1273,   854,  1274,  1532,  1532,   790,   791,
     695,  1647,  2102,  1531,  1531,   696,  1191,   565,   372,  1324,
    1275,  1883,  1276,   396,   775,   776,   397,   777,   775,   776,
    2134,   777,  1332,   566,  1208,   396,   751,   752,   397,   512,
    1867,  1868,  1115,   587,  1343,   697,  1344,  1366,  1631,   567,
    1632,   373,  1633,  1634,  2127,   686,  1635,   687,   703,  1648,
     688,   775,   776,  1649,   777,  1966,  1650,  1651,   568,  2135,
    1134,  1135,   605,  1137,  1105,  1106,  1107,   513,   695,  1365,
    1373,   838,   839,   696,  2633,   480,  2136,  1899,   689,   610,
     690,   775,   776,  1163,   777,  1165,  1221,  1167,  1168,  1641,
    1170,  1171,  1172,  1173,  1174,  1175,   374,   545,  1178,  1715,
    1180,  1181,  1421,   697,  1192,  1186,  2614,  2615,   855,   588,
    1322,   375,  1190,  1193,   845,   846,  1194,  2629,  2630,  1738,
    1197,  2160,  2161,   907,   908,  1396,  1612,  1065,   540,  1602,
     540,   840,   841,  1639,   847,  1486,  1493,  1504,   612,   848,
    1456,   855,  1668,  1686,   289,   617,   290,   775,   776,  1682,
    1737,   622,   349,  1214,   849,   629,  2495,  1689,   637,  1874,
     850,   631,  1880,  1535,  1095,  1096,  1219,  1485,  1492,  1503,
    1532,  1588,  2067,  1590,   638,  2075,   546,  1531,   291,  2067,
    2075,  1231,   648,  1232,   547,   292,  2137,  2138,  2139,  2194,
    1852,  2507,  1853,  2508,   649,  1730,   602,   603,   668,  1732,
     604,  2195,    82,  2567,  2568,  2569,  2196,    84,    85,   650,
     376,   695,  1609,   651,   377,   293,   696,   294,  1986,   652,
    1987,  2197,   845,   846,   653,   295,   544,   545,   514,  1144,
    1339,  1340,  1478,   695,   699,   700,   701,   702,   696,   654,
     296,  1764,   847,  1395,  1479,  1397,   697,   848,   481,   482,
     483,   484,  1002,  1003,  1004,   655,   699,   700,   701,   702,
     656,   902,   853,   -66,   -66,   378,   -66,   315,   697,   531,
     379,   380,  1824,  1825,   532,  1826,  1005,  1006,   673,  1545,
    1007,  1341,  1342,  1891,   533,   679,   534,  1553,  1449,  1554,
    1555,  1556,  1557,  1948,  1949,  1950,   672,   675,   674,  2097,
    1566,   515,   516,   381,   535,  2159,  1569,  1576,  1577,  1599,
    1951,  1952,  1953,   391,  2160,  2161,   907,   908,   392,   393,
    1850,  1851,  1480,  1857,  1858,  1861,   395,   382,  1145,  2198,
    1843,   383,    97,    98,    99,   100,   101,   102,  2099,  2100,
     845,   846,   676,   297,  1945,  1946,   517,   518,   519,  2162,
    1284,  1285,  1286,  1287,   716,  1862,  1450,   846,   575,   692,
     847,  2061,  2062,   677,  2098,   848,   576,   684,  1669,   391,
     707,  2102,  2208,  2209,   392,   393,  2163,  1716,   685,   384,
     853,  1716,   395,   396,  1451,  1358,   397,  2354,  2355,  1688,
     710,  1954,  1955,  2199,  2200,  2099,  2100,  2201,  1885,  1886,
     695,  2509,  2510,  1889,   715,   696,  2375,  2376,   720,   536,
    1893,   537,  1495,  1894,    82,  2298,  2099,  2100,  2101,    84,
      85,  1380,  1382,   699,   700,   701,   702,  2202,  2203,  2204,
     490,  1390,   298,  1392,   725,   697,   726,  1739,  1910,   396,
    1912,   727,   397,   729,  1496,  2205,  2551,  2299,  1916,  2102,
    2525,  2526,  2650,  1932,  1933,   728,   299,  1934,   300,  2343,
    2344,  -866,   737,   738,  1935,  1936,   739,   741,  2592,   742,
    2103,  1420,  1359,  2104,  2105,   743,   491,   492,   744,   745,
    1428,   493,   749,   748,   750,  2013,   761,   489,   301,  1956,
     764,   765,   494,   766,   787,  1956,   788,  1989,  1990,  1827,
     783,   495,   789,   792,  2667,   786,  1476,  1828,   793,   796,
     795,   302,   797,   303,   798,   304,   799,  1948,  1949,  1950,
     800,  1515,  1516,  2106,   695,   391,   716,   716,   805,   696,
     392,   393,   490,   809,  1951,  1952,  1953,   808,   395,   810,
     544,   866,   867,   868,    97,    98,    99,   100,   101,   102,
     811,   812,   814,  1749,  1749,   815,  1753,  2057,   816,   697,
    1754,  1755,   818,  1368,  2099,  2100,  2300,  1749,   391,  1369,
     171,   817,  1817,   392,   393,   174,   175,   821,   491,   492,
     824,   395,  1768,   493,  1769,   825,   827,   830,   305,   306,
     307,   308,   831,   832,   494,   396,   834,  2102,   397,   837,
     842,   695,   843,   495,   858,   855,   696,  1452,  1453,  1454,
     857,   859,   860,  2033,   861,  1954,  1955,   862,  2113,  2301,
    2302,   863,   864,  2303,   699,   700,   701,   702,   865,   770,
     871,  1481,  1482,   872,   884,  1483,   697,   873,   396,   874,
    1484,   397,   886,   888,   391,   889,  1605,  1606,  1145,   392,
     393,   894,  2304,  1370,   890,  2305,   892,   395,   895,   896,
    2651,  2060,  1381,  2654,  2655,   897,  2306,  2068,   901,   900,
     912,  2307,   913,   914,  1497,  2656,   915,   918,   575,  1640,
    2116,  2117,  2118,   921,   604,   922,   576,   923,  2160,  2161,
     907,   908,  1716,  1711,  1712,  1713,  1714,  2308,   942,  2662,
    2663,   947,   948,  1010,  2664,  2665,  1085,  1498,  1499,   716,
     716,   716,  1011,  1012,   396,  1013,    82,   397,  1018,  2120,
    2309,    84,    85,  2162,  2618,  2619,  2620,  2621,  2622,  1020,
    1021,   590,   591,   592,   593,   594,  1677,  1060,  1679,  1681,
    1063,  1683,  2069,  2070,  2071,  2072,   503,  1064,   595,   596,
     597,   598,   599,   600,   601,   602,   603,  1067,  1697,   604,
    1700,  1068,  1074,  2177,  1077,  1707,  1956,  1079,  1956,  1084,
    1086,  1090,  1110,   845,   846,  1097,  1136,  1093,  1998,  2213,
    1120,  2310,  1918,  1371,  1372,  1729,  1121,  1123,  1128,  1129,
    1926,  1138,  1139,   847,  1929,  1140,  1931,   496,   848,  2623,
    2624,  2625,  2626,  2627,  2311,  1141,  1143,  1147,   716,  2214,
    1166,  1169,  1159,   849,  1160,  1162,  1176,  1177,  1997,   850,
    1164,  1179,  1185,  1182,  2312,  1195,  1924,   391,  1200,  1201,
    1973,  1204,   392,   393,  2255,   876,  1211,  1230,  2258,  2259,
     395,  2263,  1239,  2266,  1242,  1243,    97,    98,    99,   100,
     101,   102,  1234,   459,    82,  1246,  1247,  1260,  1263,    84,
      85,  2313,  2314,  2315,  2316,  1265,  2317,  1270,  1271,  1272,
    2318,  1500,  1277,  1279,  1280,  1281,  1501,  1296,  1502,  1327,
    1302,  1145,  1145,  2339,   460,  2340,  2341,  2342,  1325,  1335,
    2164,   569,   570,   163,   571,   572,   573,   396,  2352,  1333,
     397,  1346,  2356,  1338,  1347,  1354,  2364,  2533,  2534,  1356,
     504,   575,   575,  1357,  2535,  2536,  2537,  2538,  1385,   576,
     576,  1377,   505,  1540,  1378,  1384,   574,  2475,  1474,  1379,
    1510,  1387,  2393,  1388,  1511,  1389,  1391,  1403,  2401,  2402,
    1406,  1408,  1859,  1410,  2409,  1412,  2411,  1413,  2414,  1414,
    2417,  1415,  1416,  1749,  1417,  1418,  2421,  1419,  1423,  1424,
    1425,  2044,  1869,  1870,  1871,   391,  1427,  1875,  2423,  2424,
     392,   393,  2425,  2426,  1429,  1477,  1507,  1508,   395,  1537,
    1544,  1567,  1546,  1547,    97,    98,    99,   100,   101,   102,
    1565,  1887,  1568,  1572,  1578,  2451,  1579,  1584,   695,  2451,
    1580,  1581,  2459,   696,  1582,  1583,  1589,  1430,  2467,   569,
     570,   907,   908,   572,   573,   506,  1591,  1592,  1593,  2484,
    1907,   699,   700,   701,   702,  1600,  1603,  1431,  1601,  1607,
    1608,  1616,  1604,   697,  1613,   396,  1617,  1625,   397,  1626,
    2517,  2518,  1670,  1666,   574,  2520,  2521,  2221,  1627,  2524,
    1672,   461,  1667,  1628,   569,   570,   907,   908,   572,   573,
    1638,  2511,  2512,  2513,  2514,  2515,  1642,  1643,  1644,   716,
     716,  1653,   490,  1657,   716,   716,  1658,  1659,   716,  1660,
    1661,  1662,  1663,  1432,  2531,  1664,  2173,  2174,  2175,  1266,
    2176,  1665,  1678,  1671,  1673,  1674,  1684,  1691,  2545,  2546,
    2547,    82,  1690,  1702,  1708,  1709,    84,    85,  1725,  1726,
    1731,  1735,  1733,  1745,  1359,  1747,  2554,  2555,  1433,  1434,
    1752,  1756,  2558,   493,  1757,  1758,  1993,  1759,  2610,  2611,
    1760,  1362,  1766,  2564,   494,  1767,  1812,  2571,  1805,  1815,
    2574,  2575,  1811,   495,  1814,  2578,  2579,  1816,  1818,  1820,
    1821,  1822,  2594,  1823,  2585,  2385,  2386,  2387,  2388,  2389,
    2390,  2391,  2392,  1838,  1831,  2586,  2587,  2588,  1848,  2634,
    1845,  1844,  2591,  1716,  1849,  1882,  2016,  2017,  2164,  2164,
    1854,   716,  2595,  1855,  1860,  2596,  2597,  1856,  1863,  1881,
    1435,  1888,  1436,  1890,  1437,  1892,  2329,  1909,  1895,  1896,
    1495,  1917,  1920,  1911,  1940,  1921,  2034,  1930,  1941,  2606,
    2607,  1947,   391,   462,   463,   464,   465,   392,   393,  1944,
    1961,  1363,  1967,  1972,  1974,   395,  1978,  1980,  1985,  1988,
    1991,    97,    98,    99,   100,   101,   102,  1999,  2002,  2001,
    2003,   466,  2014,  2005,  2019,  2027,  2006,   467,  2015,  2038,
     468,  2007,  2031,   469,  2052,  2035,  2053,  2054,  2055,  2064,
    2056,  2492,  2058,  2059,  2087,  2076,  2078,  2638,  2079,  2639,
    2640,  2158,  2084,  2088,  2091,  2114,  2156,  2642,  2183,  2186,
    2187,  2189,   396,  2192,  2645,   397,  2224,  1438,  2211,  2257,
    2212,  2267,  2222,  2264,  2268,  2269,  1439,  1440,  2330,   981,
    2273,  2326,  2365,  1441,   982,   983,  2333,  1442,  2334,  2119,
    2345,  2346,  2347,  2348,  2349,  2350,  2353,  2351,  1443,  2363,
    2366,  2369,  2357,  2370,  2371,  2394,  2400,  1444,  2374,  1445,
    2398,  2377,  1446,  2399,  2408,  2407,  2420,  2412,  1022,  2418,
    2443,  2422,  2437,  2419,  2441,  2444,  2446,  1364,  2448,  2454,
    1903,  2458,   544,   866,   867,   868,  2461,  2442,  2431,  2440,
    2468,  2438,  2485,  2478,  2477,  2481,  2482,   160,  2500,   161,
     162,   163,   164,   165,   166,  2488,   167,  2490,  2493,  2499,
    2476,  2501,   171,  2502,   168,   169,   935,   174,   175,   170,
    2503,  2504,  2505,  2506,  2522,  2523,  2210,  -867,  -867,  -867,
    2527,   171,   172,  2549,   173,  2519,   174,   175,  2487,  2225,
     176,  2486,  2560,  2542,  -867,  -867,  -867,  -867,  -867,   600,
     601,   602,   603,  2563,  2254,   604,  2256,  2602,  2573,   984,
     985,   986,   987,   988,   989,  2576,  2491,  2608,  2565,  2566,
    2270,  2271,  2272,  2580,  2609,  2613,  2616,  2617,  2603,    82,
    2628,  2661,  2649,  2636,    84,    85,  2652,  2653,  2657,  2658,
     177,   178,   554,   555,   556,   557,   179,   180,  2666,   181,
     182,   183,   184,   185,   186,   187,   188,   189,  2668,   390,
    1023,   846,  2659,  1746,  2646,  1290,   190,   191,   192,  1291,
    2179,   193,  1791,  1292,  1968,  1792,  1024,  1793,  1794,   194,
    1025,  2178,  2180,  1026,  1027,  1969,   927,   195,  1028,   196,
    1970,   990,   991,   992,   993,   994,   995,   996,   997,   998,
     999,  1000,  1082,  1329,  2327,  2496,  1819,  1029,   558,  2604,
    1267,  2403,  1268,  2497,   963,   964,  2410,  1269,   498,  2647,
    2648,  1447,   965,   909,  1198,  1611,  1570,  2612,   829,  1571,
    1030,  1031,  1032,  1621,  1033,  1034,  2631,  1035,  1036,  1037,
     391,  1019,  2096,  1994,  1400,   392,   393,  2004,   966,   394,
     967,  2012,  2022,   395,  2121,  2572,  2428,  2439,  2453,    97,
      98,    99,   100,   101,   102,  2457,  2456,  2582,  1913,   197,
    2584,  1345,  1320,  1228,   968,  2460,     0,     0,     0,     0,
       0,  2469,     0,  1075,   969,   970,     0,   971,   972,   973,
     974,   975,     0,     0,     0,     0,     0,     0,   976,   977,
     978,     0,   979,   980,     0,  1770,     0,     0,     0,     0,
     396,     0,     0,   397,  1771,  1772,  1773,  1774,     0,  1775,
    1776,  1777,     0,     0,  1778,   198,  1779,  1780,     0,     0,
       0,     0,  1781,  1782,     0,   398,     0,  1783,  2516,     0,
       0,     0,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,  2548,     0,     0,     0,     0,   209,   210,
       0,     0,  2552,  2553,     0,     0,     0,     0,     0,     0,
    2556,  2557,     0,     0,  2559,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592,   593,   594,
     211,     0,  1925,     0,     0,  2577,     0,     0,     0,  2581,
       0,  2583,   595,   596,   597,   598,   599,   600,   601,   602,
     603,     0,     0,   604,     0,     0,   212,   213,   214,   215,
    2589,  2590,     0,     0,     0,     0,     0,     0,   924,     0,
       0,  2593,     0,     0,  1770,     0,     0,     0,  2598,     0,
    2599,  2600,  2601,  1771,  1772,  1773,  1774,     0,  1775,  1776,
    1777,     0,   925,  1778,     0,  1779,  1780,     0,     0,     0,
       0,  1781,  1782,     0,     0,     0,  1790,     0,   160,     0,
     161,   162,   163,   164,   165,   166,     0,   167,     0,     0,
       0,     0,     0,     0,     0,   168,   169,     0,     0,     0,
     170,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     216,   217,   171,   172,  2632,   173,     0,   174,   175,     0,
       0,   176,     0,     0,     0,  2637,   218,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2644,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
       0,   177,   178,   554,   555,   556,   557,   179,   180,     0,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   248,
     249,     0,     0,     0,     0,     0,     0,   190,   191,   192,
       0,     0,   193,     0,   590,   591,   592,   593,   594,     0,
     194,     0,     0,     0,     0,     0,     0,     0,   195,     0,
     196,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,     0,   590,   591,   592,   593,   594,     0,
       0,     0,     0,     0,     0,     0,     0,  1549,     0,     0,
       0,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,   590,   591,   592,   593,   594,     0,     0,
       0,  1550,     0,     0,     0,     0,     0,     0,     0,     0,
     595,   596,   597,   598,   599,   600,   601,   602,   603,     0,
       0,   604,   590,   591,   592,   593,   594,     0,     0,     0,
     197,  1255,     0,     0,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,     0,     0,
     604,   595,   596,   597,   598,   599,   600,   601,   602,   603,
    1256,     0,   604,     0,     0,     0,     0,     0,     0,   589,
       0,     0,     0,     0,   590,   591,   592,   593,   594,     0,
       0,     0,     0,     0,     0,     0,   198,     0,     0,  1257,
       0,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,  1258,   604,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,     0,     0,   160,     0,   161,   162,   163,   164,
     165,   166,     0,   167,     0,     0,     0,     0,     0,   209,
     210,   168,   169,  1558,     0,     0,   170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   171,   172,
       0,   173,     0,   174,   175,     0,     0,   176,     0,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,     0,   590,   591,   592,   593,   594,     0,
       0,     0,     0,     0,  2227,     0,     0,   212,   213,   214,
     215,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,     0,     0,     0,     0,   177,   178,     0,
       0,     0,     0,   179,   180,     0,   181,   182,   183,   184,
     185,   186,   187,   188,   189,     0,     0,     0,     0,     0,
       0,     0,     0,   190,   191,   192,     0,     0,   193,     0,
       0,  1548,     0,     0,     0,     0,   194,     0,     0,     0,
       0,     0,     0,     0,   195,     0,   196,   590,   591,   592,
     593,   594,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   216,   217,     0,   595,   596,   597,   598,   599,   600,
     601,   602,   603,     0,     0,   604,     0,   218,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1240,  2099,  2100,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,     0,     0,  2102,     0,   197,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592,   593,   594,
     248,   249,  2228,     0,     0,     0,  2229,  2230,     0,     0,
    2231,  2232,   595,   596,   597,   598,   599,   600,   601,   602,
     603,     0,     0,   604,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,  2233,   338,   339,   340,   341,   342,
     343,  2234,   198,     0,     0,     0,  2235,     0,     0,     0,
       0,     0,     0,  2236,     0,     0,     0,     0,  2237,     0,
       0,     0,  1796,     0,     0,     0,     0,     0,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,     0,     0,
     160,     0,   161,   162,   163,   164,   165,   166,     0,   167,
       0,     0,     0,     0,     0,   209,   210,   168,   169,  1562,
       0,     0,   170,     0,     0,     0,     0,  2238,     0,     0,
       0,     0,     0,     0,   171,   172,  2239,   173,     0,   174,
     175,     0,     0,   176,   590,   591,   592,   211,     0,     0,
       0,     0,     0,     0,     0,     0,  2240,     0,     0,     0,
       0,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,   212,   213,   214,   215,     0,     0,     0,
       0,     0,     0,     0,     0,  2241,     0,     0,  2242,  2243,
    2244,     0,     0,   177,   178,     0,  2245,     0,     0,   179,
     180,  2246,   181,   182,   183,   184,   185,   186,   187,   188,
     189,  2247,     0,     0,     0,     0,     0,     0,  2248,   190,
     191,   192,     0,     0,   193,     0,   590,   591,   592,   593,
     594,     0,   194,     0,     0,     0,     0,     0,     0,     0,
     195,     0,   196,   595,   596,   597,   598,   599,   600,   601,
     602,   603,     0,     0,   604,     0,     0,   216,   217,   590,
     591,   592,   593,   594,     0,     0,     0,     0,     0,  1254,
       0,     0,     0,   218,   219,     0,   595,   596,   597,   598,
     599,   600,   601,   602,   603,     0,     0,   604,     0,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,     0,     0,
       0,     0,   197,     0,     0,     0,  1919,   590,   591,   592,
     593,   594,     0,     0,     0,     0,   248,   249,     0,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,     0,     0,   604,   595,   596,   597,   598,
     599,   600,   601,   602,   603,     0,     0,   604,     0,     0,
    1259,   590,   591,   592,   593,   594,     0,     0,   198,     0,
       0,     0,  1264,     0,     0,     0,     0,     0,   595,   596,
     597,   598,   599,   600,   601,   602,   603,     0,     0,   604,
       0,     0,     0,     0,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,  1336,     0,   160,     0,   161,   162,
     163,   164,   165,   166,     0,   167,     0,     0,     0,     0,
       0,   209,   210,   168,   169,  1976,     0,     0,   170,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     171,   172,     0,   173,     0,   174,   175,     0,     0,   176,
       0,     0,     0,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   590,   591,   592,   593,
     594,     0,     0,     0,     0,     0,     0,     0,     0,   212,
     213,   214,   215,   595,   596,   597,   598,   599,   600,   601,
     602,   603,     0,     0,   604,     0,     0,     0,     0,   177,
     178,     0,     0,     0,     0,   179,   180,  1326,   181,   182,
     183,   184,   185,   186,   187,   188,   189,     0,     0,     0,
       0,     0,     0,     0,     0,   190,   191,   192,     0,     0,
     193,     0,   590,   591,   592,   593,   594,     0,   194,     0,
       0,     0,     0,     0,     0,     0,   195,     0,   196,   595,
     596,   597,   598,   599,   600,   601,   602,   603,     0,     0,
     604,     0,     0,   216,   217,   590,   591,   592,   593,   594,
       0,     0,     0,     0,     0,  1337,     0,     0,     0,   218,
     219,     0,   595,   596,   597,   598,   599,   600,   601,   602,
     603,     0,     0,   604,     0,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,     0,     0,     0,     0,   197,   590,
     591,   592,   593,   594,     0,     0,     0,     0,     0,     0,
       0,     0,   248,   249,     0,     0,   595,   596,   597,   598,
     599,   600,   601,   602,   603,     0,     0,   604,   590,   591,
     592,   593,   594,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1797,     0,     0,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   198,     0,   604,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1798,     0,     0,     0,     0,     0,     0,     0,     0,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
       0,     0,   160,     0,   161,   162,   163,   164,   165,   166,
       0,   167,     0,     0,     0,     0,     0,   209,   210,   168,
     169,  1981,     0,     0,   170,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   171,   172,     0,   173,
       0,   174,   175,     0,     0,   176,     0,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   590,   591,   592,   593,   594,     0,     0,     0,
       0,     0,     0,     0,     0,   212,   213,   214,   215,   595,
     596,   597,   598,   599,   600,   601,   602,   603,     0,     0,
     604,     0,     0,     0,     0,   177,   178,     0,     0,     0,
       0,   179,   180,  1923,   181,   182,   183,   184,   185,   186,
     187,   188,   189,     0,     0,     0,     0,     0,     0,     0,
       0,   190,   191,   192,     0,     0,   193,     0,   590,   591,
     592,   593,   594,     0,   194,     0,     0,     0,     0,     0,
       0,     0,   195,     0,   196,   595,   596,   597,   598,   599,
     600,   601,   602,   603,     0,     0,   604,     0,     0,   216,
     217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1799,     0,     0,     0,   218,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
       0,     0,     0,     0,   197,   590,   591,   592,   593,   594,
       0,     0,     0,     0,     0,     0,     0,     0,   248,   249,
       0,     0,   595,   596,   597,   598,   599,   600,   601,   602,
     603,     0,     0,   604,   590,   591,   592,   593,   594,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1800,     0,
       0,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     198,     0,   604,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,     0,     0,   160,     0,
     161,   162,   163,   164,   165,   166,     0,   167,     0,     0,
       0,     0,     0,   209,   210,   168,   169,  1983,     0,     0,
     170,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   171,   172,     0,   173,     0,   174,   175,     0,
       0,   176,     0,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   590,   591,
     592,   593,   594,     0,     0,     0,     0,     0,     0,     0,
       0,   212,   213,   214,   215,   595,   596,   597,   598,   599,
     600,   601,   602,   603,     0,     0,   604,     0,     0,     0,
       0,   177,   178,     0,     0,     0,     0,   179,   180,  2036,
     181,   182,   183,   184,   185,   186,   187,   188,   189,     0,
       0,     0,     0,     0,     0,     0,     0,   190,   191,   192,
       0,     0,   193,     0,   590,   591,   592,   593,   594,     0,
     194,     0,     0,     0,     0,     0,     0,     0,   195,     0,
     196,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,     0,     0,   216,   217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1942,     0,     0,
       0,   218,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,     0,     0,     0,     0,
     197,   590,   591,   592,   593,   594,     0,     0,     0,     0,
       0,     0,     0,     0,   248,   249,     0,     0,   595,   596,
     597,   598,   599,   600,   601,   602,   603,     0,     0,   604,
     590,   591,   592,   593,   594,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1943,     0,     0,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   198,     0,   604,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2077,     0,     0,     0,     0,     0,     0,
       0,     0,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,     0,     0,   160,     0,   161,   162,   163,   164,
     165,   166,     0,   167,     0,     0,     0,     0,     0,   209,
     210,   168,   169,     0,     0,     0,   170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   171,   172,
       0,   173,     0,   174,   175,     0,     0,   176,     0,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   590,   591,   592,   593,   594,     0,
       0,     0,     0,     0,     0,     0,     0,   212,   213,   214,
     215,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,     0,     0,     0,     0,   177,   178,     0,
       0,     0,     0,   179,   180,  2043,   181,   182,   183,   184,
     185,   186,   187,   188,   189,     0,     0,     0,     0,     0,
       0,     0,     0,   190,   191,   192,     0,     0,   193,     0,
     590,   591,   592,   593,   594,     0,   194,     0,     0,     0,
       0,     0,     0,     0,   195,     0,   196,   595,   596,   597,
     598,   599,   600,   601,   602,   603,     0,     0,   604,     0,
       0,   216,   217,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2335,     0,     0,     0,   218,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,     0,     0,     0,     0,   197,   590,   591,   592,
     593,   594,     0,     0,     0,     0,     0,     0,     0,     0,
     248,   249,     0,     0,   595,   596,   597,   598,   599,   600,
     601,   602,   603,     0,     0,   604,   590,   591,   592,   593,
     594,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2336,     0,     0,   595,   596,   597,   598,   599,   600,   601,
     602,   603,   198,     0,   604,     0,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,     0,     0,  2337,
       0,     0,     0,     0,     0,     0,     0,     0,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   172,     0,
     590,   591,   592,   593,   594,     0,   176,     0,     0,     0,
       0,     0,     0,     0,     0,   209,   210,   595,   596,   597,
     598,   599,   600,   601,   602,   603,     0,  1518,   604,  1519,
    1520,  1521,  1522,  1523,  1524,  1525,     0,     0,     0,     0,
       0,     0,     0,  2338,     0,     0,     0,   211,     0,     0,
       0,     0,  1526,     0,     0,  1527,     0,     0,     0,     0,
       0,     0,   179,   180,     0,   181,   182,   183,   184,   185,
     186,   187,  1528,   212,   213,   214,   215,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592,   593,   594,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1529,
       0,  1530,   595,   596,   597,   598,   599,   600,   601,   602,
     603,     0,     0,   604,     0,     0,   590,   591,   592,   593,
     594,     0,     0,     0,     0,     0,     0,     0,  2494,     0,
       0,     0,     0,   595,   596,   597,   598,   599,   600,   601,
     602,   603,     0,     0,   604,     0,     0,   590,   591,   592,
     593,   594,     0,     0,     0,     0,     0,   216,   217,  2605,
       0,     0,     0,     0,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   218,   219,   604,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,     0,     0,  2050,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   248,   249,     0,     0,
    1330,   198,     0,     0,     0,     0,     0,     0,     0,  1517,
     329,   330,   331,   332,   333,   334,   335,   336,   337,     0,
     338,   339,   340,   341,   342,   343,     0,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   172,     0,   590,
     591,   592,   593,   594,     0,   176,     0,     0,     0,     0,
       0,     0,     0,     0,   209,   210,   595,   596,   597,   598,
     599,   600,   601,   602,   603,  2039,     0,   604,  1519,  1520,
    1521,  1522,  1523,  1524,  1525,     0,     0,     0,     0,     0,
    2051,     0,     0,     0,     0,     0,   211,     0,     0,     0,
       0,  1526,     0,     0,  1527,     0,     0,     0,     0,     0,
       0,   179,   180,     0,   181,   182,   183,   184,   185,   186,
     187,  1528,   212,   213,   214,   215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1529,     0,
    1530,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   248,   249,     0,     0,     0,
     198,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   172,     0,     0,     0,
       0,     0,     0,     0,   176,     0,     0,     0,     0,     0,
       0,     0,     0,   209,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1519,  1520,  1521,
    1522,  1523,  1524,  1525,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,     0,
    1526,     0,     0,  1527,     0,     0,     0,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,   185,   186,   187,
    1528,   212,   213,   214,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1529,     0,  1530,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   216,   217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   248,   249,     0,     0,     0,   198,
       0,     0,     0,     0,     0,     0,     0,  2045,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   172,     0,     0,     0,     0,
       0,     0,     0,   176,     0,     0,     0,     0,     0,     0,
       0,     0,   209,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   179,
     180,     0,   181,   182,   183,   184,   185,   186,   187,  2046,
     212,   213,   214,   215,   197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     198,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   216,   217,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,     0,     0,     0,     0,
     218,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   209,   210,     0,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   248,   249,     0,     0,     0,   198,     0,
       0,   212,   213,   214,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   209,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,   216,   217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,   219,     0,     0,     0,     0,     0,     0,   212,
     213,   214,   215,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,     0,     0,     0,   407,
     408,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   248,   249,     0,     0,     0,     0,
       0,     0,     0,     0,   409,     0,     0,     0,     0,     0,
       0,     0,   410,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,   217,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
     219,     0,   411,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,     0,   391,     0,     0,     0,     0,
     392,   393,     0,   412,   413,     0,     0,     0,   395,   414,
       0,     0,   248,   249,   415,   416,   417,   418,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,     0,     0,
       0,   420,     0,   421,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   396,     0,     0,   397,     0,
       0,     0,     0,     0,     0,     0,     0,   422,     0,     0,
       0,   423,     0,     0,     0,     0,     0,     0,     0,     0,
     424,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,     0,   429,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,     0,   434,
     435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,     0,     0,
     438,   439,   440,     0,     0,     0,     0,     0,     0,   441,
       0,     0,     0,   442,     0,     0,   443,   444,     0,   445,
       0,   446,     0,     0,     0,   447,   448,     0,   449,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   450,
       0,     0,     0,     0,     0,     0,     0,   451,   452
};

static const yytype_int16 yycheck[] =
{
     103,     7,   367,   462,   196,   778,   279,   428,   429,   160,
     562,   732,   492,  1229,   299,   165,   196,   353,   139,    81,
    1229,   630,   504,   165,    86,    87,    67,  1229,   149,   150,
     366,   367,    80,   531,  1229,   533,   534,    80,   781,   537,
     538,    25,    18,    23,   133,    25,   196,    23,   137,    21,
     139,    23,   141,    50,   196,    87,     3,     4,     5,   630,
     149,   150,   671,  1260,  1261,  1262,  1263,   156,    88,  1023,
      18,    80,  1520,    80,  1483,    23,    80,    53,   351,   352,
     203,   204,    88,   125,   128,  1533,   130,    50,   132,    80,
     134,   427,   136,    23,   138,    25,  2211,    50,   142,   282,
     144,   224,   146,    88,   148,    53,    20,    21,   125,    23,
     154,   155,    23,   449,    18,    50,  1070,    18,   161,    23,
     393,  1330,    23,   166,   167,     6,   123,   170,  1330,   465,
     313,   174,  2039,  1040,    37,  1330,    18,    41,    42,    43,
      44,    23,  1081,   139,   173,    50,     6,   167,   630,    53,
     169,   317,    53,     6,   490,    25,   257,    48,    23,   173,
      18,    52,   247,    23,   170,    23,  1758,   173,    48,    69,
      70,    53,    52,    23,    18,    25,    48,   513,  2042,    23,
      52,   173,    51,    41,    42,    43,    44,    18,   231,  2042,
       3,   234,    23,   194,   173,    53,    51,    41,    42,    43,
      44,  2042,    48,   150,    25,    65,    52,    80,   248,    53,
      41,    42,    43,    44,    18,    51,    18,  2426,   366,    23,
     167,    23,    53,    23,    23,    48,    25,    18,   330,    52,
     209,    78,    23,     9,    10,    11,    12,    41,    42,    43,
      44,   205,    18,     7,    78,   192,   193,   356,   382,    53,
      10,    53,  2159,    23,   247,    25,  2230,    79,    79,   170,
      23,   364,    53,    78,   310,     6,     0,  1787,    80,   417,
     729,   317,   256,  1793,     6,    78,   305,    34,   318,   413,
      92,   313,   344,   368,   275,   232,   169,   234,   397,   236,
     274,   305,   395,   396,   460,   148,   149,   180,   181,    40,
     247,   161,   299,   168,   438,   297,   368,   859,    34,    50,
     342,    52,   159,   314,    55,    56,   280,   420,    78,   351,
     872,    69,    70,   176,   137,   159,   273,   748,  2302,   330,
     277,   200,   351,   145,   146,   282,   283,   244,   703,   239,
      81,   677,   157,   445,   536,   200,   168,   200,   633,   634,
     635,   636,   637,   203,   639,   640,   159,   642,   643,   250,
     645,   646,  2571,   175,   200,  2574,  1087,   703,   168,   280,
     250,   241,   708,  1280,  1281,   368,   175,   713,   250,   715,
     531,    28,   533,   534,     6,  1794,   537,   538,  1597,  1328,
     147,   382,   292,   389,   275,  1597,   425,   257,   168,   302,
     501,   386,  1597,   366,   250,   168,    53,   148,  2523,   150,
     151,   425,   153,   366,   155,   751,   752,   300,   220,     6,
     161,   147,   163,   164,   165,  2332,   167,   250,   335,   220,
     261,   366,   244,   475,    23,     6,    25,   560,   429,   180,
     181,   182,   183,   184,   185,   257,   425,   783,   378,   466,
     786,   398,  2044,   360,   314,   876,  2048,   878,   475,   507,
     508,   366,   376,  1034,   365,   513,   475,  2331,   475,   473,
     511,  1919,   481,   838,   839,   482,   192,    80,  2331,  1222,
     477,   372,   373,   431,   516,   517,   518,   507,   824,    36,
    2331,   239,   250,   234,   466,    23,  1450,    25,   474,   240,
     372,   373,   838,   839,    51,   246,   247,   283,   284,    50,
      23,   277,    25,   849,    55,    56,    23,   853,    25,  1071,
     494,   857,   565,   502,   382,   436,   372,   373,   359,   535,
     550,   551,   552,   553,   554,   555,   440,   381,     6,    80,
     451,   452,   548,  1752,   292,   303,  2066,  2067,  2024,   409,
     432,   433,  1034,   889,  2074,  2075,   892,   563,   564,   565,
     566,   567,   568,   321,   900,   369,   370,   170,   574,   549,
     632,    53,   175,   557,   558,   559,   556,   177,   552,   168,
    1189,   441,   442,   178,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   778,   472,
     473,    42,    18,   476,   477,   478,  1803,    23,  1805,   354,
     205,  1808,   162,  1810,  1811,   562,   563,    53,  2094,  1499,
     161,    80,  1502,    69,    70,   166,   167,  1614,   778,   170,
     173,   186,  1619,   174,    51,   235,   778,    53,    79,   180,
     181,   182,   183,   184,   185,    10,  2122,   392,    18,   461,
     164,   463,   464,    23,    10,   168,   468,   469,    54,   471,
      42,   168,    10,    33,   207,    35,   192,   479,   480,    86,
      33,    34,   275,   679,   176,    42,   421,  2153,    23,    24,
     724,   426,    78,    53,   690,   280,   145,   146,    28,    54,
     231,   697,    10,   234,   439,  1468,   258,    79,    54,    39,
     295,    78,   447,    80,    92,   808,    54,  1166,  1924,    18,
     223,    20,    79,    78,    23,  1924,    79,   867,   463,  1928,
     233,   466,  1924,    18,   469,   867,  1928,   168,    23,  1924,
     244,   245,   246,  1720,   479,    23,    54,    25,    14,    15,
    1727,  1239,     6,  1241,    53,   162,    41,    42,    43,    44,
     942,   943,    18,    98,    14,    15,    18,    23,    53,    23,
      24,    23,   305,   306,    79,   945,    23,    24,    23,    24,
     373,  1056,   517,  1058,   519,    41,    42,    43,    44,    41,
      42,    43,    44,   200,  1120,  1121,   168,    53,   158,   206,
     160,    53,    50,   239,    51,   945,  1132,    55,    56,   258,
     259,   168,    78,   945,    50,    54,    20,    21,   411,    55,
      56,   228,    80,  1149,    10,  1151,    36,    81,    78,  1155,
     561,  1157,    80,  1159,  1160,   428,  1162,   430,  1164,    78,
    2039,   434,    54,    54,    80,   438,   439,  2039,    18,    36,
     846,  1177,    80,    23,  2039,   233,   292,  1183,    54,  1308,
      20,    21,  1311,    23,  1313,  1191,    78,    78,    54,  1195,
      53,    41,    42,    43,    44,  1048,  1049,  1050,  1051,    54,
    1053,  1054,    78,    53,  1057,   429,  1059,   314,  1061,  1062,
     147,   435,   853,  1033,   148,  2082,   857,   403,   404,  1225,
    2087,  1033,  2089,    78,    18,  2092,   437,    18,  1234,  1451,
     164,   165,    23,   161,    79,   342,   343,   145,   166,   167,
      80,    23,   176,    25,    26,   161,   174,   923,  2381,   925,
     166,   167,   180,   181,   182,   183,   184,   185,   174,   197,
     198,    52,    53,    79,   180,   181,   182,   183,   184,   185,
      53,   169,  2158,    53,    20,    21,    53,    23,   194,  2158,
    2159,  1372,   493,    78,  1434,    80,  2158,  2159,   333,   334,
      18,   199,   230,  2158,  2159,    23,   261,    53,   196,  1072,
      78,  1692,    80,   231,    20,    21,   234,    23,    20,    21,
     248,    23,  1085,    53,    42,   231,   321,   322,   234,   247,
     252,   253,   737,   146,  1097,    53,  1099,  1118,   386,    53,
     388,   229,   390,   391,    80,    18,   394,    20,   188,   247,
      23,    20,    21,   251,    23,  1788,   254,   255,    53,   287,
     765,   766,    39,   768,    45,    46,    47,   285,    18,  1118,
    1119,   145,   146,    23,    80,   281,   304,    79,    51,     6,
      53,    20,    21,   788,    23,   790,    25,   792,   793,  1385,
     795,   796,   797,   798,   799,   800,   284,    21,   803,    23,
     805,   806,    52,    53,   359,   810,  2529,  2530,    23,   146,
      25,   299,   817,   818,   148,   149,   821,  2540,  2541,  1500,
     825,    18,    19,    20,    21,  1147,  1359,    78,  1239,    80,
    1241,   171,   172,   359,   168,  1216,  1217,  1218,    25,   173,
    1189,    23,   176,    25,   203,     6,   205,    20,    21,  1445,
      23,     6,    25,   858,   188,     6,    53,  1453,   307,  1671,
     194,     6,  1674,  2332,   242,   243,   871,  1216,  1217,  1218,
    2332,  1314,  1962,  1316,    23,  1965,  1286,  2332,   237,  1969,
    1970,   886,   168,   888,  1286,   244,   414,   415,   416,    48,
      78,  2348,    80,  2350,     6,  1491,    35,    36,    18,  1495,
      39,    60,    50,   485,   486,   487,    65,    55,    56,     6,
     398,    18,  1355,     6,   402,   274,    23,   276,    52,     6,
      54,    80,   148,   149,     6,   284,    20,    21,   446,    23,
      46,    47,    80,    18,    41,    42,    43,    44,    23,     6,
     299,  1537,   168,  1146,    92,  1148,    53,   173,   454,   455,
     456,   457,   177,   178,   179,     6,    41,    42,    43,    44,
       6,    10,   188,    20,    21,   453,    23,    25,    53,    18,
     458,   459,    20,    21,    23,    23,   201,   202,     6,  1245,
     205,    46,    47,  1702,    33,    28,    35,  1253,    80,  1255,
    1256,  1257,  1258,    11,    12,    13,   316,     6,   318,    80,
    1266,   519,   520,   491,    53,     9,  1272,    20,    21,  1331,
      28,    29,    30,   161,    18,    19,    20,    21,   166,   167,
     395,   396,   170,   252,   253,  1650,   174,   515,  1468,   188,
    1626,   519,   180,   181,   182,   183,   184,   185,   197,   198,
     148,   149,     6,   402,    65,    66,   564,   565,   566,    53,
      20,    21,    22,    23,  1650,  1651,   148,   149,  1468,    52,
     168,    14,    15,   494,   145,   173,  1468,    23,   176,   161,
      52,   230,   252,   253,   166,   167,    80,  1479,    23,   567,
     188,  1483,   174,   231,   176,    80,   234,   289,   290,  1452,
      52,   109,   110,   252,   253,   197,   198,   256,  1694,  1695,
      18,   180,   181,  1699,   248,    23,   209,   210,    79,   158,
    1706,   160,    48,  1709,    50,    48,   197,   198,   199,    55,
      56,  1126,  1127,    41,    42,    43,    44,   286,   287,   288,
     125,  1136,   491,  1138,   492,    53,    23,  1500,  1734,   231,
    1736,    51,   234,   162,    80,   304,   253,    80,  1744,   230,
     209,   210,  2609,   136,   137,    79,   515,   140,   148,  2184,
    2185,    79,   257,    52,   147,   148,    79,    52,   253,    52,
     251,  1176,   167,   254,   255,    79,   171,   172,    79,    79,
    1185,   176,    52,   330,    25,  1866,   319,    80,   178,  1785,
     367,   192,   187,   257,   308,  1791,   285,  1822,  1823,  1609,
     261,   196,   317,   333,  2661,   261,  1211,  1609,   163,   346,
     339,   201,   285,   203,   285,   205,   354,    11,    12,    13,
     352,  1226,  1227,   304,    18,   161,  1822,  1823,   363,    23,
     166,   167,   125,   141,    28,    29,    30,   377,   174,   363,
      20,    21,    22,    23,   180,   181,   182,   183,   184,   185,
      52,    79,    52,  1519,  1520,    79,  1522,  1938,    79,    53,
    1526,  1527,   192,    80,   197,   198,   199,  1533,   161,    86,
      50,   450,  1594,   166,   167,    55,    56,   161,   171,   172,
     162,   174,  1548,   176,  1550,   373,   366,    52,   278,   279,
     280,   281,    79,    79,   187,   231,    18,   230,   234,    18,
      52,    18,    52,   196,   232,    23,    23,   399,   400,   401,
     188,   176,    52,  1909,    52,   109,   110,    79,  1999,   252,
     253,    79,    79,   256,    41,    42,    43,    44,    79,   247,
     257,   479,   480,   176,    79,   483,    53,    52,   231,    52,
     488,   234,   192,   358,   161,   176,  1351,  1352,  1788,   166,
     167,    52,   285,   170,   252,   288,   261,   174,    52,    79,
    2613,  1957,    79,  2616,  2617,    79,   299,  1963,    52,   261,
      17,   304,    18,    18,   310,  2628,    36,    33,  1788,  1384,
    2005,  2006,  2007,    34,    39,    18,  1788,    78,    18,    19,
      20,    21,  1794,   190,   191,   192,   193,   330,    10,  2652,
    2653,    18,    18,     6,  2657,  2658,    78,   343,   344,  2005,
    2006,  2007,     6,     6,   231,     6,    50,   234,     6,  2015,
     353,    55,    56,    53,   209,   210,   211,   212,   213,     6,
       6,    11,    12,    13,    14,    15,  1441,     6,  1443,  1444,
       6,  1446,    71,    72,    73,    74,    80,     6,    28,    29,
      30,    31,    32,    33,    34,    35,    36,     6,  1463,    39,
    1465,     6,     6,  2059,     6,  1470,  2062,    53,  2064,    52,
      78,    52,    23,   148,   149,   377,   344,    52,  1841,  2104,
     261,   414,  1748,   300,   301,  1490,   261,    52,    52,    52,
    1756,   235,    52,   168,  1760,    52,  1762,   390,   173,   209,
     210,   211,   212,   213,   437,    79,    52,    37,  2104,  2105,
     162,    52,   261,   188,   261,   261,   374,   250,  1840,   194,
     261,    52,   250,    52,   457,   188,   106,   161,    18,    18,
    1796,    23,   166,   167,  2130,   313,   195,    52,  2134,  2135,
     174,  2137,    18,  2139,    51,    18,   180,   181,   182,   183,
     184,   185,   291,    49,    50,   147,    34,    78,    78,    55,
      56,   494,   495,   496,   497,    18,   499,   250,   250,    53,
     503,   507,     6,    23,   176,   176,   512,    23,   514,    54,
       6,  2021,  2022,  2179,    80,  2181,  2182,  2183,     6,    52,
    2042,    18,    19,    20,    21,    22,    23,   231,  2194,    23,
     234,    52,  2198,    25,    52,    34,  2202,   207,   208,    78,
     244,  2021,  2022,    52,   214,   215,   216,   217,   261,  2021,
    2022,    52,   256,    79,    52,   192,    53,  2308,   189,    52,
      50,    52,  2228,    52,    18,    52,    52,    52,  2234,  2235,
      52,    52,  1647,    52,  2240,    52,  2242,    52,  2244,    52,
    2246,    52,    52,  1919,    52,    52,  2252,    52,    52,    52,
      52,  1927,  1667,  1668,  1669,   161,    52,  1672,  2264,  2265,
     166,   167,  2268,  2269,    52,    52,    52,    52,   174,   188,
      21,    18,    34,    34,   180,   181,   182,   183,   184,   185,
      78,  1696,    18,    23,     6,  2291,     6,    18,    18,  2295,
       6,     6,  2298,    23,     6,     6,     6,    60,  2304,    18,
      19,    20,    21,    22,    23,   349,     6,     6,     6,  2315,
    1725,    41,    42,    43,    44,    54,   260,    80,    78,    52,
      25,   161,   260,    53,    52,   231,    52,    52,   234,    78,
    2365,  2366,   367,   293,    53,  2370,  2371,  2110,    52,  2374,
     192,   247,   358,    52,    18,    19,    20,    21,    22,    23,
      52,  2357,  2358,  2359,  2360,  2361,    52,    52,    52,  2365,
    2366,    52,   125,    52,  2370,  2371,    52,    52,  2374,    52,
      52,    52,    52,   136,  2380,    52,  2052,  2053,  2054,    53,
    2056,    52,    60,   176,   341,   176,    52,    52,  2394,  2395,
    2396,    50,   136,   257,    52,   443,    55,    56,   178,    52,
      52,   146,   194,    52,   167,    36,  2412,  2413,   171,   172,
      53,    28,  2418,   176,    53,    53,  1831,    52,  2509,  2510,
      28,    80,    36,  2429,   187,    34,    18,  2433,    78,     6,
    2436,  2437,    78,   196,    21,  2441,  2442,     6,    80,    52,
      18,   261,  2477,   261,  2450,   417,   418,   419,   420,   421,
     422,   423,   424,    79,   162,  2461,  2462,  2463,   393,  2550,
     397,   188,  2468,  2275,   392,   315,  1881,  1882,  2330,  2331,
      52,  2477,  2478,    52,   253,  2481,  2482,    52,    52,   293,
     243,    79,   245,    79,   247,    79,  2162,   188,    79,    79,
      48,    18,    52,    69,    18,    52,  1911,    52,    34,  2505,
    2506,    68,   161,   409,   410,   411,   412,   166,   167,    61,
      38,   170,    52,    52,    35,   174,    35,    10,    80,    54,
      79,   180,   181,   182,   183,   184,   185,   303,   387,    52,
     278,   437,   192,   254,    79,    79,   254,   443,   261,    54,
     446,   254,    79,   449,    53,    79,    53,    53,    52,    78,
      53,  2324,    52,    10,    53,    77,    54,  2563,    54,  2565,
    2566,   107,    54,    54,    54,   300,    52,  2573,    36,    18,
      35,    35,   231,    10,  2580,   234,    52,   340,    79,    52,
     253,    52,    79,   317,   475,   475,   349,   350,    10,    50,
      52,    80,   254,   356,    55,    56,    54,   360,    78,  2014,
      54,    54,    54,    78,    54,    53,   293,    54,   371,   257,
     254,    52,   291,   254,   254,   291,    79,   380,   254,   382,
     257,   207,   385,   447,   419,   354,    52,   317,     6,   123,
     293,    52,   467,   417,   261,   303,   303,   296,    52,    52,
      25,    52,    20,    21,    22,    23,   291,   470,   460,   465,
     261,   460,   498,   123,   261,   261,   261,    16,  2334,    18,
      19,    20,    21,    22,    23,    52,    25,   510,    52,    52,
     354,    52,    50,    52,    33,    34,    35,    55,    56,    38,
      52,    52,    36,    36,    80,    52,  2101,    11,    12,    13,
      25,    50,    51,   448,    53,   298,    55,    56,   504,  2114,
      59,   500,   484,    80,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   261,  2129,    39,  2131,   198,   261,   180,
     181,   182,   183,   184,   185,   462,   509,    54,   254,   254,
    2145,  2146,  2147,   188,    78,    52,    52,    52,   198,    50,
      52,    78,    52,   431,    55,    56,    52,    52,    52,    52,
     109,   110,   111,   112,   113,   114,   115,   116,    52,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    54,    80,
     148,   149,   426,  1510,   431,  1033,   135,   136,   137,  1033,
    2063,   140,  1552,  1033,  1791,  1552,   164,  1552,  1552,   148,
     168,  2062,  2064,   171,   172,  1792,   561,   156,   176,   158,
    1793,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   681,  1080,  2158,  2330,  1597,   195,   173,  2495,
     942,  2236,   943,  2331,    57,    58,  2241,   945,   141,  2602,
    2603,  1187,    65,   536,   829,  1356,  1273,  2523,   472,  1275,
     218,   219,   220,  1371,   222,   223,  2542,   225,   226,   227,
     161,   625,  1994,  1837,  1154,   166,   167,  1852,    91,   170,
      93,  1865,  1890,   174,  2018,  2434,  2275,  2282,  2292,   180,
     181,   182,   183,   184,   185,  2296,  2295,  2445,  1740,   238,
    2447,  1101,  1065,   883,   117,  2300,    -1,    -1,    -1,    -1,
      -1,  2306,    -1,   674,   127,   128,    -1,   130,   131,   132,
     133,   134,    -1,    -1,    -1,    -1,    -1,    -1,   141,   142,
     143,    -1,   145,   146,    -1,    48,    -1,    -1,    -1,    -1,
     231,    -1,    -1,   234,    57,    58,    59,    60,    -1,    62,
      63,    64,    -1,    -1,    67,   294,    69,    70,    -1,    -1,
      -1,    -1,    75,    76,    -1,   256,    -1,    80,  2363,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,  2398,    -1,    -1,    -1,    -1,   347,   348,
      -1,    -1,  2407,  2408,    -1,    -1,    -1,    -1,    -1,    -1,
    2415,  2416,    -1,    -1,  2419,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
     379,    -1,    79,    -1,    -1,  2440,    -1,    -1,    -1,  2444,
      -1,  2446,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    -1,    -1,   405,   406,   407,   408,
    2465,  2466,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
      -1,  2476,    -1,    -1,    48,    -1,    -1,    -1,  2483,    -1,
    2485,  2486,  2487,    57,    58,    59,    60,    -1,    62,    63,
      64,    -1,    78,    67,    -1,    69,    70,    -1,    -1,    -1,
      -1,    75,    76,    -1,    -1,    -1,    80,    -1,    16,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,    50,    51,  2549,    53,    -1,    55,    56,    -1,
      -1,    59,    -1,    -1,    -1,  2560,   505,   506,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2576,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   568,
     569,    -1,    -1,    -1,    -1,    -1,    -1,   135,   136,   137,
      -1,    -1,   140,    -1,    11,    12,    13,    14,    15,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,
     158,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    11,    12,    13,    14,    15,    -1,    -1,    -1,
     238,    78,    -1,    -1,    11,    12,    13,    14,    15,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      78,    -1,    39,    -1,    -1,    -1,    -1,    -1,    -1,     6,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,    -1,    -1,    78,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    78,    39,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,    -1,    16,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    -1,    -1,    -1,    -1,    -1,   347,
     348,    33,    34,    35,    -1,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    53,    -1,    55,    56,    -1,    -1,    59,    -1,    -1,
      -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,   405,   406,   407,
     408,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,    -1,    -1,   109,   110,    -1,
      -1,    -1,    -1,   115,   116,    -1,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,   136,   137,    -1,    -1,   140,    -1,
      -1,    78,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   156,    -1,   158,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,   505,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      54,   197,   198,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,    -1,    -1,    -1,   230,    -1,   238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
     568,   569,   248,    -1,    -1,    -1,   252,   253,    -1,    -1,
     256,   257,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,   280,    99,   100,   101,   102,   103,
     104,   287,   294,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,   304,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,    -1,
      16,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      -1,    -1,    -1,    -1,    -1,   347,   348,    33,    34,    35,
      -1,    -1,    38,    -1,    -1,    -1,    -1,   353,    -1,    -1,
      -1,    -1,    -1,    -1,    50,    51,   362,    53,    -1,    55,
      56,    -1,    -1,    59,    11,    12,    13,   379,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,   405,   406,   407,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   411,    -1,    -1,   414,   415,
     416,    -1,    -1,   109,   110,    -1,   422,    -1,    -1,   115,
     116,   427,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   135,
     136,   137,    -1,    -1,   140,    -1,    11,    12,    13,    14,
      15,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,   158,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,    -1,    -1,   489,   490,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,   505,   506,    -1,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,    -1,    -1,    -1,
      -1,    -1,   238,    -1,    -1,    -1,    78,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,   568,   569,    -1,    11,
      12,    13,    14,    15,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,
      54,    11,    12,    13,    14,    15,    -1,    -1,   294,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,    -1,    -1,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    54,    -1,    16,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    -1,    -1,    -1,    -1,
      -1,   347,   348,    33,    34,    35,    -1,    -1,    38,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    53,    -1,    55,    56,    -1,    -1,    59,
      -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,
     406,   407,   408,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,    -1,    -1,    -1,    -1,   109,
     110,    -1,    -1,    -1,    -1,   115,   116,    52,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,   136,   137,    -1,    -1,
     140,    -1,    11,    12,    13,    14,    15,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,   158,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    -1,   489,   490,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,   505,
     506,    -1,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,    -1,    -1,    -1,    -1,    -1,   238,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   568,   569,    -1,    -1,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   294,    -1,    39,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,    16,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    -1,    -1,    -1,    -1,    -1,   347,   348,    33,
      34,    35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    53,
      -1,    55,    56,    -1,    -1,    59,    -1,    -1,    -1,   379,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   405,   406,   407,   408,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    -1,    -1,    -1,   109,   110,    -1,    -1,    -1,
      -1,   115,   116,    52,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,    11,    12,
      13,    14,    15,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   156,    -1,   158,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,   489,
     490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,   505,   506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,    -1,
      -1,    -1,    -1,    -1,   238,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   568,   569,
      -1,    -1,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     294,    -1,    39,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,    -1,    16,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    -1,    -1,
      -1,    -1,    -1,   347,   348,    33,    34,    35,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    53,    -1,    55,    56,    -1,
      -1,    59,    -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   405,   406,   407,   408,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,
      -1,   109,   110,    -1,    -1,    -1,    -1,   115,   116,    52,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,   136,   137,
      -1,    -1,   140,    -1,    11,    12,    13,    14,    15,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,
     158,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,   489,   490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,    -1,    -1,    -1,    -1,    -1,
     238,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   568,   569,    -1,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   294,    -1,    39,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,    -1,    16,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    -1,    -1,    -1,    -1,    -1,   347,
     348,    33,    34,    -1,    -1,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    53,    -1,    55,    56,    -1,    -1,    59,    -1,    -1,
      -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,   406,   407,
     408,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,    -1,    -1,   109,   110,    -1,
      -1,    -1,    -1,   115,   116,    52,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,   136,   137,    -1,    -1,   140,    -1,
      11,    12,    13,    14,    15,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   156,    -1,   158,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
      -1,   489,   490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,   505,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,    -1,    -1,    -1,    -1,    -1,   238,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     568,   569,    -1,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   294,    -1,    39,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    51,    -1,
      11,    12,    13,    14,    15,    -1,    59,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   347,   348,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    80,    39,    82,
      83,    84,    85,    86,    87,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,   379,    -1,    -1,
      -1,    -1,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,   115,   116,    -1,   118,   119,   120,   121,   122,
     123,   124,   125,   405,   406,   407,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,
      -1,   154,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,   489,   490,    54,
      -1,    -1,    -1,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   505,   506,    39,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   238,    -1,    -1,    52,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   568,   569,    -1,    -1,
      79,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    51,    -1,    11,
      12,    13,    14,    15,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,   348,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    79,    -1,    39,    82,    83,
      84,    85,    86,    87,    88,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,   379,    -1,    -1,    -1,
      -1,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,   115,   116,    -1,   118,   119,   120,   121,   122,   123,
     124,   125,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,
     154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   568,   569,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    82,    83,    84,
      85,    86,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,
     105,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
     115,   116,    -1,   118,   119,   120,   121,   122,   123,   124,
     125,   405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,   154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   568,   569,    -1,    -1,    -1,   294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    51,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
     116,    -1,   118,   119,   120,   121,   122,   123,   124,   125,
     405,   406,   407,   408,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,    -1,    -1,    -1,
     505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   347,   348,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   568,   569,    -1,    -1,    -1,   294,    -1,
      -1,   405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   379,    -1,   489,   490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,   405,
     406,   407,   408,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,    -1,    -1,    -1,    -1,    55,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   568,   569,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,
     506,    -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,    -1,    -1,   161,    -1,    -1,    -1,    -1,
     166,   167,    -1,   169,   170,    -1,    -1,    -1,   174,   175,
      -1,    -1,   568,   569,   180,   181,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
      -1,   197,    -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,   300,   301,    -1,   303,    -1,    -1,
      -1,    -1,   308,   309,    -1,   311,   312,    -1,    -1,   315,
     316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   331,   332,    -1,    -1,    -1,
     336,   337,   338,    -1,    -1,    -1,    -1,    -1,    -1,   345,
      -1,    -1,    -1,   349,    -1,    -1,   352,   353,    -1,   355,
      -1,   357,    -1,    -1,    -1,   361,   362,    -1,   364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,   384
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   575,   576,     3,     4,     5,   150,   167,   192,
     193,   232,   234,   236,   247,   273,   277,   282,   283,   398,
     562,   563,   571,   572,   573,   574,   742,   743,   744,   745,
     747,   748,   749,   756,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   771,   772,   773,   774,   775,
     776,   777,   779,   780,   794,   795,   796,   797,   816,   839,
     877,   878,   879,   880,   881,   882,   883,   884,   939,   940,
     963,   976,   977,   978,   979,   980,   981,   982,   983,     0,
       6,    40,    50,    52,    55,    56,    81,   148,   150,   151,
     153,   155,   161,   163,   164,   165,   167,   180,   181,   182,
     183,   184,   185,   234,   240,   246,   247,   561,   577,   578,
     631,   633,   634,   635,   636,   645,   681,   683,   684,   685,
     686,   687,   692,   706,   709,   719,   720,   721,   784,   787,
     798,   801,   817,   823,   835,   838,   842,   843,   886,   887,
     889,   891,   892,   897,   928,   931,   941,   942,   954,   955,
     964,   967,   974,   975,   986,   989,   990,     6,     6,     6,
      16,    18,    19,    20,    21,    22,    23,    25,    33,    34,
      38,    50,    51,    53,    55,    56,    59,   109,   110,   115,
     116,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     135,   136,   137,   140,   148,   156,   158,   238,   294,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   347,
     348,   379,   405,   406,   407,   408,   489,   490,   505,   506,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   568,   569,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   628,   629,   630,   651,   667,   669,   670,   672,
     673,   674,   675,   783,    23,    25,   168,   755,   778,   781,
      23,   781,   781,   223,   233,   781,   781,     6,   192,   203,
     205,   237,   244,   274,   276,   284,   299,   402,   491,   515,
     148,   178,   201,   203,   205,   278,   279,   280,   281,    42,
      79,   168,   769,   781,   277,    25,   256,   274,   557,   558,
     559,   984,     6,    23,    24,   581,   581,   581,   675,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    99,   100,
     101,   102,   103,   104,   637,    53,    53,   162,    23,    25,
     605,   203,   204,   224,   560,   186,   203,   605,   164,   244,
     245,   246,   707,   708,   966,   192,   494,   552,   176,   258,
     688,   169,   196,   229,   284,   299,   398,   402,   453,   458,
     459,   491,   515,   519,   567,   841,   927,    51,   581,   693,
      80,   161,   166,   167,   170,   174,   231,   234,   256,   685,
     694,   695,   701,   723,   693,   693,   693,    55,    56,    80,
      88,   118,   169,   170,   175,   180,   181,   182,   183,   193,
     197,   199,   243,   247,   256,   283,   299,   300,   301,   303,
     308,   309,   311,   312,   315,   316,   331,   332,   336,   337,
     338,   345,   349,   352,   353,   355,   357,   361,   362,   364,
     375,   383,   384,   694,   826,   827,   834,   693,   693,    49,
      80,   247,   409,   410,   411,   412,   437,   443,   446,   449,
     685,   694,   845,   846,   847,   848,   849,   693,    80,   194,
     281,   454,   455,   456,   457,   694,   701,   888,    79,    80,
     125,   171,   172,   176,   187,   196,   390,   694,   696,   693,
     693,   693,   693,    80,   244,   256,   349,   694,   701,   958,
     959,    80,   247,   285,   446,   519,   520,   564,   565,   566,
     694,   701,   965,   988,   693,   693,    80,   170,   565,   694,
     991,    18,    23,    33,    35,    53,   158,   160,   666,   668,
     673,    36,   585,    36,    20,    21,   586,   587,    53,   147,
      34,   147,   675,    18,   111,   112,   113,   114,   656,   675,
      79,    79,    53,    53,    53,    53,    53,    53,    53,    18,
      19,    21,    22,    23,    53,   586,   587,   594,   651,   652,
     655,   657,   658,   659,   661,   663,   664,   146,   146,     6,
      11,    12,    13,    14,    15,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    39,    39,    42,    79,   168,   724,
       6,   724,    25,   606,   606,   781,   781,     6,    42,    79,
     168,   727,     6,    23,    25,   168,   782,     6,   275,     6,
     750,     6,   757,   178,   205,   280,   295,   307,    23,   170,
     280,   436,   451,   452,   746,   205,   280,   746,   168,     6,
       6,     6,     6,     6,     6,     6,     6,    88,   167,   507,
     550,   551,   552,   553,   554,   555,   972,   973,    18,   770,
     606,   840,   984,     6,   984,     6,     6,   494,   985,    28,
     646,   632,    98,   581,    23,    23,    18,    20,    23,    51,
      53,   682,    52,   724,   724,    18,    23,    53,   579,    41,
      42,    43,    44,   188,   579,   582,   727,    52,    25,   241,
      52,   549,   556,   605,   970,   248,   579,   580,   580,   581,
      79,   691,   403,   404,   890,   492,    23,    51,    79,   162,
     582,   724,   722,   175,   605,   605,   727,   257,    52,    79,
     699,    52,    52,    79,    79,    79,   248,   318,   330,    52,
      25,   321,   322,    50,   366,    50,   366,    50,   366,    50,
     366,   319,   605,   582,   367,   192,   257,   244,   335,   360,
     247,   582,   824,    52,   579,    20,    21,    23,   376,   583,
     819,   583,   818,   261,   310,   317,   261,   308,   285,   317,
     333,   334,   333,   163,   582,   339,   346,   285,   285,   354,
     352,   250,   303,   321,   582,   363,   365,   579,   377,   141,
     363,    52,    79,   832,    52,    79,    79,   450,   192,   682,
     582,   161,   579,   582,   162,   373,   582,   366,   844,   699,
      52,    79,    79,   582,    18,    51,   200,    18,   145,   146,
     171,   172,    52,    52,   579,   148,   149,   168,   173,   188,
     194,   643,   703,   188,   703,    23,   702,   188,   232,   176,
      52,    52,    79,    79,    79,    79,    21,    22,    23,   597,
     600,   257,   176,    52,    52,    87,   313,   342,   351,   516,
     517,   518,   956,   957,    79,   962,   192,   579,   358,   176,
     252,   582,   261,   582,    52,    52,    79,    79,   992,   996,
     261,    52,    10,   668,   668,   668,   675,    20,    21,   661,
     668,   668,    17,    18,    18,    36,   671,   675,    33,    34,
     147,    34,    18,    78,    54,    78,   625,   625,   702,   675,
     675,   675,   675,   675,   675,    35,   654,   656,   675,    33,
      34,    79,    10,    78,   159,    78,   159,    18,    18,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,    57,    58,    65,    91,    93,   117,   127,
     128,   130,   131,   132,   133,   134,   141,   142,   143,   145,
     146,    50,    55,    56,   180,   181,   182,   183,   184,   185,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   754,   177,   178,   179,   201,   202,   205,   725,   726,
       6,     6,     6,     6,   177,   235,   728,   729,     6,   782,
       6,     6,     6,   148,   164,   168,   171,   172,   176,   195,
     218,   219,   220,   222,   223,   225,   226,   227,   600,   643,
     753,     6,    81,   148,   164,   165,   176,   581,   746,   746,
     746,   746,   746,   746,   746,   885,   168,   746,   168,   746,
       6,   746,   746,     6,     6,    78,    80,     6,     6,     6,
     148,   176,   200,   643,     6,   985,   579,     6,   675,    53,
     639,   640,   641,   644,    52,    78,    78,   716,   717,   675,
      52,   675,   580,    52,   579,   242,   243,   377,   968,   579,
     969,    79,   168,   971,   579,    45,    46,    47,   690,   693,
      23,   682,   710,   713,   714,   582,   698,   700,   786,   800,
     261,   261,   583,    52,   579,   579,    88,   386,    52,    52,
     247,   368,   261,   359,   582,   582,   344,   582,   235,    52,
      52,    79,   741,    52,    23,   594,   599,    37,   584,    48,
      52,   250,   372,   373,   584,    48,    52,   250,   579,   261,
     261,   579,   261,   582,   261,   582,   162,   582,   582,    52,
     582,   582,   582,   582,   582,   582,   374,   250,   582,    52,
     582,   582,    52,   378,   605,   250,   582,   831,   833,   837,
     582,   261,   359,   582,   582,   188,   579,   582,   700,   850,
      18,    18,   580,   580,    23,   641,   642,   675,    42,   579,
     705,   195,   705,   705,   582,   702,   896,   930,   943,   582,
     702,    25,   583,   583,    50,   123,   299,   477,   956,   961,
      52,   582,   582,   579,   291,   579,   714,   715,   579,    18,
      54,   159,    51,    18,    54,    78,   147,    34,   675,   675,
     626,   627,    54,    78,    54,    78,    78,    78,    78,    54,
      78,    10,    78,    78,    54,    18,    53,   652,   659,   663,
     250,   250,    53,    78,    80,    78,    80,     6,   642,    23,
     176,   176,    23,   168,    20,    21,    22,    23,   586,   587,
     588,   589,   590,   751,   752,   600,    23,   755,   606,   606,
     606,   606,     6,   606,   606,     6,    23,    65,   161,   257,
     314,   409,   441,   442,   746,   606,   746,   606,   606,   606,
     973,   642,    25,   702,   605,     6,    52,    54,   638,   644,
      79,   637,   605,    23,   714,    52,    54,    54,    25,    46,
      47,    46,    47,   605,   605,   972,    52,    52,    80,   145,
     146,   258,   259,   689,    34,   712,    78,    52,    80,   167,
     696,   697,    80,   170,   296,   694,   701,   785,    80,    86,
     170,   300,   301,   694,   799,   579,   579,    52,    52,    52,
     582,    79,   582,   820,   192,   261,   579,    52,    52,    52,
     582,    52,   582,   740,   825,   819,   581,   819,   579,   579,
     818,   579,   579,    52,   579,   579,    52,   579,    52,   579,
      52,   682,    52,    52,    52,    52,    52,    52,    52,    52,
     582,    52,   579,    52,    52,    52,   579,    52,   582,    52,
      60,    80,   136,   171,   172,   243,   245,   247,   340,   349,
     350,   356,   360,   371,   380,   382,   385,   697,   830,    80,
     148,   176,   399,   400,   401,   643,   694,   836,   579,   579,
      80,   170,   175,   275,   373,   411,   428,   430,   434,   438,
     439,   851,   858,   861,   189,   704,   582,    52,    80,    92,
     170,   479,   480,   483,   488,   694,   701,   893,    80,   170,
     437,   493,   694,   701,   929,    48,    80,   310,   343,   344,
     507,   512,   514,   694,   701,   944,   946,    52,    52,   584,
      50,    18,   602,   603,   579,   582,   582,    23,    80,    82,
      83,    84,    85,    86,    87,    88,   105,   108,   125,   152,
     154,   672,   674,   676,   678,   783,   960,   188,   987,   579,
      79,   995,   668,   668,    21,   675,    34,    34,    78,    54,
      78,   623,   624,   675,   675,   675,   675,   675,    35,   654,
     675,   654,    35,   654,   654,    78,   675,    18,    18,   675,
     726,   729,    23,   755,   755,    51,    20,    21,     6,     6,
       6,     6,     6,     6,    18,   682,   682,   682,   606,     6,
     606,     6,     6,     6,   637,   647,   648,   649,   678,   581,
      54,    78,    80,   260,   260,   582,   582,    52,    25,   606,
     711,   713,   724,    52,   788,   793,   161,    52,   803,   804,
     810,   804,   811,   583,   815,    52,    78,    52,    52,    92,
     233,   386,   388,   390,   391,   394,   821,   822,    52,   359,
     582,   579,    52,    52,    52,    80,   145,   199,   247,   251,
     254,   255,   739,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,   293,   358,   176,   176,
     367,   176,   192,   341,   176,   169,   351,   582,    60,   582,
     381,   582,   579,   582,    52,   642,    25,   702,   605,   579,
     136,    52,   870,   876,   382,   413,   438,   582,   853,   382,
     582,   852,   257,   599,   854,   855,   440,   582,    52,   443,
     871,   190,   191,   192,   193,    23,   587,   598,   907,   912,
     898,   906,   894,   895,   598,   178,    52,   932,   938,   582,
     579,    52,   579,   194,   945,   146,   945,    23,   583,   605,
     947,    67,   511,   948,   945,    52,   603,    36,    28,   675,
     677,   677,    53,   675,   675,   675,    28,    53,    53,    52,
      28,   677,    28,    39,   579,   994,    36,    34,   675,   675,
      48,    57,    58,    59,    60,    62,    63,    64,    67,    69,
      70,    75,    76,    80,   609,   610,   611,   612,   613,   621,
      80,   610,   611,   612,   613,   622,    78,    54,    54,    54,
      54,    54,    78,    10,    54,    78,    54,    78,    10,    54,
      78,    78,    18,    54,    21,     6,     6,   581,    80,   648,
      52,    18,   261,   261,    20,    21,    23,   586,   587,   601,
     715,   162,   169,   180,   181,   300,   802,   715,    79,   809,
      37,   302,   812,   579,   188,   397,   139,   389,   393,   392,
     395,   396,    78,    80,    52,    52,    52,   252,   253,   582,
     253,   580,   579,    52,   194,   314,   330,   252,   253,   582,
     582,   582,   247,   368,   702,   582,   314,   342,   343,   829,
     702,   293,   315,   714,   872,   579,   579,   582,    79,   579,
      79,   682,    79,   579,   579,    79,    79,   911,   715,    79,
     583,   913,   918,    25,    79,   919,   924,   582,   715,   188,
     579,    69,   579,   946,   949,   950,   579,    18,   675,    78,
      52,    52,   783,    52,   106,    79,   675,   679,   679,   675,
      52,   675,   136,   137,   140,   147,   148,    80,   473,   993,
      18,    34,    54,    54,    61,    65,    66,    68,    11,    12,
      13,    28,    29,    30,   109,   110,   579,   607,   614,   615,
     616,    38,   617,   618,   618,   620,   599,    52,   614,   617,
     620,   598,    52,   675,    35,   654,    35,   654,    35,   654,
      10,    35,   654,    35,   654,    80,    52,    54,    54,   580,
     580,    79,   792,   582,   809,   808,   805,   581,   605,   303,
     813,    52,   387,   278,   822,   254,   254,   254,   369,   370,
     582,   828,   828,   583,   192,   261,   582,   582,   873,    79,
     875,   863,   863,   856,   859,   910,   909,    79,   905,   914,
     920,    79,   937,   579,   582,    79,    52,   677,    54,    79,
     650,   678,   665,    52,   675,    23,   125,   674,   680,   783,
      52,    52,    53,    53,    53,    52,    53,   583,    52,    10,
     579,    14,    15,   608,    78,    15,    78,   608,   579,    71,
      72,    73,    74,   619,    78,   608,    77,    54,    54,    54,
      54,    78,    10,    54,    54,    54,    78,    53,    54,    10,
      54,    54,    10,    54,   791,   789,   805,    80,   145,   197,
     198,   199,   230,   251,   254,   255,   304,   730,   731,   733,
     734,   735,   806,   583,   300,   814,   580,   580,   580,   582,
     579,   871,   874,    80,   599,   864,   865,    80,    80,   275,
     382,   429,   857,    80,   248,   287,   304,   414,   415,   416,
     730,   860,    80,   472,   473,   476,   477,   478,   908,   904,
     903,   917,   923,   936,   933,   951,    52,   647,   107,     9,
      18,    19,    53,    80,   651,   653,   655,   657,   658,   660,
     662,   679,   679,   675,   675,   675,   675,   579,   616,   607,
     615,   618,   618,    36,   618,   618,    18,    35,   654,    35,
     654,   654,    10,   654,    48,    60,    65,    80,   188,   252,
     253,   256,   286,   287,   288,   304,   730,   790,   252,   253,
     582,    79,   253,   580,   579,   173,   207,   305,   306,   807,
      26,   605,    79,   738,    52,   582,    65,    80,   248,   252,
     253,   256,   257,   280,   287,   292,   299,   304,   353,   362,
     382,   411,   414,   415,   416,   422,   427,   437,   444,   730,
     862,   429,   435,   866,   582,   579,   582,    52,   579,   579,
     173,   305,   425,   579,   317,   220,   579,    52,   475,   475,
     582,   582,   582,    52,    80,    92,   145,   146,   175,   244,
     257,   461,   463,   464,   468,   469,   471,   479,   480,   899,
      80,   475,   481,   915,    80,   475,   482,   921,    48,    80,
     199,   252,   253,   256,   285,   288,   299,   304,   330,   353,
     414,   437,   457,   494,   495,   496,   497,   499,   503,   730,
     934,    80,   507,   508,   513,   952,    80,   650,   647,   675,
      10,    78,   157,    54,    78,    54,    54,    54,    54,   579,
     579,   579,   579,   619,   619,    54,    54,    54,    78,    54,
      53,    54,   579,   293,   289,   290,   579,   291,    69,    70,
     239,   292,   718,   257,   579,   254,   254,   173,   297,    52,
     254,   254,   732,   733,   254,   209,   210,   207,    51,    86,
     162,   200,   206,   228,   736,   417,   418,   419,   420,   421,
     422,   423,   424,   579,   291,    69,   292,   718,   257,   447,
      79,   579,   579,   582,   173,   305,   425,   354,   419,   579,
     582,   579,   317,   220,   579,   330,   445,   579,   123,   417,
      52,   579,    52,   579,   579,   579,   579,   466,   912,   317,
     460,   460,   125,   475,   125,   466,   475,   467,   460,   582,
     465,   261,   470,   293,   303,   900,   303,   901,    52,   916,
     474,   579,   925,   913,    52,   922,   925,   919,    52,   579,
     582,   291,    69,   292,   718,   257,   501,   579,   261,   582,
     173,   209,   425,   502,   935,   583,   354,   261,   123,   366,
     417,   261,   261,   431,   579,   498,   500,   504,    52,   953,
     510,   509,   605,    52,    54,    53,   653,   660,   647,    52,
     675,    52,    52,    52,    52,    36,    36,   654,   654,   180,
     181,   579,   579,   579,   579,   579,   582,   580,   580,   298,
     580,   580,    80,    52,   580,   209,   210,    25,   604,    51,
     200,   579,   604,   207,   208,   214,   215,   216,   217,   737,
      51,   200,    80,   432,   433,   579,   579,   579,   582,   448,
     867,   253,   582,   582,   579,   579,   582,   582,   579,   582,
     484,   926,   926,   261,   579,   254,   254,   485,   486,   487,
     902,   579,   902,   261,   579,   579,   462,   582,   579,   579,
     188,   582,   918,   582,   924,   579,   579,   579,   579,   582,
     582,   579,   253,   582,   580,   579,   579,   579,   582,   582,
     582,   582,   198,   198,   675,    54,   579,   579,    54,    78,
     583,   583,   732,    52,   604,   604,    52,    52,   209,   210,
     211,   212,   213,   209,   210,   211,   212,   213,    52,   604,
     604,   738,   582,    80,   583,   869,   431,   582,   579,   579,
     579,   926,   579,   926,   582,   579,   431,   605,   605,    52,
     654,   736,    52,    52,   736,   736,   736,    52,    52,   426,
     868,    78,   736,   736,   736,   736,    52,   654,    54
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   570,   575,   575,   576,   576,   577,   577,   578,   579,
     579,   579,   580,   580,   580,   581,   581,   582,   582,   582,
     582,   582,   582,   583,   583,   583,   584,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   594,   595,
     595,   596,   596,   597,   597,   597,   597,   597,   597,   598,
     598,   599,   599,   600,   600,   601,   601,   601,   601,   601,
     602,   603,   603,   604,   605,   605,   606,   606,   607,   607,
     607,   607,   607,   607,   607,   607,   608,   608,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   610,   611,
     612,   613,   613,   614,   614,   614,   614,   615,   615,   616,
     616,   617,   617,   617,   618,   618,   619,   619,   619,   619,
     620,   620,   620,   621,   621,   621,   621,   622,   622,   622,
     622,   622,   623,   623,   624,   624,   625,   626,   627,   628,
     629,   630,   630,   571,   572,   571,   573,   571,   574,   577,
     632,   631,   577,   633,   577,   634,   577,   635,   577,   636,
     637,   637,   637,   637,   637,   637,   637,   637,   637,   637,
     637,   637,   637,   637,   637,   637,   638,   638,   639,   639,
     640,   640,   641,   642,   642,   643,   644,   577,   646,   645,
     647,   647,   648,   649,   649,   650,   650,   651,   651,   652,
     652,   652,   652,   652,   652,   653,   653,   653,   653,   654,
     655,   655,   655,   655,   655,   655,   655,   655,   655,   655,
     656,   656,   656,   656,   657,   657,   657,   658,   658,   658,
     658,   658,   658,   658,   658,   659,   659,   659,   659,   659,
     660,   660,   660,   660,   660,   661,   661,   662,   662,   663,
     663,   663,   663,   664,   664,   665,   665,   665,   666,   666,
     667,   668,   668,   668,   668,   668,   668,   668,   668,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   670,
     670,   670,   670,   671,   671,   671,   672,   673,   674,   674,
     674,   674,   674,   674,   674,   674,   674,   674,   674,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   676,   676,   676,   677,   677,   677,   678,   678,
     678,   678,   678,   678,   678,   678,   678,   678,   678,   678,
     678,   678,   678,   678,   678,   678,   678,   678,   679,   680,
     680,   680,   680,   577,   681,   681,   682,   682,   682,   682,
     577,   683,   577,   684,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   577,   686,   687,   688,   688,   689,
     689,   689,   689,   690,   690,   691,   691,   577,   692,   692,
     693,   693,   693,   693,   694,   694,   694,   694,   694,   694,
     694,   694,   695,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   697,   697,   698,   698,   699,   699,   700,   701,
     702,   703,   703,   703,   703,   704,   704,   704,   704,   704,
     705,   705,   577,   706,   706,   706,   577,   707,   707,   707,
     707,   708,   708,   708,   708,   708,   708,   708,   708,   709,
     710,   711,   711,   712,   712,   713,   714,   714,   715,   716,
     717,   718,   718,   719,   720,   721,   721,   721,   721,   721,
     722,   723,   724,   724,   724,   725,   725,   726,   726,   726,
     726,   726,   726,   727,   727,   727,   728,   728,   729,   729,
     730,   731,   731,   732,   732,   733,   733,   734,   734,   735,
     735,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     737,   737,   737,   737,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   738,   739,   739,   739,   739,   739,
     739,   739,   740,   740,   741,   571,   742,   571,   743,   571,
     744,   571,   745,   746,   746,   571,   747,   571,   748,   571,
     749,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   751,
     751,   751,   751,   751,   751,   751,   751,   752,   752,   752,
     752,   753,   753,   753,   753,   754,   754,   754,   754,   754,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   754,
     754,   754,   754,   754,   754,   755,   571,   756,   757,   757,
     757,   757,   757,   757,   757,   571,   758,   571,   759,   571,
     760,   571,   761,   571,   762,   571,   763,   571,   764,   571,
     765,   571,   766,   571,   767,   571,   768,   769,   769,   769,
     770,   770,   571,   771,   571,   772,   571,   773,   571,   774,
     571,   775,   571,   776,   571,   777,   778,   778,   571,   779,
     571,   780,   781,   781,   781,   782,   782,   782,   783,   719,
     798,   799,   799,   799,   799,   799,   800,   800,   801,   802,
     802,   802,   802,   803,   803,   804,   805,   806,   806,   806,
     806,   806,   806,   806,   806,   807,   807,   807,   807,   807,
     807,   808,   808,   809,   809,   810,   811,   812,   812,   812,
     813,   813,   814,   814,   815,   571,   816,   719,   784,   785,
     785,   785,   785,   786,   786,   787,   788,   789,   790,   790,
     790,   790,   790,   790,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   790,   790,   791,   791,   792,
     792,   793,   783,   571,   794,   571,   795,   571,   796,   571,
     797,   719,   817,   818,   818,   818,   819,   819,   819,   819,
     819,   820,   820,   821,   821,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   824,   825,   823,   823,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   827,   828,   828,   828,   829,   829,   829,   830,
     830,   830,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   830,   830,   831,   831,   832,   832,   833,   834,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   719,   835,   836,   836,   836,   836,   836,   836,
     836,   836,   837,   837,   838,   571,   839,   840,   840,   840,
     840,   840,   840,   719,   841,   841,   841,   842,   843,   843,
     844,   844,   845,   846,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   848,
     849,   850,   850,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   852,   851,   853,   851,   851,   851,   851,   854,
     854,   855,   856,   856,   857,   857,   857,   858,   858,   859,
     859,   860,   860,   860,   860,   860,   860,   860,   860,   860,
     860,   860,   861,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   863,   863,   864,   865,   866,   866,   866,   867,
     867,   868,   868,   869,   870,   871,   871,   873,   872,   874,
     874,   875,   875,   876,   783,   783,   783,   783,   571,   877,
     571,   878,   571,   879,   571,   880,   571,   881,   571,   882,
     571,   883,   571,   884,   885,   885,   885,   885,   885,   885,
     885,   885,   885,   719,   886,   887,   887,   887,   888,   888,
     888,   888,   888,   888,   888,   888,   888,   888,   719,   890,
     889,   891,   891,   891,   891,   719,   892,   893,   893,   893,
     893,   894,   893,   895,   893,   893,   893,   896,   896,   897,
     898,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   900,   899,
     901,   899,   899,   899,   902,   902,   902,   903,   904,   904,
     905,   905,   906,   907,   908,   908,   908,   908,   908,   909,
     910,   910,   911,   911,   912,   913,   914,   915,   915,   915,
     916,   917,   917,   918,   918,   919,   920,   921,   921,   921,
     922,   923,   923,   924,   924,   925,   925,   926,   926,   783,
     783,   719,   927,   927,   928,   929,   929,   929,   929,   929,
     929,   930,   930,   931,   932,   933,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   935,   935,   935,   935,   936,   936,   937,
     937,   938,   783,   783,   571,   939,   571,   940,   719,   941,
     942,   943,   943,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   945,   945,   946,   947,   947,   948,   948,
     949,   950,   951,   951,   952,   952,   952,   953,   719,   954,
     955,   955,   955,   955,   955,   955,   956,   956,   956,   956,
     956,   956,   957,   957,   958,   959,   959,   959,   959,   959,
     959,   959,   959,   959,   960,   961,   961,   962,   962,   571,
     963,   964,   965,   965,   965,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   577,   966,   967,   968,   968,   969,   969,
     970,   970,   970,   971,   971,   972,   972,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   577,   974,   974,   577,
     975,   975,   975,   975,   571,   976,   571,   977,   571,   978,
     571,   979,   571,   980,   571,   981,   571,   982,   571,   983,
     984,   984,   985,   985,   985,   719,   986,   964,   964,   987,
     987,   988,   988,   988,   988,   988,   988,   988,   719,   989,
     990,   990,   991,   991,   991,   992,   993,   994,   994,   995,
     995,   996,   783,   783
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     2,     4,     1,     3,     1,     3,     1,
       3,     4,     6,     6,     0,     1,     1,     1,     1,     1,
       2,     4,     4,     2,     2,     2,     2,     2,     4,     2,
       2,     2,     0,     3,     0,     3,     0,     0,     0,     6,
       6,     1,     1,     1,     2,     1,     2,     1,     2,     1,
       0,     4,     1,     2,     1,     4,     1,     6,     1,     8,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     0,     4,     2,     5,
       0,     4,     1,     1,     1,     2,     4,     1,     0,     5,
       0,     1,     1,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     3,     1,     1,     1,
       5,     7,     5,     7,     9,     7,     5,     7,     5,    11,
       1,     1,     2,     1,     7,     9,     7,     7,     9,     7,
       9,     7,     9,     7,    15,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     3,     1,     3,     1,     3,     1,
       2,     2,     6,     1,     3,     0,     4,     3,     1,     3,
       3,     2,     4,     4,     2,     2,     2,     2,     0,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     1,     5,
       7,     7,     1,     0,     1,     3,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     6,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     5,     7,     6,     6,     6,     6,     4,     8,
       4,     1,     1,     1,     1,     0,     1,     3,     4,     6,
       4,     3,     4,     4,     4,     5,     3,     3,     3,     2,
       5,     4,     7,     7,     7,     7,     7,     9,     0,     1,
       1,     1,     1,     1,     4,     5,     1,     3,     1,     1,
       1,     3,     1,     5,     1,     1,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     0,     1,     2,
       2,     4,     4,     0,     3,     0,     3,     1,     1,     1,
       0,     1,     2,     3,     0,     2,     2,     2,     3,     2,
       2,     2,     1,     2,     2,     2,     3,     3,     3,     2,
       4,     3,     1,     2,     0,     3,     0,     3,     0,     3,
       1,     2,     1,     1,     1,     0,     2,     2,     2,     2,
       2,     1,     1,     3,     3,     3,     1,     1,     1,     1,
       1,     2,     4,     3,     4,     4,     3,     4,     4,     3,
       0,     1,     2,     0,     1,     3,     1,     3,     1,     0,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     5,
       0,     3,     1,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     1,     1,
       1,     4,     1,     0,     3,     5,     2,     1,     1,     2,
       2,     0,     5,     5,     5,     5,     4,     4,     4,     4,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       1,     1,     1,     1,     0,     2,     4,     4,     4,     2,
       2,     1,     0,     3,     3,     1,     3,     1,     3,     1,
       4,     1,     5,     1,     0,     1,     3,     1,     4,     1,
       4,     0,     2,     3,     3,     3,     3,     4,     4,     3,
       2,     2,     2,     2,     3,     3,     3,     2,     2,     1,
       1,     1,     1,     2,     2,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     4,     0,     2,
       2,     2,     2,     2,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     4,     1,     3,     1,     4,     1,     1,     3,
       0,     1,     1,     4,     1,     4,     1,     4,     1,     3,
       1,     4,     1,     4,     1,     3,     2,     2,     1,     4,
       1,     2,     1,     1,     1,     1,     0,     1,     1,     1,
       2,     1,     2,     2,     2,     2,     0,     3,     5,     1,
       1,     1,     1,     0,     2,     0,     0,     2,     4,     4,
       4,     2,     2,     2,     1,     1,     1,     2,     2,     3,
       3,     0,     3,     0,     3,     4,     3,     0,     2,     2,
       0,     2,     0,     2,     4,     1,     5,     1,     2,     1,
       1,     2,     4,     0,     3,     5,     0,     0,     0,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     2,     3,
       3,     4,     4,     2,     2,     3,     1,     0,     3,     0,
       3,     4,     1,     1,     6,     1,     6,     1,     6,     1,
       6,     2,     2,     0,     3,     3,     0,     3,     3,     2,
       2,     1,     3,     1,     3,     1,     3,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     4,     6,     4,
       6,     6,     4,     6,     5,     5,     4,     5,     5,     6,
       3,     3,     4,     5,     6,     5,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     6,     6,     6,     5,     6,
       8,     6,     6,     6,     5,     6,     5,     4,     4,     4,
       4,     5,     5,     6,     5,     6,     5,     5,     6,     7,
       7,     7,     5,     5,     4,     4,     0,     0,     6,     6,
       1,     1,     2,     2,     2,     2,     2,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     4,     2,     3,     2,     2,     2,     2,     3,
       5,     5,     4,     3,     3,     3,     3,     3,     2,     2,
       2,     3,     3,     0,     3,     0,     3,     0,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     2,     2,     2,     1,     2,
       2,     4,     0,     3,     5,     1,     4,     0,     3,     3,
       3,     2,     3,     2,     1,     2,     2,     2,     3,     3,
       0,     1,     2,     3,     1,     1,     2,     2,     3,     3,
       3,     3,     4,     2,     4,     3,     2,     3,     1,     2,
       4,     0,     3,     2,     1,     2,     3,     3,     3,     3,
       2,     3,     0,     5,     0,     5,     2,     2,     1,     4,
       1,     1,     0,     3,     2,     2,     2,     5,     2,     0,
       3,     0,     2,     2,     3,     2,     2,     3,     2,     2,
       2,     1,     3,     2,     2,     2,     2,     2,     2,     3,
       2,     2,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     2,     3,     2,     3,     3,     4,     4,     2,
       2,     2,     3,     3,     3,     2,     3,     3,     3,     4,
       2,     1,     0,     2,     3,     1,     0,     1,     2,     0,
       2,     0,     1,     3,     0,     0,     2,     0,     3,     0,
       3,     0,     3,     3,     1,     1,     1,     1,     1,     4,
       1,     6,     1,     6,     1,     6,     1,     7,     1,     6,
       1,     7,     1,     5,     0,     2,     3,     2,     3,     3,
       2,     3,     2,     2,     2,     3,     3,     3,     1,     3,
       3,     2,     3,     3,     2,     2,     2,     2,     2,     0,
       4,     2,     3,     3,     5,     1,     2,     1,     1,     2,
       2,     0,     3,     0,     3,     2,     3,     0,     3,     5,
       0,     4,     4,     3,     4,     2,     3,     3,     3,     3,
       4,     4,     4,     3,     3,     4,     4,     2,     0,     3,
       0,     3,     3,     3,     1,     1,     1,     0,     0,     3,
       0,     3,     4,     1,     2,     2,     2,     4,     4,     0,
       0,     3,     0,     3,     3,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     2,     0,     2,     1,
       1,     1,     1,     2,     2,     1,     1,     2,     4,     2,
       2,     0,     3,     5,     0,     0,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     3,     3,     4,     3,
       2,     2,     1,     1,     1,     1,     1,     0,     3,     0,
       3,     4,     1,     1,     1,     6,     1,     6,     1,     2,
       5,     0,     3,     1,     1,     2,     3,     1,     2,     3,
       3,     3,     4,     0,     1,     2,     1,     1,     2,     6,
       0,     0,     0,     3,     4,     4,     2,     0,     2,     2,
       3,     3,     3,     5,     5,     4,     3,     2,     3,     3,
       3,     3,     1,     2,     2,     2,     3,     5,     1,     2,
       2,     2,     2,     2,     1,     0,     2,     0,     3,     1,
       4,     3,     3,     2,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     2,     0,     0,     2,
       2,     2,     1,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     1,
       3,     4,     3,     3,     1,     4,     1,     5,     1,     3,
       1,     3,     1,     3,     1,     4,     1,     2,     1,     3,
       0,     1,     0,     1,     2,     2,     2,     3,     3,     0,
       2,     1,     1,     2,     3,     2,     3,     4,     2,     2,
       3,     3,     1,     2,     3,     0,     2,     0,     3,     0,
       3,     3,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
# ifndef YY_LOCATION_PRINT
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          goto yyexhaustedlab;                                          \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 2: /* config: conf_entries END  */
#line 136 "conf/confbase.Y"
                         { return 0; }
#line 6290 "obj/conf/cf-parse.tab.c"
    break;

  case 3: /* config: CLI_MARKER cli_cmd  */
#line 137 "conf/confbase.Y"
                      { return 0; }
#line 6296 "obj/conf/cf-parse.tab.c"
    break;

  case 8: /* definition: DEFINE symbol '=' term ';'  */
#line 153 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 6306 "obj/conf/cf-parse.tab.c"
    break;

  case 10: /* expr: '(' term ')'  */
#line 162 "conf/confbase.Y"
                { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 6312 "obj/conf/cf-parse.tab.c"
    break;

  case 11: /* expr: CF_SYM_KNOWN  */
#line 163 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 6320 "obj/conf/cf-parse.tab.c"
    break;

  case 12: /* expr_us: expr S  */
#line 169 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 6326 "obj/conf/cf-parse.tab.c"
    break;

  case 13: /* expr_us: expr MS  */
#line 170 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 6332 "obj/conf/cf-parse.tab.c"
    break;

  case 14: /* expr_us: expr US  */
#line 171 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 6338 "obj/conf/cf-parse.tab.c"
    break;

  case 17: /* bool: expr  */
#line 179 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 6344 "obj/conf/cf-parse.tab.c"
    break;

  case 18: /* bool: ON  */
#line 180 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 6350 "obj/conf/cf-parse.tab.c"
    break;

  case 19: /* bool: YES  */
#line 181 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 6356 "obj/conf/cf-parse.tab.c"
    break;

  case 20: /* bool: OFF  */
#line 182 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 6362 "obj/conf/cf-parse.tab.c"
    break;

  case 21: /* bool: NO  */
#line 183 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 6368 "obj/conf/cf-parse.tab.c"
    break;

  case 22: /* bool: %empty  */
#line 184 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 6374 "obj/conf/cf-parse.tab.c"
    break;

  case 23: /* ipa: IP4  */
#line 191 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6380 "obj/conf/cf-parse.tab.c"
    break;

  case 24: /* ipa: IP6  */
#line 192 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6386 "obj/conf/cf-parse.tab.c"
    break;

  case 25: /* ipa: CF_SYM_KNOWN  */
#line 193 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 6395 "obj/conf/cf-parse.tab.c"
    break;

  case 26: /* ipa_scope: %empty  */
#line 200 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 6401 "obj/conf/cf-parse.tab.c"
    break;

  case 27: /* ipa_scope: '%' symbol  */
#line 201 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 6407 "obj/conf/cf-parse.tab.c"
    break;

  case 28: /* pxlen4: '/' NUM  */
#line 208 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 6416 "obj/conf/cf-parse.tab.c"
    break;

  case 29: /* net_ip4_: IP4 pxlen4  */
#line 215 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 6429 "obj/conf/cf-parse.tab.c"
    break;

  case 30: /* net_ip6_: IP6 '/' NUM  */
#line 225 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 6445 "obj/conf/cf-parse.tab.c"
    break;

  case 31: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 238 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 6467 "obj/conf/cf-parse.tab.c"
    break;

  case 32: /* net_vpn4_: VPN_RD net_ip4_  */
#line 257 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6476 "obj/conf/cf-parse.tab.c"
    break;

  case 33: /* net_vpn6_: VPN_RD net_ip6_  */
#line 263 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6485 "obj/conf/cf-parse.tab.c"
    break;

  case 34: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 269 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6496 "obj/conf/cf-parse.tab.c"
    break;

  case 35: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 277 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6507 "obj/conf/cf-parse.tab.c"
    break;

  case 36: /* net_mpls_: MPLS NUM  */
#line 285 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6516 "obj/conf/cf-parse.tab.c"
    break;

  case 43: /* net_: net_ip_  */
#line 295 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6522 "obj/conf/cf-parse.tab.c"
    break;

  case 50: /* net_ip6: CF_SYM_KNOWN  */
#line 308 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6532 "obj/conf/cf-parse.tab.c"
    break;

  case 52: /* net_ip: CF_SYM_KNOWN  */
#line 317 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6542 "obj/conf/cf-parse.tab.c"
    break;

  case 54: /* net_any: CF_SYM_KNOWN  */
#line 326 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6552 "obj/conf/cf-parse.tab.c"
    break;

  case 57: /* net_or_ipa: IP4  */
#line 336 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6558 "obj/conf/cf-parse.tab.c"
    break;

  case 58: /* net_or_ipa: IP6  */
#line 337 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6564 "obj/conf/cf-parse.tab.c"
    break;

  case 59: /* net_or_ipa: CF_SYM_KNOWN  */
#line 338 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6577 "obj/conf/cf-parse.tab.c"
    break;

  case 60: /* label_stack_start: NUM  */
#line 349 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 6587 "obj/conf/cf-parse.tab.c"
    break;

  case 62: /* label_stack: label_stack '/' NUM  */
#line 357 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 6598 "obj/conf/cf-parse.tab.c"
    break;

  case 63: /* time: TEXT  */
#line 366 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6608 "obj/conf/cf-parse.tab.c"
    break;

  case 65: /* text: CF_SYM_KNOWN  */
#line 375 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6617 "obj/conf/cf-parse.tab.c"
    break;

  case 67: /* opttext: %empty  */
#line 383 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 6623 "obj/conf/cf-parse.tab.c"
    break;

  case 68: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 6629 "obj/conf/cf-parse.tab.c"
    break;

  case 69: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 6635 "obj/conf/cf-parse.tab.c"
    break;

  case 70: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 6641 "obj/conf/cf-parse.tab.c"
    break;

  case 71: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 6647 "obj/conf/cf-parse.tab.c"
    break;

  case 72: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 6653 "obj/conf/cf-parse.tab.c"
    break;

  case 73: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 6659 "obj/conf/cf-parse.tab.c"
    break;

  case 74: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 6665 "obj/conf/cf-parse.tab.c"
    break;

  case 75: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 6671 "obj/conf/cf-parse.tab.c"
    break;

  case 76: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 6677 "obj/conf/cf-parse.tab.c"
    break;

  case 77: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 6683 "obj/conf/cf-parse.tab.c"
    break;

  case 78: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6689 "obj/conf/cf-parse.tab.c"
    break;

  case 79: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6695 "obj/conf/cf-parse.tab.c"
    break;

  case 80: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6701 "obj/conf/cf-parse.tab.c"
    break;

  case 81: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6707 "obj/conf/cf-parse.tab.c"
    break;

  case 82: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6713 "obj/conf/cf-parse.tab.c"
    break;

  case 83: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6719 "obj/conf/cf-parse.tab.c"
    break;

  case 84: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6725 "obj/conf/cf-parse.tab.c"
    break;

  case 85: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6731 "obj/conf/cf-parse.tab.c"
    break;

  case 86: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6737 "obj/conf/cf-parse.tab.c"
    break;

  case 87: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 6743 "obj/conf/cf-parse.tab.c"
    break;

  case 88: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6749 "obj/conf/cf-parse.tab.c"
    break;

  case 89: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6755 "obj/conf/cf-parse.tab.c"
    break;

  case 90: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6761 "obj/conf/cf-parse.tab.c"
    break;

  case 91: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6767 "obj/conf/cf-parse.tab.c"
    break;

  case 92: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6773 "obj/conf/cf-parse.tab.c"
    break;

  case 93: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6782 "obj/conf/cf-parse.tab.c"
    break;

  case 94: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6791 "obj/conf/cf-parse.tab.c"
    break;

  case 97: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6800 "obj/conf/cf-parse.tab.c"
    break;

  case 98: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6811 "obj/conf/cf-parse.tab.c"
    break;

  case 101: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6820 "obj/conf/cf-parse.tab.c"
    break;

  case 102: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6829 "obj/conf/cf-parse.tab.c"
    break;

  case 103: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6838 "obj/conf/cf-parse.tab.c"
    break;

  case 104: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 6844 "obj/conf/cf-parse.tab.c"
    break;

  case 105: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 6850 "obj/conf/cf-parse.tab.c"
    break;

  case 106: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 6856 "obj/conf/cf-parse.tab.c"
    break;

  case 107: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 6862 "obj/conf/cf-parse.tab.c"
    break;

  case 108: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 6868 "obj/conf/cf-parse.tab.c"
    break;

  case 109: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 6874 "obj/conf/cf-parse.tab.c"
    break;

  case 110: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6882 "obj/conf/cf-parse.tab.c"
    break;

  case 111: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6890 "obj/conf/cf-parse.tab.c"
    break;

  case 112: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6898 "obj/conf/cf-parse.tab.c"
    break;

  case 113: /* flow4_item: flow_srcdst net_ip  */
#line 145 "conf/flowspec.Y"
                      {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6907 "obj/conf/cf-parse.tab.c"
    break;

  case 117: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6916 "obj/conf/cf-parse.tab.c"
    break;

  case 118: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 6927 "obj/conf/cf-parse.tab.c"
    break;

  case 126: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 6938 "obj/conf/cf-parse.tab.c"
    break;

  case 127: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 6944 "obj/conf/cf-parse.tab.c"
    break;

  case 128: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 6950 "obj/conf/cf-parse.tab.c"
    break;

  case 129: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 6959 "obj/conf/cf-parse.tab.c"
    break;

  case 130: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 6968 "obj/conf/cf-parse.tab.c"
    break;

  case 140: /* $@1: %empty  */
#line 319 "filter/config.Y"
                 { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 6974 "obj/conf/cf-parse.tab.c"
    break;

  case 141: /* filter_def: FILTER symbol $@1 filter_body  */
#line 320 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 6986 "obj/conf/cf-parse.tab.c"
    break;

  case 143: /* filter_eval: EVAL term  */
#line 331 "filter/config.Y"
             { f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6992 "obj/conf/cf-parse.tab.c"
    break;

  case 145: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 335 "filter/config.Y"
                                       {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 7000 "obj/conf/cf-parse.tab.c"
    break;

  case 147: /* bt_test_suite: BT_TEST_SUITE '(' CF_SYM_KNOWN ',' text ')'  */
#line 341 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 7014 "obj/conf/cf-parse.tab.c"
    break;

  case 149: /* bt_test_same: BT_TEST_SAME '(' CF_SYM_KNOWN ',' CF_SYM_KNOWN ',' NUM ')'  */
#line 354 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 7030 "obj/conf/cf-parse.tab.c"
    break;

  case 150: /* type: INT  */
#line 368 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 7036 "obj/conf/cf-parse.tab.c"
    break;

  case 151: /* type: BOOL  */
#line 369 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 7042 "obj/conf/cf-parse.tab.c"
    break;

  case 152: /* type: IP  */
#line 370 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 7048 "obj/conf/cf-parse.tab.c"
    break;

  case 153: /* type: RD  */
#line 371 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 7054 "obj/conf/cf-parse.tab.c"
    break;

  case 154: /* type: PREFIX  */
#line 372 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 7060 "obj/conf/cf-parse.tab.c"
    break;

  case 155: /* type: PAIR  */
#line 373 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 7066 "obj/conf/cf-parse.tab.c"
    break;

  case 156: /* type: QUAD  */
#line 374 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 7072 "obj/conf/cf-parse.tab.c"
    break;

  case 157: /* type: EC  */
#line 375 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 7078 "obj/conf/cf-parse.tab.c"
    break;

  case 158: /* type: LC  */
#line 376 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 7084 "obj/conf/cf-parse.tab.c"
    break;

  case 159: /* type: STRING  */
#line 377 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 7090 "obj/conf/cf-parse.tab.c"
    break;

  case 160: /* type: BGPMASK  */
#line 378 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 7096 "obj/conf/cf-parse.tab.c"
    break;

  case 161: /* type: BGPPATH  */
#line 379 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 7102 "obj/conf/cf-parse.tab.c"
    break;

  case 162: /* type: CLIST  */
#line 380 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 7108 "obj/conf/cf-parse.tab.c"
    break;

  case 163: /* type: ECLIST  */
#line 381 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 7114 "obj/conf/cf-parse.tab.c"
    break;

  case 164: /* type: LCLIST  */
#line 382 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 7120 "obj/conf/cf-parse.tab.c"
    break;

  case 165: /* type: type SET  */
#line 383 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 7145 "obj/conf/cf-parse.tab.c"
    break;

  case 167: /* function_argsn: function_argsn type symbol ';'  */
#line 407 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
   }
#line 7154 "obj/conf/cf-parse.tab.c"
    break;

  case 168: /* function_args: '(' ')'  */
#line 414 "filter/config.Y"
           { (yyval.i) = 0; }
#line 7160 "obj/conf/cf-parse.tab.c"
    break;

  case 169: /* function_args: '(' function_argsn type symbol ')'  */
#line 415 "filter/config.Y"
                                      {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-1].s)->scope->slots;
   }
#line 7169 "obj/conf/cf-parse.tab.c"
    break;

  case 170: /* function_vars: %empty  */
#line 422 "filter/config.Y"
               { (yyval.i) = 0; }
#line 7175 "obj/conf/cf-parse.tab.c"
    break;

  case 171: /* function_vars: function_vars type symbol ';'  */
#line 423 "filter/config.Y"
                                 {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 7184 "obj/conf/cf-parse.tab.c"
    break;

  case 173: /* filter: CF_SYM_KNOWN  */
#line 432 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 7193 "obj/conf/cf-parse.tab.c"
    break;

  case 174: /* filter: filter_body  */
#line 436 "filter/config.Y"
               {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;
   }
#line 7203 "obj/conf/cf-parse.tab.c"
    break;

  case 175: /* where_filter: WHERE term  */
#line 444 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 7212 "obj/conf/cf-parse.tab.c"
    break;

  case 176: /* function_body: function_vars '{' cmds '}'  */
#line 451 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x));
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 7221 "obj/conf/cf-parse.tab.c"
    break;

  case 178: /* $@2: %empty  */
#line 459 "filter/config.Y"
                   { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 7230 "obj/conf/cf-parse.tab.c"
    break;

  case 179: /* function_def: FUNCTION symbol $@2 function_args function_body  */
#line 462 "filter/config.Y"
                                 {
     DBG("Definition of function %s with %u args and %u local vars.\n", (yyvsp[-3].s)->name, (yyvsp[-1].i), (yyvsp[0].fl)->vars);
     (yyvsp[0].fl)->args = (yyvsp[-1].i);
     (yyvsp[-3].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 7241 "obj/conf/cf-parse.tab.c"
    break;

  case 180: /* cmds: %empty  */
#line 472 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 7247 "obj/conf/cf-parse.tab.c"
    break;

  case 181: /* cmds: cmds_int  */
#line 473 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 7253 "obj/conf/cf-parse.tab.c"
    break;

  case 182: /* cmd_prep: cmd  */
#line 476 "filter/config.Y"
              {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 7264 "obj/conf/cf-parse.tab.c"
    break;

  case 184: /* cmds_int: cmds_int cmd_prep  */
#line 485 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 7280 "obj/conf/cf-parse.tab.c"
    break;

  case 185: /* block: cmd  */
#line 499 "filter/config.Y"
       {
     (yyval.x)=(yyvsp[0].x);
   }
#line 7288 "obj/conf/cf-parse.tab.c"
    break;

  case 186: /* block: '{' cmds '}'  */
#line 502 "filter/config.Y"
                {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 7296 "obj/conf/cf-parse.tab.c"
    break;

  case 187: /* fipa: IP4  */
#line 511 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7302 "obj/conf/cf-parse.tab.c"
    break;

  case 188: /* fipa: IP6  */
#line 512 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7308 "obj/conf/cf-parse.tab.c"
    break;

  case 189: /* set_atom: NUM  */
#line 525 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7314 "obj/conf/cf-parse.tab.c"
    break;

  case 190: /* set_atom: fipa  */
#line 526 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 7320 "obj/conf/cf-parse.tab.c"
    break;

  case 191: /* set_atom: VPN_RD  */
#line 527 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 7326 "obj/conf/cf-parse.tab.c"
    break;

  case 192: /* set_atom: ENUM  */
#line 528 "filter/config.Y"
          { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7332 "obj/conf/cf-parse.tab.c"
    break;

  case 193: /* set_atom: '(' term ')'  */
#line 529 "filter/config.Y"
                {
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 7341 "obj/conf/cf-parse.tab.c"
    break;

  case 194: /* set_atom: CF_SYM_KNOWN  */
#line 533 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 7351 "obj/conf/cf-parse.tab.c"
    break;

  case 195: /* switch_atom: NUM  */
#line 541 "filter/config.Y"
         { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7357 "obj/conf/cf-parse.tab.c"
    break;

  case 196: /* switch_atom: '(' term ')'  */
#line 542 "filter/config.Y"
                { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 7363 "obj/conf/cf-parse.tab.c"
    break;

  case 197: /* switch_atom: fipa  */
#line 543 "filter/config.Y"
         { (yyval.v) = (yyvsp[0].v); }
#line 7369 "obj/conf/cf-parse.tab.c"
    break;

  case 198: /* switch_atom: ENUM  */
#line 544 "filter/config.Y"
         { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7375 "obj/conf/cf-parse.tab.c"
    break;

  case 199: /* cnum: term  */
#line 548 "filter/config.Y"
        { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x))); }
#line 7381 "obj/conf/cf-parse.tab.c"
    break;

  case 200: /* pair_item: '(' cnum ',' cnum ')'  */
#line 551 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7387 "obj/conf/cf-parse.tab.c"
    break;

  case 201: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 552 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7393 "obj/conf/cf-parse.tab.c"
    break;

  case 202: /* pair_item: '(' cnum ',' '*' ')'  */
#line 553 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7399 "obj/conf/cf-parse.tab.c"
    break;

  case 203: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 554 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7405 "obj/conf/cf-parse.tab.c"
    break;

  case 204: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 555 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7411 "obj/conf/cf-parse.tab.c"
    break;

  case 205: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 556 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7417 "obj/conf/cf-parse.tab.c"
    break;

  case 206: /* pair_item: '(' '*' ',' cnum ')'  */
#line 557 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7423 "obj/conf/cf-parse.tab.c"
    break;

  case 207: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 558 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7429 "obj/conf/cf-parse.tab.c"
    break;

  case 208: /* pair_item: '(' '*' ',' '*' ')'  */
#line 559 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 7435 "obj/conf/cf-parse.tab.c"
    break;

  case 209: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 561 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 7441 "obj/conf/cf-parse.tab.c"
    break;

  case 210: /* ec_kind: RT  */
#line 565 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 7447 "obj/conf/cf-parse.tab.c"
    break;

  case 211: /* ec_kind: RO  */
#line 566 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 7453 "obj/conf/cf-parse.tab.c"
    break;

  case 212: /* ec_kind: UNKNOWN NUM  */
#line 567 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 7459 "obj/conf/cf-parse.tab.c"
    break;

  case 213: /* ec_kind: GENERIC  */
#line 568 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 7465 "obj/conf/cf-parse.tab.c"
    break;

  case 214: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 572 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7471 "obj/conf/cf-parse.tab.c"
    break;

  case 215: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 573 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7477 "obj/conf/cf-parse.tab.c"
    break;

  case 216: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 574 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 7483 "obj/conf/cf-parse.tab.c"
    break;

  case 217: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 578 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7489 "obj/conf/cf-parse.tab.c"
    break;

  case 218: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 579 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7495 "obj/conf/cf-parse.tab.c"
    break;

  case 219: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 580 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7501 "obj/conf/cf-parse.tab.c"
    break;

  case 220: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 581 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7507 "obj/conf/cf-parse.tab.c"
    break;

  case 221: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 582 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7513 "obj/conf/cf-parse.tab.c"
    break;

  case 222: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 583 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7519 "obj/conf/cf-parse.tab.c"
    break;

  case 223: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 584 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7525 "obj/conf/cf-parse.tab.c"
    break;

  case 224: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 586 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7531 "obj/conf/cf-parse.tab.c"
    break;

  case 228: /* set_item: set_atom  */
#line 593 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7537 "obj/conf/cf-parse.tab.c"
    break;

  case 229: /* set_item: set_atom DDOT set_atom  */
#line 594 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7543 "obj/conf/cf-parse.tab.c"
    break;

  case 233: /* switch_item: switch_atom  */
#line 601 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7549 "obj/conf/cf-parse.tab.c"
    break;

  case 234: /* switch_item: switch_atom DDOT switch_atom  */
#line 602 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7555 "obj/conf/cf-parse.tab.c"
    break;

  case 236: /* set_items: set_items ',' set_item  */
#line 607 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7561 "obj/conf/cf-parse.tab.c"
    break;

  case 238: /* switch_items: switch_items ',' switch_item  */
#line 612 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7567 "obj/conf/cf-parse.tab.c"
    break;

  case 239: /* fprefix: net_ip_  */
#line 616 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7573 "obj/conf/cf-parse.tab.c"
    break;

  case 240: /* fprefix: net_ip_ '+'  */
#line 617 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7579 "obj/conf/cf-parse.tab.c"
    break;

  case 241: /* fprefix: net_ip_ '-'  */
#line 618 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7585 "obj/conf/cf-parse.tab.c"
    break;

  case 242: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 619 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7595 "obj/conf/cf-parse.tab.c"
    break;

  case 243: /* fprefix_set: fprefix  */
#line 627 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7601 "obj/conf/cf-parse.tab.c"
    break;

  case 244: /* fprefix_set: fprefix_set ',' fprefix  */
#line 628 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 7607 "obj/conf/cf-parse.tab.c"
    break;

  case 245: /* switch_body: %empty  */
#line 631 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 7613 "obj/conf/cf-parse.tab.c"
    break;

  case 246: /* switch_body: switch_body switch_items ':' cmds  */
#line 632 "filter/config.Y"
                                      {
     /* Fill data fields */
     struct f_tree *t;
     struct f_line *line = f_linearize((yyvsp[0].x));
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = line;
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7626 "obj/conf/cf-parse.tab.c"
    break;

  case 247: /* switch_body: switch_body ELSECOL cmds  */
#line 640 "filter/config.Y"
                            {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = f_linearize((yyvsp[0].x));
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7638 "obj/conf/cf-parse.tab.c"
    break;

  case 248: /* bgp_path_expr: symbol_value  */
#line 650 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 7644 "obj/conf/cf-parse.tab.c"
    break;

  case 249: /* bgp_path_expr: '(' term ')'  */
#line 651 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 7650 "obj/conf/cf-parse.tab.c"
    break;

  case 250: /* bgp_path: PO bgp_path_tail PC  */
#line 655 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 7656 "obj/conf/cf-parse.tab.c"
    break;

  case 251: /* bgp_path_tail: NUM bgp_path_tail  */
#line 659 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7662 "obj/conf/cf-parse.tab.c"
    break;

  case 252: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 660 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7668 "obj/conf/cf-parse.tab.c"
    break;

  case 253: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 661 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7677 "obj/conf/cf-parse.tab.c"
    break;

  case 254: /* bgp_path_tail: '*' bgp_path_tail  */
#line 665 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7683 "obj/conf/cf-parse.tab.c"
    break;

  case 255: /* bgp_path_tail: '?' bgp_path_tail  */
#line 666 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7689 "obj/conf/cf-parse.tab.c"
    break;

  case 256: /* bgp_path_tail: '+' bgp_path_tail  */
#line 667 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7695 "obj/conf/cf-parse.tab.c"
    break;

  case 257: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 668 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7701 "obj/conf/cf-parse.tab.c"
    break;

  case 258: /* bgp_path_tail: %empty  */
#line 669 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 7707 "obj/conf/cf-parse.tab.c"
    break;

  case 259: /* constant: NUM  */
#line 673 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7713 "obj/conf/cf-parse.tab.c"
    break;

  case 260: /* constant: TRUE  */
#line 674 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7719 "obj/conf/cf-parse.tab.c"
    break;

  case 261: /* constant: FALSE  */
#line 675 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7725 "obj/conf/cf-parse.tab.c"
    break;

  case 262: /* constant: TEXT  */
#line 676 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7731 "obj/conf/cf-parse.tab.c"
    break;

  case 263: /* constant: fipa  */
#line 677 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7737 "obj/conf/cf-parse.tab.c"
    break;

  case 264: /* constant: VPN_RD  */
#line 678 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7743 "obj/conf/cf-parse.tab.c"
    break;

  case 265: /* constant: net_  */
#line 679 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7749 "obj/conf/cf-parse.tab.c"
    break;

  case 266: /* constant: '[' set_items ']'  */
#line 680 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7759 "obj/conf/cf-parse.tab.c"
    break;

  case 267: /* constant: '[' fprefix_set ']'  */
#line 685 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7765 "obj/conf/cf-parse.tab.c"
    break;

  case 268: /* constant: ENUM  */
#line 686 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7771 "obj/conf/cf-parse.tab.c"
    break;

  case 269: /* constructor: '(' term ',' term ')'  */
#line 690 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7777 "obj/conf/cf-parse.tab.c"
    break;

  case 270: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 691 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7783 "obj/conf/cf-parse.tab.c"
    break;

  case 271: /* constructor: '(' term ',' term ',' term ')'  */
#line 692 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7789 "obj/conf/cf-parse.tab.c"
    break;

  case 272: /* constructor: bgp_path  */
#line 693 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7795 "obj/conf/cf-parse.tab.c"
    break;

  case 273: /* var_list: %empty  */
#line 698 "filter/config.Y"
                      { (yyval.x) = NULL; }
#line 7801 "obj/conf/cf-parse.tab.c"
    break;

  case 274: /* var_list: term  */
#line 699 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 7807 "obj/conf/cf-parse.tab.c"
    break;

  case 275: /* var_list: var_list ',' term  */
#line 700 "filter/config.Y"
                     { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7813 "obj/conf/cf-parse.tab.c"
    break;

  case 276: /* function_call: CF_SYM_KNOWN '(' var_list ')'  */
#line 703 "filter/config.Y"
                                 {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     struct f_inst *fc = f_new_inst(FI_CALL, (yyvsp[-3].s));
     uint args = 0;
     while ((yyvsp[-1].x)) {
       args++;
       struct f_inst *tmp = (yyvsp[-1].x)->next;
       (yyvsp[-1].x)->next = fc;

       fc = (yyvsp[-1].x);
       (yyvsp[-1].x) = tmp;
     }

     if (args != (yyvsp[-3].s)->function->args)
       cf_error("Function call '%s' got %u arguments, need %u arguments.",
	   (yyvsp[-3].s)->name, args, (yyvsp[-3].s)->function->args);

     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
     (yyval.x)->next = fc;
   }
#line 7840 "obj/conf/cf-parse.tab.c"
    break;

  case 277: /* symbol_value: CF_SYM_KNOWN  */
#line 728 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7860 "obj/conf/cf-parse.tab.c"
    break;

  case 278: /* static_attr: FROM  */
#line 746 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7866 "obj/conf/cf-parse.tab.c"
    break;

  case 279: /* static_attr: GW  */
#line 747 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7872 "obj/conf/cf-parse.tab.c"
    break;

  case 280: /* static_attr: NET  */
#line 748 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7878 "obj/conf/cf-parse.tab.c"
    break;

  case 281: /* static_attr: PROTO  */
#line 749 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 7884 "obj/conf/cf-parse.tab.c"
    break;

  case 282: /* static_attr: SOURCE  */
#line 750 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 7890 "obj/conf/cf-parse.tab.c"
    break;

  case 283: /* static_attr: SCOPE  */
#line 751 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 7896 "obj/conf/cf-parse.tab.c"
    break;

  case 284: /* static_attr: DEST  */
#line 752 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 7902 "obj/conf/cf-parse.tab.c"
    break;

  case 285: /* static_attr: IFNAME  */
#line 753 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 7908 "obj/conf/cf-parse.tab.c"
    break;

  case 286: /* static_attr: IFINDEX  */
#line 754 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 7914 "obj/conf/cf-parse.tab.c"
    break;

  case 287: /* static_attr: WEIGHT  */
#line 755 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 7920 "obj/conf/cf-parse.tab.c"
    break;

  case 288: /* static_attr: GW_MPLS  */
#line 756 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 7926 "obj/conf/cf-parse.tab.c"
    break;

  case 289: /* term: '(' term ')'  */
#line 760 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 7932 "obj/conf/cf-parse.tab.c"
    break;

  case 290: /* term: term '+' term  */
#line 761 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7938 "obj/conf/cf-parse.tab.c"
    break;

  case 291: /* term: term '-' term  */
#line 762 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7944 "obj/conf/cf-parse.tab.c"
    break;

  case 292: /* term: term '*' term  */
#line 763 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7950 "obj/conf/cf-parse.tab.c"
    break;

  case 293: /* term: term '/' term  */
#line 764 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7956 "obj/conf/cf-parse.tab.c"
    break;

  case 294: /* term: term AND term  */
#line 765 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7962 "obj/conf/cf-parse.tab.c"
    break;

  case 295: /* term: term OR term  */
#line 766 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7968 "obj/conf/cf-parse.tab.c"
    break;

  case 296: /* term: term '=' term  */
#line 767 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7974 "obj/conf/cf-parse.tab.c"
    break;

  case 297: /* term: term NEQ term  */
#line 768 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7980 "obj/conf/cf-parse.tab.c"
    break;

  case 298: /* term: term '<' term  */
#line 769 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7986 "obj/conf/cf-parse.tab.c"
    break;

  case 299: /* term: term LEQ term  */
#line 770 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7992 "obj/conf/cf-parse.tab.c"
    break;

  case 300: /* term: term '>' term  */
#line 771 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7998 "obj/conf/cf-parse.tab.c"
    break;

  case 301: /* term: term GEQ term  */
#line 772 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8004 "obj/conf/cf-parse.tab.c"
    break;

  case 302: /* term: term '~' term  */
#line 773 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8010 "obj/conf/cf-parse.tab.c"
    break;

  case 303: /* term: term NMA term  */
#line 774 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8016 "obj/conf/cf-parse.tab.c"
    break;

  case 304: /* term: '!' term  */
#line 775 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 8022 "obj/conf/cf-parse.tab.c"
    break;

  case 305: /* term: DEFINED '(' term ')'  */
#line 776 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 8028 "obj/conf/cf-parse.tab.c"
    break;

  case 306: /* term: symbol_value  */
#line 778 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 8034 "obj/conf/cf-parse.tab.c"
    break;

  case 307: /* term: constant  */
#line 779 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 8040 "obj/conf/cf-parse.tab.c"
    break;

  case 308: /* term: constructor  */
#line 780 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 8046 "obj/conf/cf-parse.tab.c"
    break;

  case 309: /* term: PREFERENCE  */
#line 782 "filter/config.Y"
              { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 8052 "obj/conf/cf-parse.tab.c"
    break;

  case 310: /* term: static_attr  */
#line 784 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 8058 "obj/conf/cf-parse.tab.c"
    break;

  case 311: /* term: dynamic_attr  */
#line 786 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 8064 "obj/conf/cf-parse.tab.c"
    break;

  case 312: /* term: term '.' IS_V4  */
#line 788 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 8070 "obj/conf/cf-parse.tab.c"
    break;

  case 313: /* term: term '.' TYPE  */
#line 789 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 8076 "obj/conf/cf-parse.tab.c"
    break;

  case 314: /* term: term '.' IP  */
#line 790 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 8082 "obj/conf/cf-parse.tab.c"
    break;

  case 315: /* term: term '.' RD  */
#line 791 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 8088 "obj/conf/cf-parse.tab.c"
    break;

  case 316: /* term: term '.' LEN  */
#line 792 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 8094 "obj/conf/cf-parse.tab.c"
    break;

  case 317: /* term: term '.' MAXLEN  */
#line 793 "filter/config.Y"
                   { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 8100 "obj/conf/cf-parse.tab.c"
    break;

  case 318: /* term: term '.' ASN  */
#line 794 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_ASN, (yyvsp[-2].x)); }
#line 8106 "obj/conf/cf-parse.tab.c"
    break;

  case 319: /* term: term '.' SRC  */
#line 795 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_SRC, (yyvsp[-2].x)); }
#line 8112 "obj/conf/cf-parse.tab.c"
    break;

  case 320: /* term: term '.' DST  */
#line 796 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_DST, (yyvsp[-2].x)); }
#line 8118 "obj/conf/cf-parse.tab.c"
    break;

  case 321: /* term: term '.' MASK '(' term ')'  */
#line 797 "filter/config.Y"
                              { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 8124 "obj/conf/cf-parse.tab.c"
    break;

  case 322: /* term: term '.' FIRST  */
#line 798 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 8130 "obj/conf/cf-parse.tab.c"
    break;

  case 323: /* term: term '.' LAST  */
#line 799 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 8136 "obj/conf/cf-parse.tab.c"
    break;

  case 324: /* term: term '.' LAST_NONAGGREGATED  */
#line 800 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 8142 "obj/conf/cf-parse.tab.c"
    break;

  case 325: /* term: term '.' DATA  */
#line 801 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_PAIR_DATA, (yyvsp[-2].x)); }
#line 8148 "obj/conf/cf-parse.tab.c"
    break;

  case 326: /* term: term '.' DATA1  */
#line 802 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_LC_DATA1, (yyvsp[-2].x)); }
#line 8154 "obj/conf/cf-parse.tab.c"
    break;

  case 327: /* term: term '.' DATA2  */
#line 803 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_LC_DATA2, (yyvsp[-2].x)); }
#line 8160 "obj/conf/cf-parse.tab.c"
    break;

  case 328: /* term: term '.' MIN  */
#line 804 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_MIN, (yyvsp[-2].x)); }
#line 8166 "obj/conf/cf-parse.tab.c"
    break;

  case 329: /* term: term '.' MAX  */
#line 805 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_MAX, (yyvsp[-2].x)); }
#line 8172 "obj/conf/cf-parse.tab.c"
    break;

  case 330: /* term: '+' EMPTY '+'  */
#line 815 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 8178 "obj/conf/cf-parse.tab.c"
    break;

  case 331: /* term: '-' EMPTY '-'  */
#line 816 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 8184 "obj/conf/cf-parse.tab.c"
    break;

  case 332: /* term: '-' '-' EMPTY '-' '-'  */
#line 817 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 8190 "obj/conf/cf-parse.tab.c"
    break;

  case 333: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 818 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 8196 "obj/conf/cf-parse.tab.c"
    break;

  case 334: /* term: PREPEND '(' term ',' term ')'  */
#line 819 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8202 "obj/conf/cf-parse.tab.c"
    break;

  case 335: /* term: ADD '(' term ',' term ')'  */
#line 820 "filter/config.Y"
                             { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8208 "obj/conf/cf-parse.tab.c"
    break;

  case 336: /* term: DELETE '(' term ',' term ')'  */
#line 821 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8214 "obj/conf/cf-parse.tab.c"
    break;

  case 337: /* term: FILTER '(' term ',' term ')'  */
#line 822 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8220 "obj/conf/cf-parse.tab.c"
    break;

  case 338: /* term: ROA_CHECK '(' rtable ')'  */
#line 824 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 8226 "obj/conf/cf-parse.tab.c"
    break;

  case 339: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 825 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 8232 "obj/conf/cf-parse.tab.c"
    break;

  case 340: /* term: FORMAT '(' term ')'  */
#line 827 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 8238 "obj/conf/cf-parse.tab.c"
    break;

  case 342: /* break_command: ACCEPT  */
#line 835 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 8244 "obj/conf/cf-parse.tab.c"
    break;

  case 343: /* break_command: REJECT  */
#line 836 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 8250 "obj/conf/cf-parse.tab.c"
    break;

  case 344: /* break_command: ERROR  */
#line 837 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 8256 "obj/conf/cf-parse.tab.c"
    break;

  case 345: /* print_list: %empty  */
#line 840 "filter/config.Y"
                        { (yyval.x) = NULL; }
#line 8262 "obj/conf/cf-parse.tab.c"
    break;

  case 346: /* print_list: term  */
#line 841 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 8268 "obj/conf/cf-parse.tab.c"
    break;

  case 347: /* print_list: term ',' print_list  */
#line 842 "filter/config.Y"
                       {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 8279 "obj/conf/cf-parse.tab.c"
    break;

  case 348: /* cmd: IF term THEN block  */
#line 851 "filter/config.Y"
                      {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 8287 "obj/conf/cf-parse.tab.c"
    break;

  case 349: /* cmd: IF term THEN block ELSE block  */
#line 854 "filter/config.Y"
                                 {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 8295 "obj/conf/cf-parse.tab.c"
    break;

  case 350: /* cmd: CF_SYM_KNOWN '=' term ';'  */
#line 857 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 8312 "obj/conf/cf-parse.tab.c"
    break;

  case 351: /* cmd: RETURN term ';'  */
#line 869 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 8321 "obj/conf/cf-parse.tab.c"
    break;

  case 352: /* cmd: dynamic_attr '=' term ';'  */
#line 873 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 8329 "obj/conf/cf-parse.tab.c"
    break;

  case 353: /* cmd: static_attr '=' term ';'  */
#line 876 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 8339 "obj/conf/cf-parse.tab.c"
    break;

  case 354: /* cmd: PREFERENCE '=' term ';'  */
#line 881 "filter/config.Y"
                           {
     (yyval.x) = f_new_inst(FI_PREF_SET, (yyvsp[-1].x));
   }
#line 8347 "obj/conf/cf-parse.tab.c"
    break;

  case 355: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 884 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 8355 "obj/conf/cf-parse.tab.c"
    break;

  case 356: /* cmd: break_command print_list ';'  */
#line 887 "filter/config.Y"
                                {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 8371 "obj/conf/cf-parse.tab.c"
    break;

  case 357: /* cmd: PRINT print_list ';'  */
#line 898 "filter/config.Y"
                        {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 8380 "obj/conf/cf-parse.tab.c"
    break;

  case 358: /* cmd: PRINTN print_list ';'  */
#line 902 "filter/config.Y"
                         {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 8388 "obj/conf/cf-parse.tab.c"
    break;

  case 359: /* cmd: function_call ';'  */
#line 905 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 8394 "obj/conf/cf-parse.tab.c"
    break;

  case 360: /* cmd: CASE term '{' switch_body '}'  */
#line 906 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), build_tree((yyvsp[-1].e)));
   }
#line 8402 "obj/conf/cf-parse.tab.c"
    break;

  case 361: /* cmd: dynamic_attr '.' EMPTY ';'  */
#line 910 "filter/config.Y"
                              { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 8408 "obj/conf/cf-parse.tab.c"
    break;

  case 362: /* cmd: dynamic_attr '.' PREPEND '(' term ')' ';'  */
#line 911 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8414 "obj/conf/cf-parse.tab.c"
    break;

  case 363: /* cmd: dynamic_attr '.' ADD '(' term ')' ';'  */
#line 912 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8420 "obj/conf/cf-parse.tab.c"
    break;

  case 364: /* cmd: dynamic_attr '.' DELETE '(' term ')' ';'  */
#line 913 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8426 "obj/conf/cf-parse.tab.c"
    break;

  case 365: /* cmd: dynamic_attr '.' FILTER '(' term ')' ';'  */
#line 914 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8432 "obj/conf/cf-parse.tab.c"
    break;

  case 366: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 915 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 8438 "obj/conf/cf-parse.tab.c"
    break;

  case 367: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 916 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 8444 "obj/conf/cf-parse.tab.c"
    break;

  case 368: /* get_cf_position: %empty  */
#line 920 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 8452 "obj/conf/cf-parse.tab.c"
    break;

  case 369: /* lvalue: CF_SYM_KNOWN  */
#line 925 "filter/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 8458 "obj/conf/cf-parse.tab.c"
    break;

  case 370: /* lvalue: PREFERENCE  */
#line 926 "filter/config.Y"
              { (yyval.flv) = (struct f_lval) { .type = F_LVAL_PREFERENCE }; }
#line 8464 "obj/conf/cf-parse.tab.c"
    break;

  case 371: /* lvalue: static_attr  */
#line 927 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 8470 "obj/conf/cf-parse.tab.c"
    break;

  case 372: /* lvalue: dynamic_attr  */
#line 928 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 8476 "obj/conf/cf-parse.tab.c"
    break;

  case 374: /* rtrid: ROUTER ID idval ';'  */
#line 162 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 8482 "obj/conf/cf-parse.tab.c"
    break;

  case 375: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 163 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 8488 "obj/conf/cf-parse.tab.c"
    break;

  case 376: /* idval: NUM  */
#line 167 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 8494 "obj/conf/cf-parse.tab.c"
    break;

  case 377: /* idval: '(' term ')'  */
#line 168 "nest/config.Y"
                { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 8500 "obj/conf/cf-parse.tab.c"
    break;

  case 378: /* idval: IP4  */
#line 169 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 8506 "obj/conf/cf-parse.tab.c"
    break;

  case 379: /* idval: CF_SYM_KNOWN  */
#line 170 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 8519 "obj/conf/cf-parse.tab.c"
    break;

  case 381: /* hostname_override: HOSTNAME text ';'  */
#line 182 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 8525 "obj/conf/cf-parse.tab.c"
    break;

  case 383: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 186 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 8531 "obj/conf/cf-parse.tab.c"
    break;

  case 384: /* net_type: IPV4  */
#line 192 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 8537 "obj/conf/cf-parse.tab.c"
    break;

  case 385: /* net_type: IPV6  */
#line 193 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 8543 "obj/conf/cf-parse.tab.c"
    break;

  case 386: /* net_type: IPV6 SADR  */
#line 194 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 8549 "obj/conf/cf-parse.tab.c"
    break;

  case 387: /* net_type: VPN4  */
#line 195 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 8555 "obj/conf/cf-parse.tab.c"
    break;

  case 388: /* net_type: VPN6  */
#line 196 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 8561 "obj/conf/cf-parse.tab.c"
    break;

  case 389: /* net_type: ROA4  */
#line 197 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 8567 "obj/conf/cf-parse.tab.c"
    break;

  case 390: /* net_type: ROA6  */
#line 198 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 8573 "obj/conf/cf-parse.tab.c"
    break;

  case 391: /* net_type: FLOW4  */
#line 199 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 8579 "obj/conf/cf-parse.tab.c"
    break;

  case 392: /* net_type: FLOW6  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 8585 "obj/conf/cf-parse.tab.c"
    break;

  case 393: /* net_type: MPLS  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 8591 "obj/conf/cf-parse.tab.c"
    break;

  case 396: /* table_start: net_type TABLE symbol  */
#line 213 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 8599 "obj/conf/cf-parse.tab.c"
    break;

  case 398: /* table_sorted: SORTED  */
#line 220 "nest/config.Y"
          { this_table->sorted = 1; }
#line 8605 "obj/conf/cf-parse.tab.c"
    break;

  case 399: /* table_opt: SORTED bool  */
#line 224 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 8611 "obj/conf/cf-parse.tab.c"
    break;

  case 400: /* table_opt: TRIE bool  */
#line 225 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 8621 "obj/conf/cf-parse.tab.c"
    break;

  case 401: /* table_opt: MIN SETTLE TIME expr_us  */
#line 230 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 8627 "obj/conf/cf-parse.tab.c"
    break;

  case 402: /* table_opt: MAX SETTLE TIME expr_us  */
#line 231 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 8633 "obj/conf/cf-parse.tab.c"
    break;

  case 407: /* conf: proto  */
#line 247 "nest/config.Y"
            { proto_postconfig(); }
#line 8639 "obj/conf/cf-parse.tab.c"
    break;

  case 408: /* proto_start: PROTOCOL  */
#line 250 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 8645 "obj/conf/cf-parse.tab.c"
    break;

  case 409: /* proto_start: TEMPLATE  */
#line 251 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 8651 "obj/conf/cf-parse.tab.c"
    break;

  case 410: /* proto_name: %empty  */
#line 255 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 8662 "obj/conf/cf-parse.tab.c"
    break;

  case 411: /* proto_name: symbol  */
#line 261 "nest/config.Y"
          {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 8671 "obj/conf/cf-parse.tab.c"
    break;

  case 412: /* proto_name: FROM CF_SYM_KNOWN  */
#line 265 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8686 "obj/conf/cf-parse.tab.c"
    break;

  case 413: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 275 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8699 "obj/conf/cf-parse.tab.c"
    break;

  case 415: /* proto_item: DISABLED bool  */
#line 287 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 8705 "obj/conf/cf-parse.tab.c"
    break;

  case 416: /* proto_item: DEBUG debug_mask  */
#line 288 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 8711 "obj/conf/cf-parse.tab.c"
    break;

  case 417: /* proto_item: MRTDUMP mrtdump_mask  */
#line 289 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 8717 "obj/conf/cf-parse.tab.c"
    break;

  case 418: /* proto_item: ROUTER ID idval  */
#line 290 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 8723 "obj/conf/cf-parse.tab.c"
    break;

  case 419: /* proto_item: DESCRIPTION text  */
#line 291 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 8729 "obj/conf/cf-parse.tab.c"
    break;

  case 420: /* proto_item: VRF text  */
#line 292 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8735 "obj/conf/cf-parse.tab.c"
    break;

  case 421: /* proto_item: VRF DEFAULT  */
#line 293 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8741 "obj/conf/cf-parse.tab.c"
    break;

  case 422: /* channel_start: net_type  */
#line 298 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8749 "obj/conf/cf-parse.tab.c"
    break;

  case 423: /* channel_item_: TABLE rtable  */
#line 303 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8759 "obj/conf/cf-parse.tab.c"
    break;

  case 424: /* channel_item_: IMPORT imexport  */
#line 308 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 8765 "obj/conf/cf-parse.tab.c"
    break;

  case 425: /* channel_item_: EXPORT imexport  */
#line 309 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 8771 "obj/conf/cf-parse.tab.c"
    break;

  case 426: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 310 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8777 "obj/conf/cf-parse.tab.c"
    break;

  case 427: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 311 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 8783 "obj/conf/cf-parse.tab.c"
    break;

  case 428: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 312 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 8789 "obj/conf/cf-parse.tab.c"
    break;

  case 429: /* channel_item_: PREFERENCE expr  */
#line 313 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8795 "obj/conf/cf-parse.tab.c"
    break;

  case 430: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 314 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8801 "obj/conf/cf-parse.tab.c"
    break;

  case 431: /* channel_item_: RPKI RELOAD bool  */
#line 315 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 8807 "obj/conf/cf-parse.tab.c"
    break;

  case 433: /* channel_item: DEBUG debug_mask  */
#line 321 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 8813 "obj/conf/cf-parse.tab.c"
    break;

  case 438: /* channel_end: %empty  */
#line 335 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 8824 "obj/conf/cf-parse.tab.c"
    break;

  case 440: /* rtable: CF_SYM_KNOWN  */
#line 345 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 8830 "obj/conf/cf-parse.tab.c"
    break;

  case 441: /* imexport: FILTER filter  */
#line 348 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 8836 "obj/conf/cf-parse.tab.c"
    break;

  case 443: /* imexport: ALL  */
#line 350 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 8842 "obj/conf/cf-parse.tab.c"
    break;

  case 444: /* imexport: NONE  */
#line 351 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 8848 "obj/conf/cf-parse.tab.c"
    break;

  case 445: /* limit_action: %empty  */
#line 355 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 8854 "obj/conf/cf-parse.tab.c"
    break;

  case 446: /* limit_action: ACTION WARN  */
#line 356 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 8860 "obj/conf/cf-parse.tab.c"
    break;

  case 447: /* limit_action: ACTION BLOCK  */
#line 357 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 8866 "obj/conf/cf-parse.tab.c"
    break;

  case 448: /* limit_action: ACTION RESTART  */
#line 358 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 8872 "obj/conf/cf-parse.tab.c"
    break;

  case 449: /* limit_action: ACTION DISABLE  */
#line 359 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 8878 "obj/conf/cf-parse.tab.c"
    break;

  case 450: /* limit_spec: expr limit_action  */
#line 363 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 8884 "obj/conf/cf-parse.tab.c"
    break;

  case 451: /* limit_spec: OFF  */
#line 364 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 8890 "obj/conf/cf-parse.tab.c"
    break;

  case 453: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 371 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 8896 "obj/conf/cf-parse.tab.c"
    break;

  case 454: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 372 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 8902 "obj/conf/cf-parse.tab.c"
    break;

  case 455: /* debug_default: DEBUG COMMANDS expr  */
#line 373 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 8908 "obj/conf/cf-parse.tab.c"
    break;

  case 457: /* timeformat_which: ROUTE  */
#line 381 "nest/config.Y"
         { (yyval.tf) = &new_config->tf_route; }
#line 8914 "obj/conf/cf-parse.tab.c"
    break;

  case 458: /* timeformat_which: PROTOCOL  */
#line 382 "nest/config.Y"
            { (yyval.tf) = &new_config->tf_proto; }
#line 8920 "obj/conf/cf-parse.tab.c"
    break;

  case 459: /* timeformat_which: BASE  */
#line 383 "nest/config.Y"
        { (yyval.tf) = &new_config->tf_base; }
#line 8926 "obj/conf/cf-parse.tab.c"
    break;

  case 460: /* timeformat_which: LOG  */
#line 384 "nest/config.Y"
       { (yyval.tf) = &new_config->tf_log; }
#line 8932 "obj/conf/cf-parse.tab.c"
    break;

  case 461: /* timeformat_spec: timeformat_which TEXT  */
#line 388 "nest/config.Y"
                         { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 8938 "obj/conf/cf-parse.tab.c"
    break;

  case 462: /* timeformat_spec: timeformat_which TEXT expr TEXT  */
#line 389 "nest/config.Y"
                                   { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 8944 "obj/conf/cf-parse.tab.c"
    break;

  case 463: /* timeformat_spec: timeformat_which ISO SHORT  */
#line 390 "nest/config.Y"
                                 { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 8950 "obj/conf/cf-parse.tab.c"
    break;

  case 464: /* timeformat_spec: timeformat_which ISO SHORT MS  */
#line 391 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 8956 "obj/conf/cf-parse.tab.c"
    break;

  case 465: /* timeformat_spec: timeformat_which ISO SHORT US  */
#line 392 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 8962 "obj/conf/cf-parse.tab.c"
    break;

  case 466: /* timeformat_spec: timeformat_which ISO LONG  */
#line 393 "nest/config.Y"
                                { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 8968 "obj/conf/cf-parse.tab.c"
    break;

  case 467: /* timeformat_spec: timeformat_which ISO LONG MS  */
#line 394 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 8974 "obj/conf/cf-parse.tab.c"
    break;

  case 468: /* timeformat_spec: timeformat_which ISO LONG US  */
#line 395 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 8980 "obj/conf/cf-parse.tab.c"
    break;

  case 470: /* iface_patt_node_init: %empty  */
#line 406 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 8990 "obj/conf/cf-parse.tab.c"
    break;

  case 471: /* iface_patt_node_body: TEXT  */
#line 414 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 8996 "obj/conf/cf-parse.tab.c"
    break;

  case 472: /* iface_patt_node_body: opttext net_or_ipa  */
#line 415 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 9002 "obj/conf/cf-parse.tab.c"
    break;

  case 473: /* iface_negate: %empty  */
#line 419 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 9008 "obj/conf/cf-parse.tab.c"
    break;

  case 474: /* iface_negate: '-'  */
#line 420 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 9014 "obj/conf/cf-parse.tab.c"
    break;

  case 478: /* iface_patt_list_nopx: iface_patt_list  */
#line 434 "nest/config.Y"
                                      { iface_patt_check(); }
#line 9020 "obj/conf/cf-parse.tab.c"
    break;

  case 479: /* iface_patt_init: %empty  */
#line 436 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 9030 "obj/conf/cf-parse.tab.c"
    break;

  case 481: /* tos: CLASS expr  */
#line 448 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 9036 "obj/conf/cf-parse.tab.c"
    break;

  case 482: /* tos: DSCP expr  */
#line 449 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 9042 "obj/conf/cf-parse.tab.c"
    break;

  case 484: /* dev_proto_start: proto_start DIRECT  */
#line 456 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 9051 "obj/conf/cf-parse.tab.c"
    break;

  case 489: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 467 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 9057 "obj/conf/cf-parse.tab.c"
    break;

  case 490: /* dev_iface_init: %empty  */
#line 471 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 9067 "obj/conf/cf-parse.tab.c"
    break;

  case 492: /* debug_mask: ALL  */
#line 485 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9073 "obj/conf/cf-parse.tab.c"
    break;

  case 493: /* debug_mask: OFF  */
#line 486 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9079 "obj/conf/cf-parse.tab.c"
    break;

  case 494: /* debug_mask: '{' debug_list '}'  */
#line 487 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 9085 "obj/conf/cf-parse.tab.c"
    break;

  case 496: /* debug_list: debug_list ',' debug_flag  */
#line 492 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9091 "obj/conf/cf-parse.tab.c"
    break;

  case 497: /* debug_flag: STATES  */
#line 496 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 9097 "obj/conf/cf-parse.tab.c"
    break;

  case 498: /* debug_flag: ROUTES  */
#line 497 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 9103 "obj/conf/cf-parse.tab.c"
    break;

  case 499: /* debug_flag: FILTERS  */
#line 498 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 9109 "obj/conf/cf-parse.tab.c"
    break;

  case 500: /* debug_flag: INTERFACES  */
#line 499 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 9115 "obj/conf/cf-parse.tab.c"
    break;

  case 501: /* debug_flag: EVENTS  */
#line 500 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 9121 "obj/conf/cf-parse.tab.c"
    break;

  case 502: /* debug_flag: PACKETS  */
#line 501 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 9127 "obj/conf/cf-parse.tab.c"
    break;

  case 503: /* mrtdump_mask: ALL  */
#line 507 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9133 "obj/conf/cf-parse.tab.c"
    break;

  case 504: /* mrtdump_mask: OFF  */
#line 508 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9139 "obj/conf/cf-parse.tab.c"
    break;

  case 505: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 509 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 9145 "obj/conf/cf-parse.tab.c"
    break;

  case 507: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 514 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9151 "obj/conf/cf-parse.tab.c"
    break;

  case 508: /* mrtdump_flag: STATES  */
#line 518 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 9157 "obj/conf/cf-parse.tab.c"
    break;

  case 509: /* mrtdump_flag: MESSAGES  */
#line 519 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 9163 "obj/conf/cf-parse.tab.c"
    break;

  case 519: /* password_item_begin: pass_key text  */
#line 546 "nest/config.Y"
                  { init_password_list(); init_password((yyvsp[0].t), strlen((yyvsp[0].t)), password_id++); }
#line 9169 "obj/conf/cf-parse.tab.c"
    break;

  case 520: /* password_item_begin: pass_key BYTESTRING  */
#line 547 "nest/config.Y"
                        { init_password_list(); init_password((yyvsp[0].bs)->data, (yyvsp[0].bs)->length, password_id++); }
#line 9175 "obj/conf/cf-parse.tab.c"
    break;

  case 521: /* password_item_params: %empty  */
#line 551 "nest/config.Y"
               { }
#line 9181 "obj/conf/cf-parse.tab.c"
    break;

  case 522: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 552 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 9187 "obj/conf/cf-parse.tab.c"
    break;

  case 523: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 553 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 9193 "obj/conf/cf-parse.tab.c"
    break;

  case 524: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 554 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 9199 "obj/conf/cf-parse.tab.c"
    break;

  case 525: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 555 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 9205 "obj/conf/cf-parse.tab.c"
    break;

  case 526: /* password_item_params: FROM time ';' password_item_params  */
#line 556 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 9211 "obj/conf/cf-parse.tab.c"
    break;

  case 527: /* password_item_params: TO time ';' password_item_params  */
#line 557 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 9217 "obj/conf/cf-parse.tab.c"
    break;

  case 528: /* password_item_params: ID expr ';' password_item_params  */
#line 558 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 9223 "obj/conf/cf-parse.tab.c"
    break;

  case 529: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 559 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 9229 "obj/conf/cf-parse.tab.c"
    break;

  case 530: /* password_algorithm: KEYED MD5  */
#line 563 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 9235 "obj/conf/cf-parse.tab.c"
    break;

  case 531: /* password_algorithm: KEYED SHA1  */
#line 564 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 9241 "obj/conf/cf-parse.tab.c"
    break;

  case 532: /* password_algorithm: KEYED SHA256  */
#line 565 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 9247 "obj/conf/cf-parse.tab.c"
    break;

  case 533: /* password_algorithm: KEYED SHA384  */
#line 566 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 9253 "obj/conf/cf-parse.tab.c"
    break;

  case 534: /* password_algorithm: KEYED SHA512  */
#line 567 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 9259 "obj/conf/cf-parse.tab.c"
    break;

  case 535: /* password_algorithm: HMAC MD5  */
#line 568 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 9265 "obj/conf/cf-parse.tab.c"
    break;

  case 536: /* password_algorithm: HMAC SHA1  */
#line 569 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 9271 "obj/conf/cf-parse.tab.c"
    break;

  case 537: /* password_algorithm: HMAC SHA256  */
#line 570 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 9277 "obj/conf/cf-parse.tab.c"
    break;

  case 538: /* password_algorithm: HMAC SHA384  */
#line 571 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 9283 "obj/conf/cf-parse.tab.c"
    break;

  case 539: /* password_algorithm: HMAC SHA512  */
#line 572 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 9289 "obj/conf/cf-parse.tab.c"
    break;

  case 540: /* password_algorithm: BLAKE2S128  */
#line 573 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 9295 "obj/conf/cf-parse.tab.c"
    break;

  case 541: /* password_algorithm: BLAKE2S256  */
#line 574 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 9301 "obj/conf/cf-parse.tab.c"
    break;

  case 542: /* password_algorithm: BLAKE2B256  */
#line 575 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 9307 "obj/conf/cf-parse.tab.c"
    break;

  case 543: /* password_algorithm: BLAKE2B512  */
#line 576 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 9313 "obj/conf/cf-parse.tab.c"
    break;

  case 544: /* password_item_end: %empty  */
#line 580 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 9321 "obj/conf/cf-parse.tab.c"
    break;

  case 545: /* bfd_item: INTERVAL expr_us  */
#line 588 "nest/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9327 "obj/conf/cf-parse.tab.c"
    break;

  case 546: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 589 "nest/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 9333 "obj/conf/cf-parse.tab.c"
    break;

  case 547: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 590 "nest/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9339 "obj/conf/cf-parse.tab.c"
    break;

  case 548: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 591 "nest/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 9345 "obj/conf/cf-parse.tab.c"
    break;

  case 549: /* bfd_item: MULTIPLIER expr  */
#line 592 "nest/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 9351 "obj/conf/cf-parse.tab.c"
    break;

  case 550: /* bfd_item: PASSIVE bool  */
#line 593 "nest/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 9357 "obj/conf/cf-parse.tab.c"
    break;

  case 551: /* bfd_item: GRACEFUL  */
#line 594 "nest/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 9363 "obj/conf/cf-parse.tab.c"
    break;

  case 556: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 610 "nest/config.Y"
{ cmd_show_status(); }
#line 9369 "obj/conf/cf-parse.tab.c"
    break;

  case 558: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 613 "nest/config.Y"
{ cmd_show_memory(); }
#line 9375 "obj/conf/cf-parse.tab.c"
    break;

  case 560: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 616 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 9381 "obj/conf/cf-parse.tab.c"
    break;

  case 562: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 619 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 9387 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* optproto: CF_SYM_KNOWN  */
#line 622 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 9393 "obj/conf/cf-parse.tab.c"
    break;

  case 564: /* optproto: %empty  */
#line 623 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 9399 "obj/conf/cf-parse.tab.c"
    break;

  case 566: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 627 "nest/config.Y"
{ if_show(); }
#line 9405 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 630 "nest/config.Y"
{ if_show_summary(); }
#line 9411 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 634 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 9417 "obj/conf/cf-parse.tab.c"
    break;

  case 571: /* r_args: %empty  */
#line 637 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 9428 "obj/conf/cf-parse.tab.c"
    break;

  case 572: /* r_args: r_args net_any  */
#line 643 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 9439 "obj/conf/cf-parse.tab.c"
    break;

  case 573: /* r_args: r_args FOR r_args_for  */
#line 649 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 9450 "obj/conf/cf-parse.tab.c"
    break;

  case 574: /* r_args: r_args IN net_any  */
#line 655 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 9462 "obj/conf/cf-parse.tab.c"
    break;

  case 575: /* r_args: r_args TABLE CF_SYM_KNOWN  */
#line 662 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9473 "obj/conf/cf-parse.tab.c"
    break;

  case 576: /* r_args: r_args TABLE ALL  */
#line 668 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 9485 "obj/conf/cf-parse.tab.c"
    break;

  case 577: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 675 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9495 "obj/conf/cf-parse.tab.c"
    break;

  case 578: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 680 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9505 "obj/conf/cf-parse.tab.c"
    break;

  case 579: /* r_args: r_args FILTER filter  */
#line 685 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9515 "obj/conf/cf-parse.tab.c"
    break;

  case 580: /* r_args: r_args where_filter  */
#line 690 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9525 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* r_args: r_args ALL  */
#line 695 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 9534 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* r_args: r_args PRIMARY  */
#line 699 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 9543 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* r_args: r_args FILTERED  */
#line 703 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 9552 "obj/conf/cf-parse.tab.c"
    break;

  case 584: /* r_args: r_args export_mode CF_SYM_KNOWN  */
#line 707 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9567 "obj/conf/cf-parse.tab.c"
    break;

  case 585: /* r_args: r_args export_mode channel_arg  */
#line 717 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9579 "obj/conf/cf-parse.tab.c"
    break;

  case 586: /* r_args: r_args PROTOCOL CF_SYM_KNOWN  */
#line 724 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9593 "obj/conf/cf-parse.tab.c"
    break;

  case 587: /* r_args: r_args STATS  */
#line 733 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 9602 "obj/conf/cf-parse.tab.c"
    break;

  case 588: /* r_args: r_args COUNT  */
#line 737 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 9611 "obj/conf/cf-parse.tab.c"
    break;

  case 589: /* r_args_for: r_args_for_val  */
#line 744 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 9620 "obj/conf/cf-parse.tab.c"
    break;

  case 593: /* r_args_for: VPN_RD IP4  */
#line 751 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9629 "obj/conf/cf-parse.tab.c"
    break;

  case 594: /* r_args_for: VPN_RD IP6  */
#line 755 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9638 "obj/conf/cf-parse.tab.c"
    break;

  case 595: /* r_args_for: IP6 FROM IP6  */
#line 759 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 9647 "obj/conf/cf-parse.tab.c"
    break;

  case 596: /* r_args_for: CF_SYM_KNOWN  */
#line 763 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 9663 "obj/conf/cf-parse.tab.c"
    break;

  case 599: /* r_args_for_val: IP4  */
#line 779 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 9669 "obj/conf/cf-parse.tab.c"
    break;

  case 600: /* r_args_for_val: IP6  */
#line 780 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 9675 "obj/conf/cf-parse.tab.c"
    break;

  case 601: /* export_mode: PREEXPORT  */
#line 783 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 9681 "obj/conf/cf-parse.tab.c"
    break;

  case 602: /* export_mode: EXPORT  */
#line 784 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 9687 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* export_mode: NOEXPORT  */
#line 785 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 9693 "obj/conf/cf-parse.tab.c"
    break;

  case 604: /* export_mode: EXPORTED  */
#line 786 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 9699 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* channel_sym: IPV4  */
#line 791 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 9705 "obj/conf/cf-parse.tab.c"
    break;

  case 606: /* channel_sym: IPV4_MC  */
#line 792 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 9711 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* channel_sym: IPV4_MPLS  */
#line 793 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 9717 "obj/conf/cf-parse.tab.c"
    break;

  case 608: /* channel_sym: IPV6  */
#line 794 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 9723 "obj/conf/cf-parse.tab.c"
    break;

  case 609: /* channel_sym: IPV6_MC  */
#line 795 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 9729 "obj/conf/cf-parse.tab.c"
    break;

  case 610: /* channel_sym: IPV6_MPLS  */
#line 796 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 9735 "obj/conf/cf-parse.tab.c"
    break;

  case 611: /* channel_sym: IPV6_SADR  */
#line 797 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 9741 "obj/conf/cf-parse.tab.c"
    break;

  case 612: /* channel_sym: VPN4  */
#line 798 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 9747 "obj/conf/cf-parse.tab.c"
    break;

  case 613: /* channel_sym: VPN4_MC  */
#line 799 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 9753 "obj/conf/cf-parse.tab.c"
    break;

  case 614: /* channel_sym: VPN4_MPLS  */
#line 800 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 9759 "obj/conf/cf-parse.tab.c"
    break;

  case 615: /* channel_sym: VPN6  */
#line 801 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 9765 "obj/conf/cf-parse.tab.c"
    break;

  case 616: /* channel_sym: VPN6_MC  */
#line 802 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 9771 "obj/conf/cf-parse.tab.c"
    break;

  case 617: /* channel_sym: VPN6_MPLS  */
#line 803 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 9777 "obj/conf/cf-parse.tab.c"
    break;

  case 618: /* channel_sym: ROA4  */
#line 804 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 9783 "obj/conf/cf-parse.tab.c"
    break;

  case 619: /* channel_sym: ROA6  */
#line 805 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 9789 "obj/conf/cf-parse.tab.c"
    break;

  case 620: /* channel_sym: FLOW4  */
#line 806 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 9795 "obj/conf/cf-parse.tab.c"
    break;

  case 621: /* channel_sym: FLOW6  */
#line 807 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 9801 "obj/conf/cf-parse.tab.c"
    break;

  case 622: /* channel_sym: MPLS  */
#line 808 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 9807 "obj/conf/cf-parse.tab.c"
    break;

  case 623: /* channel_sym: PRI  */
#line 809 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 9813 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* channel_sym: SEC  */
#line 810 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 9819 "obj/conf/cf-parse.tab.c"
    break;

  case 625: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 814 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 9831 "obj/conf/cf-parse.tab.c"
    break;

  case 627: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 825 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 9837 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* sym_args: %empty  */
#line 828 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 9845 "obj/conf/cf-parse.tab.c"
    break;

  case 629: /* sym_args: sym_args TABLE  */
#line 831 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 9851 "obj/conf/cf-parse.tab.c"
    break;

  case 630: /* sym_args: sym_args FUNCTION  */
#line 832 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 9857 "obj/conf/cf-parse.tab.c"
    break;

  case 631: /* sym_args: sym_args FILTER  */
#line 833 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 9863 "obj/conf/cf-parse.tab.c"
    break;

  case 632: /* sym_args: sym_args PROTOCOL  */
#line 834 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 9869 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* sym_args: sym_args TEMPLATE  */
#line 835 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 9875 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* sym_args: sym_args symbol  */
#line 836 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 9881 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* cmd_DUMP_RESOURCES: DUMP RESOURCES END  */
#line 842 "nest/config.Y"
{ rdump(&root_pool); cli_msg(0, ""); }
#line 9887 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* cmd_DUMP_SOCKETS: DUMP SOCKETS END  */
#line 844 "nest/config.Y"
{ sk_dump_all(); cli_msg(0, ""); }
#line 9893 "obj/conf/cf-parse.tab.c"
    break;

  case 640: /* cmd_DUMP_EVENTS: DUMP EVENTS END  */
#line 846 "nest/config.Y"
{ io_log_dump(); cli_msg(0, ""); }
#line 9899 "obj/conf/cf-parse.tab.c"
    break;

  case 642: /* cmd_DUMP_INTERFACES: DUMP INTERFACES END  */
#line 848 "nest/config.Y"
{ if_dump_all(); cli_msg(0, ""); }
#line 9905 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS END  */
#line 850 "nest/config.Y"
{ neigh_dump_all(); cli_msg(0, ""); }
#line 9911 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES END  */
#line 852 "nest/config.Y"
{ rta_dump_all(); cli_msg(0, ""); }
#line 9917 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* cmd_DUMP_ROUTES: DUMP ROUTES END  */
#line 854 "nest/config.Y"
{ rt_dump_all(); cli_msg(0, ""); }
#line 9923 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS END  */
#line 856 "nest/config.Y"
{ protos_dump_all(); cli_msg(0, ""); }
#line 9929 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL END  */
#line 858 "nest/config.Y"
{ filters_dump_all(); cli_msg(0, ""); }
#line 9935 "obj/conf/cf-parse.tab.c"
    break;

  case 654: /* cmd_EVAL: EVAL term END  */
#line 861 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x))); }
#line 9941 "obj/conf/cf-parse.tab.c"
    break;

  case 656: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 864 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 9950 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* echo_mask: ALL  */
#line 870 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9956 "obj/conf/cf-parse.tab.c"
    break;

  case 658: /* echo_mask: OFF  */
#line 871 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9962 "obj/conf/cf-parse.tab.c"
    break;

  case 659: /* echo_mask: '{' log_mask_list '}'  */
#line 872 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 9968 "obj/conf/cf-parse.tab.c"
    break;

  case 660: /* echo_size: %empty  */
#line 876 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 9974 "obj/conf/cf-parse.tab.c"
    break;

  case 661: /* echo_size: NUM  */
#line 877 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 9983 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 884 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9989 "obj/conf/cf-parse.tab.c"
    break;

  case 665: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 886 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9995 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 888 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10001 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 890 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 10007 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 892 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 10013 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 894 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 10019 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* cmd_DEBUG: DEBUG debug_args END  */
#line 898 "nest/config.Y"
{ /* Done in debug_args */  }
#line 10025 "obj/conf/cf-parse.tab.c"
    break;

  case 676: /* debug_args: proto_patt debug_mask  */
#line 901 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 10031 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* debug_args: channel_arg debug_mask  */
#line 902 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 10037 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 907 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 10043 "obj/conf/cf-parse.tab.c"
    break;

  case 681: /* cmd_RESTRICT: RESTRICT END  */
#line 910 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 10049 "obj/conf/cf-parse.tab.c"
    break;

  case 682: /* proto_patt: CF_SYM_KNOWN  */
#line 913 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10055 "obj/conf/cf-parse.tab.c"
    break;

  case 683: /* proto_patt: ALL  */
#line 914 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10061 "obj/conf/cf-parse.tab.c"
    break;

  case 684: /* proto_patt: TEXT  */
#line 915 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10067 "obj/conf/cf-parse.tab.c"
    break;

  case 685: /* proto_patt2: CF_SYM_KNOWN  */
#line 919 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10073 "obj/conf/cf-parse.tab.c"
    break;

  case 686: /* proto_patt2: %empty  */
#line 920 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10079 "obj/conf/cf-parse.tab.c"
    break;

  case 687: /* proto_patt2: TEXT  */
#line 921 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10085 "obj/conf/cf-parse.tab.c"
    break;

  case 688: /* dynamic_attr: IGP_METRIC  */
#line 924 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 10091 "obj/conf/cf-parse.tab.c"
    break;

  case 690: /* bfd_proto_start: proto_start BFD  */
#line 37 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 10103 "obj/conf/cf-parse.tab.c"
    break;

  case 699: /* bfd_accept_item: IPV4  */
#line 63 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 10109 "obj/conf/cf-parse.tab.c"
    break;

  case 700: /* bfd_accept_item: IPV6  */
#line 64 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 10115 "obj/conf/cf-parse.tab.c"
    break;

  case 701: /* bfd_accept_item: DIRECT  */
#line 65 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 10121 "obj/conf/cf-parse.tab.c"
    break;

  case 702: /* bfd_accept_item: MULTIHOP  */
#line 66 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 10127 "obj/conf/cf-parse.tab.c"
    break;

  case 703: /* bfd_accept: %empty  */
#line 70 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 10136 "obj/conf/cf-parse.tab.c"
    break;

  case 705: /* bfd_iface_start: %empty  */
#line 78 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 10153 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* bfd_iface_finish: %empty  */
#line 92 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 10176 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* bfd_iface_item: INTERVAL expr_us  */
#line 112 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10182 "obj/conf/cf-parse.tab.c"
    break;

  case 708: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 113 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 10188 "obj/conf/cf-parse.tab.c"
    break;

  case 709: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 114 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10194 "obj/conf/cf-parse.tab.c"
    break;

  case 710: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 115 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 10200 "obj/conf/cf-parse.tab.c"
    break;

  case 711: /* bfd_iface_item: MULTIPLIER expr  */
#line 116 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 10206 "obj/conf/cf-parse.tab.c"
    break;

  case 712: /* bfd_iface_item: PASSIVE bool  */
#line 117 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 10212 "obj/conf/cf-parse.tab.c"
    break;

  case 713: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 118 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 10218 "obj/conf/cf-parse.tab.c"
    break;

  case 714: /* bfd_iface_item: password_list  */
#line 119 "proto/bfd/config.Y"
                 {}
#line 10224 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* bfd_auth_type: NONE  */
#line 123 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 10230 "obj/conf/cf-parse.tab.c"
    break;

  case 716: /* bfd_auth_type: SIMPLE  */
#line 124 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 10236 "obj/conf/cf-parse.tab.c"
    break;

  case 717: /* bfd_auth_type: KEYED MD5  */
#line 125 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 10242 "obj/conf/cf-parse.tab.c"
    break;

  case 718: /* bfd_auth_type: KEYED SHA1  */
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 10248 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 10254 "obj/conf/cf-parse.tab.c"
    break;

  case 720: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 10260 "obj/conf/cf-parse.tab.c"
    break;

  case 726: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 146 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 10266 "obj/conf/cf-parse.tab.c"
    break;

  case 727: /* bfd_neigh_iface: %empty  */
#line 150 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 10272 "obj/conf/cf-parse.tab.c"
    break;

  case 728: /* bfd_neigh_iface: '%' symbol  */
#line 151 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 10278 "obj/conf/cf-parse.tab.c"
    break;

  case 729: /* bfd_neigh_iface: DEV text  */
#line 152 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 10284 "obj/conf/cf-parse.tab.c"
    break;

  case 730: /* bfd_neigh_local: %empty  */
#line 156 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 10290 "obj/conf/cf-parse.tab.c"
    break;

  case 731: /* bfd_neigh_local: LOCAL ipa  */
#line 157 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 10296 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* bfd_neigh_multihop: %empty  */
#line 161 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 10302 "obj/conf/cf-parse.tab.c"
    break;

  case 733: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 162 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 10308 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 166 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 10328 "obj/conf/cf-parse.tab.c"
    break;

  case 736: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS optproto END  */
#line 185 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 10334 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* babel_proto_start: proto_start BABEL  */
#line 35 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 10344 "obj/conf/cf-parse.tab.c"
    break;

  case 742: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 45 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 10350 "obj/conf/cf-parse.tab.c"
    break;

  case 746: /* babel_iface_start: %empty  */
#line 58 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 10368 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* babel_iface_finish: %empty  */
#line 74 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 10428 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* babel_iface_item: PORT expr  */
#line 132 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10434 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* babel_iface_item: RXCOST expr  */
#line 133 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 10440 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* babel_iface_item: LIMIT expr  */
#line 134 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 10446 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* babel_iface_item: TYPE WIRED  */
#line 135 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 10452 "obj/conf/cf-parse.tab.c"
    break;

  case 753: /* babel_iface_item: TYPE WIRELESS  */
#line 136 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 10458 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 137 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 10464 "obj/conf/cf-parse.tab.c"
    break;

  case 755: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 138 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 10470 "obj/conf/cf-parse.tab.c"
    break;

  case 756: /* babel_iface_item: RX BUFFER expr  */
#line 139 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 10476 "obj/conf/cf-parse.tab.c"
    break;

  case 757: /* babel_iface_item: TX LENGTH expr  */
#line 140 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 10482 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* babel_iface_item: TX tos  */
#line 141 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 10488 "obj/conf/cf-parse.tab.c"
    break;

  case 759: /* babel_iface_item: TX PRIORITY expr  */
#line 142 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 10494 "obj/conf/cf-parse.tab.c"
    break;

  case 760: /* babel_iface_item: CHECK LINK bool  */
#line 143 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 10500 "obj/conf/cf-parse.tab.c"
    break;

  case 761: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 144 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 10506 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 145 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 10512 "obj/conf/cf-parse.tab.c"
    break;

  case 763: /* babel_iface_item: AUTHENTICATION NONE  */
#line 146 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 10518 "obj/conf/cf-parse.tab.c"
    break;

  case 764: /* babel_iface_item: AUTHENTICATION MAC  */
#line 147 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 10524 "obj/conf/cf-parse.tab.c"
    break;

  case 765: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 148 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 10530 "obj/conf/cf-parse.tab.c"
    break;

  case 772: /* dynamic_attr: BABEL_METRIC  */
#line 166 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 10536 "obj/conf/cf-parse.tab.c"
    break;

  case 774: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 171 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 10542 "obj/conf/cf-parse.tab.c"
    break;

  case 776: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 174 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 10548 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 177 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 10554 "obj/conf/cf-parse.tab.c"
    break;

  case 780: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 180 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 10560 "obj/conf/cf-parse.tab.c"
    break;

  case 782: /* bgp_proto_start: proto_start BGP  */
#line 49 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 10594 "obj/conf/cf-parse.tab.c"
    break;

  case 784: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 82 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10600 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 83 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 10606 "obj/conf/cf-parse.tab.c"
    break;

  case 787: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 88 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10612 "obj/conf/cf-parse.tab.c"
    break;

  case 788: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 89 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 10618 "obj/conf/cf-parse.tab.c"
    break;

  case 789: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 90 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 10624 "obj/conf/cf-parse.tab.c"
    break;

  case 790: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 91 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 10630 "obj/conf/cf-parse.tab.c"
    break;

  case 791: /* bgp_cease_mask: bool  */
#line 96 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 10636 "obj/conf/cf-parse.tab.c"
    break;

  case 792: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 97 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 10642 "obj/conf/cf-parse.tab.c"
    break;

  case 794: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 102 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10648 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* bgp_cease_flag: CEASE  */
#line 106 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 10654 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 107 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 10660 "obj/conf/cf-parse.tab.c"
    break;

  case 797: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 108 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 10666 "obj/conf/cf-parse.tab.c"
    break;

  case 798: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 109 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 10672 "obj/conf/cf-parse.tab.c"
    break;

  case 799: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 110 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 10678 "obj/conf/cf-parse.tab.c"
    break;

  case 800: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 10684 "obj/conf/cf-parse.tab.c"
    break;

  case 801: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 10690 "obj/conf/cf-parse.tab.c"
    break;

  case 802: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 10696 "obj/conf/cf-parse.tab.c"
    break;

  case 803: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 10702 "obj/conf/cf-parse.tab.c"
    break;

  case 808: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 122 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10711 "obj/conf/cf-parse.tab.c"
    break;

  case 810: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 127 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10722 "obj/conf/cf-parse.tab.c"
    break;

  case 811: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 133 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 10734 "obj/conf/cf-parse.tab.c"
    break;

  case 812: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 140 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 10740 "obj/conf/cf-parse.tab.c"
    break;

  case 813: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 141 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 10746 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 142 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 10752 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 143 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 10758 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 144 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 10764 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 145 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 10770 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 146 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 10776 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 147 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 10782 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 148 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 10788 "obj/conf/cf-parse.tab.c"
    break;

  case 821: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 149 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 10794 "obj/conf/cf-parse.tab.c"
    break;

  case 822: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 150 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 10800 "obj/conf/cf-parse.tab.c"
    break;

  case 823: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 151 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 10810 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 156 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 10816 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 157 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 10822 "obj/conf/cf-parse.tab.c"
    break;

  case 826: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 158 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 10828 "obj/conf/cf-parse.tab.c"
    break;

  case 827: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 159 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 10834 "obj/conf/cf-parse.tab.c"
    break;

  case 828: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 160 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 10840 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 161 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 10846 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 162 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 10852 "obj/conf/cf-parse.tab.c"
    break;

  case 831: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 163 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 10858 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 164 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 10864 "obj/conf/cf-parse.tab.c"
    break;

  case 833: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 165 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 10870 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 166 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 10876 "obj/conf/cf-parse.tab.c"
    break;

  case 835: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 167 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 10882 "obj/conf/cf-parse.tab.c"
    break;

  case 836: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 168 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 10888 "obj/conf/cf-parse.tab.c"
    break;

  case 837: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 169 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 10894 "obj/conf/cf-parse.tab.c"
    break;

  case 838: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 170 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 10900 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 171 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 10906 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 172 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 10912 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 173 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 10918 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 174 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 10924 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 175 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 10930 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 176 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 10936 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 177 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 10942 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 178 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 10948 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 179 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 10954 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 180 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 10960 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 181 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 10966 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 182 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 10972 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 183 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 10978 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 184 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 10984 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 185 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 10990 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 186 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 10996 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 187 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 11002 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 188 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 11008 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 189 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 11014 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 190 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 11020 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 191 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 11026 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 192 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 11032 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 193 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 11038 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 194 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 11044 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 195 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 11050 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 196 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 11056 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 197 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 11062 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* $@3: %empty  */
#line 198 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 11068 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* $@4: %empty  */
#line 198 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 11074 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 199 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 11080 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* bgp_afi: IPV4  */
#line 203 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 11086 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* bgp_afi: IPV6  */
#line 204 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 11092 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* bgp_afi: IPV4 MULTICAST  */
#line 205 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 11098 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* bgp_afi: IPV6 MULTICAST  */
#line 206 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 11104 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* bgp_afi: IPV4 MPLS  */
#line 207 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 11110 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* bgp_afi: IPV6 MPLS  */
#line 208 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 11116 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* bgp_afi: VPN4 MPLS  */
#line 209 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 11122 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* bgp_afi: VPN6 MPLS  */
#line 210 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 11128 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* bgp_afi: VPN4 MULTICAST  */
#line 211 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 11134 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* bgp_afi: VPN6 MULTICAST  */
#line 212 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 11140 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* bgp_afi: FLOW4  */
#line 213 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 11146 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* bgp_afi: FLOW6  */
#line 214 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 11152 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* bgp_channel_start: bgp_afi  */
#line 218 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 11180 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* bgp_nh: bool  */
#line 243 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 11186 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* bgp_nh: IBGP  */
#line 244 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 11192 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* bgp_nh: EBGP  */
#line 245 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 11198 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 251 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 11204 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 252 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 11210 "obj/conf/cf-parse.tab.c"
    break;

  case 892: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 253 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 11216 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* bgp_channel_item: MANDATORY bool  */
#line 254 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 11222 "obj/conf/cf-parse.tab.c"
    break;

  case 894: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 255 "proto/bgp/config.Y"
                             { log(L_WARN "%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 11228 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* bgp_channel_item: GATEWAY DIRECT  */
#line 256 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 11234 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 257 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 11240 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* bgp_channel_item: SECONDARY bool  */
#line 258 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 11246 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* bgp_channel_item: VALIDATE bool  */
#line 259 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 11256 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 264 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 11262 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 265 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 11268 "obj/conf/cf-parse.tab.c"
    break;

  case 901: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 266 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 11274 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 267 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 11280 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* bgp_channel_item: ADD PATHS RX  */
#line 268 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 11286 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* bgp_channel_item: ADD PATHS TX  */
#line 269 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 11292 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* bgp_channel_item: ADD PATHS bool  */
#line 270 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 11298 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* bgp_channel_item: IMPORT TABLE bool  */
#line 271 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 11304 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* bgp_channel_item: EXPORT TABLE bool  */
#line 272 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 11310 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* bgp_channel_item: AIGP bool  */
#line 273 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 11316 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* bgp_channel_item: AIGP ORIGINATE  */
#line 274 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 11322 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* bgp_channel_item: COST expr  */
#line 275 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 11328 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* bgp_channel_item: IGP TABLE rtable  */
#line 276 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 11344 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* bgp_channel_item: BASE TABLE rtable  */
#line 287 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 11359 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* bgp_channel_end: %empty  */
#line 310 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 11370 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* dynamic_attr: BGP_ORIGIN  */
#line 321 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 11376 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* dynamic_attr: BGP_PATH  */
#line 323 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 11382 "obj/conf/cf-parse.tab.c"
    break;

  case 921: /* dynamic_attr: BGP_NEXT_HOP  */
#line 325 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 11388 "obj/conf/cf-parse.tab.c"
    break;

  case 922: /* dynamic_attr: BGP_MED  */
#line 327 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 11394 "obj/conf/cf-parse.tab.c"
    break;

  case 923: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 329 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 11400 "obj/conf/cf-parse.tab.c"
    break;

  case 924: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 331 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 11406 "obj/conf/cf-parse.tab.c"
    break;

  case 925: /* dynamic_attr: BGP_AGGREGATOR  */
#line 333 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 11412 "obj/conf/cf-parse.tab.c"
    break;

  case 926: /* dynamic_attr: BGP_COMMUNITY  */
#line 335 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 11418 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 337 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 11424 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 339 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 11430 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 341 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 11436 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* dynamic_attr: BGP_AIGP  */
#line 343 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 11442 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 345 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 11448 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 11456 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 11462 "obj/conf/cf-parse.tab.c"
    break;

  case 936: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 11468 "obj/conf/cf-parse.tab.c"
    break;

  case 937: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 11474 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 11480 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 11486 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 11492 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 11498 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 11504 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 11510 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* mrt_dump_args: %empty  */
#line 57 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 11516 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 58 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 11522 "obj/conf/cf-parse.tab.c"
    break;

  case 949: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 59 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 11528 "obj/conf/cf-parse.tab.c"
    break;

  case 950: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 60 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11534 "obj/conf/cf-parse.tab.c"
    break;

  case 951: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 61 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11540 "obj/conf/cf-parse.tab.c"
    break;

  case 952: /* mrt_dump_args: mrt_dump_args TO text  */
#line 62 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 11546 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* proto: ospf_proto '}'  */
#line 211 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 11552 "obj/conf/cf-parse.tab.c"
    break;

  case 954: /* ospf_variant: OSPF  */
#line 214 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 11558 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* ospf_variant: OSPF V2  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 11564 "obj/conf/cf-parse.tab.c"
    break;

  case 956: /* ospf_variant: OSPF V3  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 11570 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* ospf_proto_start: proto_start ospf_variant  */
#line 220 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 11588 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* ospf_af_mc: %empty  */
#line 240 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 11594 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* ospf_af_mc: MULTICAST  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 11600 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* ospf_channel_start: net_type ospf_af_mc  */
#line 246 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 11612 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* ospf_proto_item: ospf_channel  */
#line 258 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11618 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 259 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 11624 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* ospf_proto_item: RFC5838 bool  */
#line 260 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 11630 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* ospf_proto_item: VPN PE bool  */
#line 261 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 11636 "obj/conf/cf-parse.tab.c"
    break;

  case 969: /* ospf_proto_item: STUB ROUTER bool  */
#line 262 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 11642 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 263 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 11648 "obj/conf/cf-parse.tab.c"
    break;

  case 971: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 264 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 11654 "obj/conf/cf-parse.tab.c"
    break;

  case 972: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 265 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 11660 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* ospf_proto_item: ECMP bool  */
#line 266 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 11666 "obj/conf/cf-parse.tab.c"
    break;

  case 974: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 267 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11672 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 268 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 11678 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* ospf_proto_item: TICK expr  */
#line 269 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 11684 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* ospf_proto_item: INSTANCE ID expr  */
#line 270 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11690 "obj/conf/cf-parse.tab.c"
    break;

  case 979: /* ospf_area_start: AREA idval  */
#line 274 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 11708 "obj/conf/cf-parse.tab.c"
    break;

  case 980: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 289 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 11714 "obj/conf/cf-parse.tab.c"
    break;

  case 983: /* ospf_area_item: STUB bool  */
#line 298 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 11720 "obj/conf/cf-parse.tab.c"
    break;

  case 984: /* ospf_area_item: NSSA  */
#line 299 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 11726 "obj/conf/cf-parse.tab.c"
    break;

  case 985: /* ospf_area_item: SUMMARY bool  */
#line 300 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 11732 "obj/conf/cf-parse.tab.c"
    break;

  case 986: /* ospf_area_item: DEFAULT NSSA bool  */
#line 301 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 11738 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* ospf_area_item: DEFAULT COST expr  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11744 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* ospf_area_item: DEFAULT COST2 expr  */
#line 303 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 11750 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* ospf_area_item: STUB COST expr  */
#line 304 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11756 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* ospf_area_item: TRANSLATOR bool  */
#line 305 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 11762 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 306 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 11768 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* $@5: %empty  */
#line 307 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 11774 "obj/conf/cf-parse.tab.c"
    break;

  case 994: /* $@6: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 11780 "obj/conf/cf-parse.tab.c"
    break;

  case 1001: /* ospf_stubnet_start: net_ip  */
#line 320 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 11791 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* ospf_stubnet_item: HIDDEN bool  */
#line 334 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 11797 "obj/conf/cf-parse.tab.c"
    break;

  case 1005: /* ospf_stubnet_item: SUMMARY bool  */
#line 335 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 11803 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* ospf_stubnet_item: COST expr  */
#line 336 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 11809 "obj/conf/cf-parse.tab.c"
    break;

  case 1007: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 340 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 11815 "obj/conf/cf-parse.tab.c"
    break;

  case 1008: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 341 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 11821 "obj/conf/cf-parse.tab.c"
    break;

  case 1012: /* ospf_vlink_item: HELLO expr  */
#line 350 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11827 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* ospf_vlink_item: RETRANSMIT expr  */
#line 351 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11833 "obj/conf/cf-parse.tab.c"
    break;

  case 1014: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 352 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11839 "obj/conf/cf-parse.tab.c"
    break;

  case 1015: /* ospf_vlink_item: WAIT expr  */
#line 353 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11845 "obj/conf/cf-parse.tab.c"
    break;

  case 1016: /* ospf_vlink_item: DEAD expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11851 "obj/conf/cf-parse.tab.c"
    break;

  case 1017: /* ospf_vlink_item: DEAD COUNT expr  */
#line 355 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11857 "obj/conf/cf-parse.tab.c"
    break;

  case 1018: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 356 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 11863 "obj/conf/cf-parse.tab.c"
    break;

  case 1019: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 357 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11869 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 358 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11875 "obj/conf/cf-parse.tab.c"
    break;

  case 1022: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 363 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 11895 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* ospf_iface_item: COST expr  */
#line 381 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 11901 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* ospf_iface_item: HELLO expr  */
#line 382 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11907 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* ospf_iface_item: POLL expr  */
#line 383 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 11913 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* ospf_iface_item: RETRANSMIT expr  */
#line 384 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11919 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* ospf_iface_item: WAIT expr  */
#line 385 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11925 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* ospf_iface_item: DEAD expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11931 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* ospf_iface_item: DEAD COUNT expr  */
#line 387 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11937 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* ospf_iface_item: TYPE BROADCAST  */
#line 388 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11943 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* ospf_iface_item: TYPE BCAST  */
#line 389 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11949 "obj/conf/cf-parse.tab.c"
    break;

  case 1032: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 390 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11955 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* ospf_iface_item: TYPE NBMA  */
#line 391 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11961 "obj/conf/cf-parse.tab.c"
    break;

  case 1034: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 392 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11967 "obj/conf/cf-parse.tab.c"
    break;

  case 1035: /* ospf_iface_item: TYPE PTP  */
#line 393 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11973 "obj/conf/cf-parse.tab.c"
    break;

  case 1036: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 394 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11979 "obj/conf/cf-parse.tab.c"
    break;

  case 1037: /* ospf_iface_item: TYPE PTMP  */
#line 395 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11985 "obj/conf/cf-parse.tab.c"
    break;

  case 1038: /* ospf_iface_item: REAL BROADCAST bool  */
#line 396 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 11991 "obj/conf/cf-parse.tab.c"
    break;

  case 1039: /* ospf_iface_item: PTP NETMASK bool  */
#line 397 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 11997 "obj/conf/cf-parse.tab.c"
    break;

  case 1040: /* ospf_iface_item: PTP ADDRESS bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 12003 "obj/conf/cf-parse.tab.c"
    break;

  case 1041: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 399 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 12009 "obj/conf/cf-parse.tab.c"
    break;

  case 1042: /* ospf_iface_item: PRIORITY expr  */
#line 400 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 12015 "obj/conf/cf-parse.tab.c"
    break;

  case 1043: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 401 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 12021 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* ospf_iface_item: STUB bool  */
#line 402 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 12027 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* ospf_iface_item: CHECK LINK bool  */
#line 403 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 12033 "obj/conf/cf-parse.tab.c"
    break;

  case 1046: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 404 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 12039 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 405 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 12045 "obj/conf/cf-parse.tab.c"
    break;

  case 1049: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 407 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 12051 "obj/conf/cf-parse.tab.c"
    break;

  case 1050: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 408 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 12057 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 409 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 12063 "obj/conf/cf-parse.tab.c"
    break;

  case 1052: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 410 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 12069 "obj/conf/cf-parse.tab.c"
    break;

  case 1053: /* ospf_iface_item: RX BUFFER LARGE  */
#line 411 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 12075 "obj/conf/cf-parse.tab.c"
    break;

  case 1054: /* ospf_iface_item: RX BUFFER expr  */
#line 412 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 12081 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* ospf_iface_item: TX tos  */
#line 413 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 12087 "obj/conf/cf-parse.tab.c"
    break;

  case 1056: /* ospf_iface_item: TX PRIORITY expr  */
#line 414 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 12093 "obj/conf/cf-parse.tab.c"
    break;

  case 1057: /* ospf_iface_item: TX LENGTH expr  */
#line 415 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 12099 "obj/conf/cf-parse.tab.c"
    break;

  case 1058: /* ospf_iface_item: TTL SECURITY bool  */
#line 416 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 12105 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 417 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 12111 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* ospf_iface_item: BFD bool  */
#line 418 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12117 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* pref_base: net_ip  */
#line 430 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 12127 "obj/conf/cf-parse.tab.c"
    break;

  case 1067: /* pref_opt: HIDDEN  */
#line 439 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 12133 "obj/conf/cf-parse.tab.c"
    break;

  case 1068: /* pref_opt: TAG expr  */
#line 440 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 12139 "obj/conf/cf-parse.tab.c"
    break;

  case 1071: /* nbma_eligible: %empty  */
#line 449 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 12145 "obj/conf/cf-parse.tab.c"
    break;

  case 1072: /* nbma_eligible: ELIGIBLE  */
#line 450 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 12151 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* nbma_item: ipa nbma_eligible ';'  */
#line 454 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 12162 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* ospf_iface_start: %empty  */
#line 463 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 12187 "obj/conf/cf-parse.tab.c"
    break;

  case 1076: /* ospf_instance_id: INSTANCE expr  */
#line 487 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 12193 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* $@7: %empty  */
#line 491 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 12199 "obj/conf/cf-parse.tab.c"
    break;

  case 1083: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 505 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 12205 "obj/conf/cf-parse.tab.c"
    break;

  case 1084: /* dynamic_attr: OSPF_METRIC1  */
#line 508 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 12211 "obj/conf/cf-parse.tab.c"
    break;

  case 1085: /* dynamic_attr: OSPF_METRIC2  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 12217 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* dynamic_attr: OSPF_TAG  */
#line 510 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 12223 "obj/conf/cf-parse.tab.c"
    break;

  case 1087: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 511 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 12229 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 515 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 12235 "obj/conf/cf-parse.tab.c"
    break;

  case 1091: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 518 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 12241 "obj/conf/cf-parse.tab.c"
    break;

  case 1093: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 521 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 12247 "obj/conf/cf-parse.tab.c"
    break;

  case 1095: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 526 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 12253 "obj/conf/cf-parse.tab.c"
    break;

  case 1097: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 529 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 12259 "obj/conf/cf-parse.tab.c"
    break;

  case 1099: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 534 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 12265 "obj/conf/cf-parse.tab.c"
    break;

  case 1101: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 537 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 12271 "obj/conf/cf-parse.tab.c"
    break;

  case 1103: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 541 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 12282 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* lsadb_args: %empty  */
#line 549 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 12290 "obj/conf/cf-parse.tab.c"
    break;

  case 1105: /* lsadb_args: lsadb_args GLOBAL  */
#line 552 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 12296 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* lsadb_args: lsadb_args AREA idval  */
#line 553 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 12302 "obj/conf/cf-parse.tab.c"
    break;

  case 1107: /* lsadb_args: lsadb_args LINK  */
#line 554 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 12308 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* lsadb_args: lsadb_args TYPE NUM  */
#line 555 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 12314 "obj/conf/cf-parse.tab.c"
    break;

  case 1109: /* lsadb_args: lsadb_args LSID idval  */
#line 556 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 12320 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* lsadb_args: lsadb_args SELF  */
#line 557 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 12326 "obj/conf/cf-parse.tab.c"
    break;

  case 1111: /* lsadb_args: lsadb_args ROUTER idval  */
#line 558 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 12332 "obj/conf/cf-parse.tab.c"
    break;

  case 1112: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 559 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 12338 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 12354 "obj/conf/cf-parse.tab.c"
    break;

  case 1118: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12360 "obj/conf/cf-parse.tab.c"
    break;

  case 1119: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 12366 "obj/conf/cf-parse.tab.c"
    break;

  case 1120: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 12372 "obj/conf/cf-parse.tab.c"
    break;

  case 1121: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 12378 "obj/conf/cf-parse.tab.c"
    break;

  case 1122: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 12384 "obj/conf/cf-parse.tab.c"
    break;

  case 1123: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 12390 "obj/conf/cf-parse.tab.c"
    break;

  case 1124: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 12396 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 12402 "obj/conf/cf-parse.tab.c"
    break;

  case 1126: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 12408 "obj/conf/cf-parse.tab.c"
    break;

  case 1127: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 12414 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 12420 "obj/conf/cf-parse.tab.c"
    break;

  case 1129: /* $@8: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 12428 "obj/conf/cf-parse.tab.c"
    break;

  case 1130: /* pipe_proto_start: proto_start PIPE $@8 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 12441 "obj/conf/cf-parse.tab.c"
    break;

  case 1134: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 12447 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* radv_proto_start: proto_start RADV  */
#line 47 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 12461 "obj/conf/cf-parse.tab.c"
    break;

  case 1140: /* radv_proto_item: PREFIX radv_prefix  */
#line 61 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 12467 "obj/conf/cf-parse.tab.c"
    break;

  case 1141: /* $@9: %empty  */
#line 62 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12473 "obj/conf/cf-parse.tab.c"
    break;

  case 1142: /* radv_proto_item: RDNSS $@9 radv_rdnss  */
#line 62 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 12479 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* $@10: %empty  */
#line 63 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12485 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* radv_proto_item: DNSSL $@10 radv_dnssl  */
#line 63 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 12491 "obj/conf/cf-parse.tab.c"
    break;

  case 1145: /* radv_proto_item: TRIGGER net_ip6  */
#line 64 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 12497 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 65 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 12503 "obj/conf/cf-parse.tab.c"
    break;

  case 1150: /* radv_iface_start: %empty  */
#line 78 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 12529 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 101 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 12535 "obj/conf/cf-parse.tab.c"
    break;

  case 1152: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 102 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 12541 "obj/conf/cf-parse.tab.c"
    break;

  case 1153: /* radv_iface_item: MIN DELAY expr  */
#line 103 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 12547 "obj/conf/cf-parse.tab.c"
    break;

  case 1154: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 104 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 12553 "obj/conf/cf-parse.tab.c"
    break;

  case 1155: /* radv_iface_item: MANAGED bool  */
#line 105 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 12559 "obj/conf/cf-parse.tab.c"
    break;

  case 1156: /* radv_iface_item: OTHER CONFIG bool  */
#line 106 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 12565 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* radv_iface_item: LINK MTU expr  */
#line 107 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 12571 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* radv_iface_item: REACHABLE TIME expr  */
#line 108 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 12577 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* radv_iface_item: RETRANS TIMER expr  */
#line 109 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 12583 "obj/conf/cf-parse.tab.c"
    break;

  case 1160: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 110 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 12589 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 111 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12599 "obj/conf/cf-parse.tab.c"
    break;

  case 1162: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 116 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12608 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 120 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 12614 "obj/conf/cf-parse.tab.c"
    break;

  case 1164: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 121 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 12620 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 122 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 12626 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 123 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 12632 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* radv_iface_item: PREFIX radv_prefix  */
#line 124 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 12638 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* $@11: %empty  */
#line 125 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12644 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* radv_iface_item: RDNSS $@11 radv_rdnss  */
#line 125 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 12650 "obj/conf/cf-parse.tab.c"
    break;

  case 1170: /* $@12: %empty  */
#line 126 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12656 "obj/conf/cf-parse.tab.c"
    break;

  case 1171: /* radv_iface_item: DNSSL $@12 radv_dnssl  */
#line 126 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 12662 "obj/conf/cf-parse.tab.c"
    break;

  case 1172: /* radv_iface_item: RDNSS LOCAL bool  */
#line 127 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 12668 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* radv_iface_item: DNSSL LOCAL bool  */
#line 128 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 12674 "obj/conf/cf-parse.tab.c"
    break;

  case 1174: /* radv_preference: LOW  */
#line 132 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 12680 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* radv_preference: MEDIUM  */
#line 133 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 12686 "obj/conf/cf-parse.tab.c"
    break;

  case 1176: /* radv_preference: HIGH  */
#line 134 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 12692 "obj/conf/cf-parse.tab.c"
    break;

  case 1177: /* radv_iface_finish: %empty  */
#line 137 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 12733 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* radv_prefix_start: net_ip6  */
#line 190 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 12747 "obj/conf/cf-parse.tab.c"
    break;

  case 1184: /* radv_prefix_item: SKIP bool  */
#line 201 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 12753 "obj/conf/cf-parse.tab.c"
    break;

  case 1185: /* radv_prefix_item: ONLINK bool  */
#line 202 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 12759 "obj/conf/cf-parse.tab.c"
    break;

  case 1186: /* radv_prefix_item: AUTONOMOUS bool  */
#line 203 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 12765 "obj/conf/cf-parse.tab.c"
    break;

  case 1187: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 204 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12774 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 208 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12783 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* radv_prefix_finish: %empty  */
#line 215 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 12795 "obj/conf/cf-parse.tab.c"
    break;

  case 1195: /* radv_rdnss_node: ipa  */
#line 239 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12807 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* radv_rdnss_start: %empty  */
#line 248 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12816 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 255 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 12822 "obj/conf/cf-parse.tab.c"
    break;

  case 1200: /* radv_rdnss_finish: %empty  */
#line 259 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 12838 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* radv_dnssl_node: TEXT  */
#line 283 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 12853 "obj/conf/cf-parse.tab.c"
    break;

  case 1206: /* radv_dnssl_start: %empty  */
#line 295 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12862 "obj/conf/cf-parse.tab.c"
    break;

  case 1209: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 302 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 12868 "obj/conf/cf-parse.tab.c"
    break;

  case 1210: /* radv_dnssl_finish: %empty  */
#line 306 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 12884 "obj/conf/cf-parse.tab.c"
    break;

  case 1215: /* radv_mult: expr  */
#line 330 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 12890 "obj/conf/cf-parse.tab.c"
    break;

  case 1216: /* radv_mult: MULT expr  */
#line 331 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 12896 "obj/conf/cf-parse.tab.c"
    break;

  case 1217: /* radv_sensitive: %empty  */
#line 335 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 12902 "obj/conf/cf-parse.tab.c"
    break;

  case 1218: /* radv_sensitive: SENSITIVE bool  */
#line 336 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 12908 "obj/conf/cf-parse.tab.c"
    break;

  case 1219: /* dynamic_attr: RA_PREFERENCE  */
#line 339 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 12914 "obj/conf/cf-parse.tab.c"
    break;

  case 1220: /* dynamic_attr: RA_LIFETIME  */
#line 340 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 12920 "obj/conf/cf-parse.tab.c"
    break;

  case 1222: /* rip_variant: RIP  */
#line 49 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 12926 "obj/conf/cf-parse.tab.c"
    break;

  case 1223: /* rip_variant: RIP NG  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 12932 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* rip_proto_start: proto_start rip_variant  */
#line 54 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 12948 "obj/conf/cf-parse.tab.c"
    break;

  case 1227: /* rip_proto_item: ECMP bool  */
#line 69 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 12954 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 12960 "obj/conf/cf-parse.tab.c"
    break;

  case 1229: /* rip_proto_item: INFINITY expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 12966 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* rip_iface_start: %empty  */
#line 85 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 12994 "obj/conf/cf-parse.tab.c"
    break;

  case 1235: /* rip_iface_finish: %empty  */
#line 110 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 13027 "obj/conf/cf-parse.tab.c"
    break;

  case 1236: /* rip_iface_item: METRIC expr  */
#line 140 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 13033 "obj/conf/cf-parse.tab.c"
    break;

  case 1237: /* rip_iface_item: MODE MULTICAST  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 13039 "obj/conf/cf-parse.tab.c"
    break;

  case 1238: /* rip_iface_item: MODE BROADCAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 13045 "obj/conf/cf-parse.tab.c"
    break;

  case 1239: /* rip_iface_item: PASSIVE bool  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 13051 "obj/conf/cf-parse.tab.c"
    break;

  case 1240: /* rip_iface_item: ADDRESS ipa  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 13057 "obj/conf/cf-parse.tab.c"
    break;

  case 1241: /* rip_iface_item: PORT expr  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13063 "obj/conf/cf-parse.tab.c"
    break;

  case 1242: /* rip_iface_item: VERSION expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 13072 "obj/conf/cf-parse.tab.c"
    break;

  case 1243: /* rip_iface_item: VERSION ONLY bool  */
#line 150 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 13078 "obj/conf/cf-parse.tab.c"
    break;

  case 1244: /* rip_iface_item: SPLIT HORIZON bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 13084 "obj/conf/cf-parse.tab.c"
    break;

  case 1245: /* rip_iface_item: POISON REVERSE bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 13090 "obj/conf/cf-parse.tab.c"
    break;

  case 1246: /* rip_iface_item: CHECK ZERO bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 13096 "obj/conf/cf-parse.tab.c"
    break;

  case 1247: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 13102 "obj/conf/cf-parse.tab.c"
    break;

  case 1248: /* rip_iface_item: UPDATE TIME expr  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 13108 "obj/conf/cf-parse.tab.c"
    break;

  case 1249: /* rip_iface_item: TIMEOUT TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 13114 "obj/conf/cf-parse.tab.c"
    break;

  case 1250: /* rip_iface_item: GARBAGE TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 13120 "obj/conf/cf-parse.tab.c"
    break;

  case 1251: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 158 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 13126 "obj/conf/cf-parse.tab.c"
    break;

  case 1252: /* rip_iface_item: ECMP WEIGHT expr  */
#line 159 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 13132 "obj/conf/cf-parse.tab.c"
    break;

  case 1253: /* rip_iface_item: RX BUFFER expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 13138 "obj/conf/cf-parse.tab.c"
    break;

  case 1254: /* rip_iface_item: TX LENGTH expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 13144 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* rip_iface_item: TX tos  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 13150 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* rip_iface_item: TX PRIORITY expr  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 13156 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* rip_iface_item: TTL SECURITY bool  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 13162 "obj/conf/cf-parse.tab.c"
    break;

  case 1258: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 13168 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* rip_iface_item: CHECK LINK bool  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 13174 "obj/conf/cf-parse.tab.c"
    break;

  case 1260: /* rip_iface_item: BFD bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 13180 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 168 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 13186 "obj/conf/cf-parse.tab.c"
    break;

  case 1262: /* rip_iface_item: password_list  */
#line 169 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 13192 "obj/conf/cf-parse.tab.c"
    break;

  case 1263: /* rip_auth: NONE  */
#line 173 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 13198 "obj/conf/cf-parse.tab.c"
    break;

  case 1264: /* rip_auth: PLAINTEXT  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 13204 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* rip_auth: CRYPTOGRAPHIC  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13210 "obj/conf/cf-parse.tab.c"
    break;

  case 1266: /* rip_auth: MD5  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13216 "obj/conf/cf-parse.tab.c"
    break;

  case 1272: /* dynamic_attr: RIP_METRIC  */
#line 193 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 13222 "obj/conf/cf-parse.tab.c"
    break;

  case 1273: /* dynamic_attr: RIP_TAG  */
#line 194 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 13228 "obj/conf/cf-parse.tab.c"
    break;

  case 1275: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 199 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 13234 "obj/conf/cf-parse.tab.c"
    break;

  case 1277: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 202 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 13240 "obj/conf/cf-parse.tab.c"
    break;

  case 1279: /* rpki_proto_start: proto_start RPKI  */
#line 43 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 13251 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 50 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 13257 "obj/conf/cf-parse.tab.c"
    break;

  case 1289: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 64 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 13268 "obj/conf/cf-parse.tab.c"
    break;

  case 1290: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 70 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 13279 "obj/conf/cf-parse.tab.c"
    break;

  case 1291: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 76 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 13290 "obj/conf/cf-parse.tab.c"
    break;

  case 1292: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 82 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 13296 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* rpki_keep_interval: %empty  */
#line 86 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 13302 "obj/conf/cf-parse.tab.c"
    break;

  case 1294: /* rpki_keep_interval: KEEP  */
#line 87 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 13308 "obj/conf/cf-parse.tab.c"
    break;

  case 1295: /* rpki_proto_item_port: PORT expr  */
#line 90 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 13314 "obj/conf/cf-parse.tab.c"
    break;

  case 1296: /* rpki_cache_addr: text  */
#line 93 "proto/rpki/config.Y"
        {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 13323 "obj/conf/cf-parse.tab.c"
    break;

  case 1297: /* rpki_cache_addr: ipa  */
#line 97 "proto/rpki/config.Y"
       {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 13336 "obj/conf/cf-parse.tab.c"
    break;

  case 1300: /* rpki_transport_tcp_init: %empty  */
#line 113 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 13346 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* rpki_transport_ssh_init: %empty  */
#line 120 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 13360 "obj/conf/cf-parse.tab.c"
    break;

  case 1304: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 136 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 13366 "obj/conf/cf-parse.tab.c"
    break;

  case 1305: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 137 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 13372 "obj/conf/cf-parse.tab.c"
    break;

  case 1306: /* rpki_transport_ssh_item: USER text  */
#line 138 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 13378 "obj/conf/cf-parse.tab.c"
    break;

  case 1307: /* rpki_transport_ssh_check: %empty  */
#line 142 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 13387 "obj/conf/cf-parse.tab.c"
    break;

  case 1309: /* static_proto_start: proto_start STATIC  */
#line 57 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 13396 "obj/conf/cf-parse.tab.c"
    break;

  case 1312: /* static_proto: static_proto proto_channel ';'  */
#line 65 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 13402 "obj/conf/cf-parse.tab.c"
    break;

  case 1313: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 66 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 13408 "obj/conf/cf-parse.tab.c"
    break;

  case 1314: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 67 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 13421 "obj/conf/cf-parse.tab.c"
    break;

  case 1315: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 75 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 13427 "obj/conf/cf-parse.tab.c"
    break;

  case 1316: /* stat_nexthop: VIA ipa ipa_scope  */
#line 79 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 13437 "obj/conf/cf-parse.tab.c"
    break;

  case 1317: /* stat_nexthop: VIA TEXT  */
#line 84 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 13447 "obj/conf/cf-parse.tab.c"
    break;

  case 1318: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 89 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 13455 "obj/conf/cf-parse.tab.c"
    break;

  case 1319: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 92 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 13463 "obj/conf/cf-parse.tab.c"
    break;

  case 1320: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 95 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 13472 "obj/conf/cf-parse.tab.c"
    break;

  case 1321: /* stat_nexthop: stat_nexthop BFD bool  */
#line 99 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 13480 "obj/conf/cf-parse.tab.c"
    break;

  case 1324: /* stat_route0: ROUTE net_any  */
#line 109 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 13494 "obj/conf/cf-parse.tab.c"
    break;

  case 1326: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 122 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 13503 "obj/conf/cf-parse.tab.c"
    break;

  case 1327: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 126 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 13513 "obj/conf/cf-parse.tab.c"
    break;

  case 1328: /* stat_route: stat_route0  */
#line 131 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 13519 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* stat_route: stat_route0 DROP  */
#line 132 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 13525 "obj/conf/cf-parse.tab.c"
    break;

  case 1330: /* stat_route: stat_route0 REJECT  */
#line 133 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 13531 "obj/conf/cf-parse.tab.c"
    break;

  case 1331: /* stat_route: stat_route0 BLACKHOLE  */
#line 134 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 13537 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* stat_route: stat_route0 UNREACHABLE  */
#line 135 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 13543 "obj/conf/cf-parse.tab.c"
    break;

  case 1333: /* stat_route: stat_route0 PROHIBIT  */
#line 136 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 13549 "obj/conf/cf-parse.tab.c"
    break;

  case 1334: /* stat_route_item: cmd  */
#line 140 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 13561 "obj/conf/cf-parse.tab.c"
    break;

  case 1340: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 161 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 13567 "obj/conf/cf-parse.tab.c"
    break;

  case 1342: /* kern_sys_item: KERNEL TABLE expr  */
#line 26 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 13573 "obj/conf/cf-parse.tab.c"
    break;

  case 1343: /* kern_sys_item: METRIC expr  */
#line 27 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 13579 "obj/conf/cf-parse.tab.c"
    break;

  case 1344: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 28 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 13585 "obj/conf/cf-parse.tab.c"
    break;

  case 1345: /* dynamic_attr: KRT_PREFSRC  */
#line 31 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 13591 "obj/conf/cf-parse.tab.c"
    break;

  case 1346: /* dynamic_attr: KRT_REALM  */
#line 32 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 13597 "obj/conf/cf-parse.tab.c"
    break;

  case 1347: /* dynamic_attr: KRT_SCOPE  */
#line 33 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 13603 "obj/conf/cf-parse.tab.c"
    break;

  case 1348: /* dynamic_attr: KRT_MTU  */
#line 35 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 13609 "obj/conf/cf-parse.tab.c"
    break;

  case 1349: /* dynamic_attr: KRT_WINDOW  */
#line 36 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 13615 "obj/conf/cf-parse.tab.c"
    break;

  case 1350: /* dynamic_attr: KRT_RTT  */
#line 37 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 13621 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* dynamic_attr: KRT_RTTVAR  */
#line 38 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 13627 "obj/conf/cf-parse.tab.c"
    break;

  case 1352: /* dynamic_attr: KRT_SSTRESH  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 13633 "obj/conf/cf-parse.tab.c"
    break;

  case 1353: /* dynamic_attr: KRT_CWND  */
#line 40 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 13639 "obj/conf/cf-parse.tab.c"
    break;

  case 1354: /* dynamic_attr: KRT_ADVMSS  */
#line 41 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 13645 "obj/conf/cf-parse.tab.c"
    break;

  case 1355: /* dynamic_attr: KRT_REORDERING  */
#line 42 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 13651 "obj/conf/cf-parse.tab.c"
    break;

  case 1356: /* dynamic_attr: KRT_HOPLIMIT  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 13657 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* dynamic_attr: KRT_INITCWND  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 13663 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* dynamic_attr: KRT_RTO_MIN  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 13669 "obj/conf/cf-parse.tab.c"
    break;

  case 1359: /* dynamic_attr: KRT_INITRWND  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 13675 "obj/conf/cf-parse.tab.c"
    break;

  case 1360: /* dynamic_attr: KRT_QUICKACK  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 13681 "obj/conf/cf-parse.tab.c"
    break;

  case 1361: /* dynamic_attr: KRT_LOCK_MTU  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 13687 "obj/conf/cf-parse.tab.c"
    break;

  case 1362: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 13693 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* dynamic_attr: KRT_LOCK_RTT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 13699 "obj/conf/cf-parse.tab.c"
    break;

  case 1364: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 13705 "obj/conf/cf-parse.tab.c"
    break;

  case 1365: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 13711 "obj/conf/cf-parse.tab.c"
    break;

  case 1366: /* dynamic_attr: KRT_LOCK_CWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 13717 "obj/conf/cf-parse.tab.c"
    break;

  case 1367: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 13723 "obj/conf/cf-parse.tab.c"
    break;

  case 1368: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 58 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 13729 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 59 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 13735 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 60 "sysdep/linux/netlink.Y"
                               { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 13741 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 62 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 13747 "obj/conf/cf-parse.tab.c"
    break;

  case 1372: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 63 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 13753 "obj/conf/cf-parse.tab.c"
    break;

  case 1374: /* log_begin: %empty  */
#line 33 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 13759 "obj/conf/cf-parse.tab.c"
    break;

  case 1375: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 35 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 13768 "obj/conf/cf-parse.tab.c"
    break;

  case 1376: /* syslog_name: NAME text  */
#line 42 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 13774 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* syslog_name: %empty  */
#line 43 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 13780 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* log_limit: expr text  */
#line 48 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 13786 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* log_file: text log_limit  */
#line 52 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 13801 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* log_file: SYSLOG syslog_name  */
#line 62 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 13807 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* log_file: STDERR  */
#line 63 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 13813 "obj/conf/cf-parse.tab.c"
    break;

  case 1383: /* log_mask: ALL  */
#line 67 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 13819 "obj/conf/cf-parse.tab.c"
    break;

  case 1384: /* log_mask: '{' log_mask_list '}'  */
#line 68 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 13825 "obj/conf/cf-parse.tab.c"
    break;

  case 1385: /* log_mask_list: log_cat  */
#line 72 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 13831 "obj/conf/cf-parse.tab.c"
    break;

  case 1386: /* log_mask_list: log_mask_list ',' log_cat  */
#line 73 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 13837 "obj/conf/cf-parse.tab.c"
    break;

  case 1387: /* log_cat: DEBUG  */
#line 77 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 13843 "obj/conf/cf-parse.tab.c"
    break;

  case 1388: /* log_cat: TRACE  */
#line 78 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 13849 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* log_cat: INFO  */
#line 79 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 13855 "obj/conf/cf-parse.tab.c"
    break;

  case 1390: /* log_cat: REMOTE  */
#line 80 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 13861 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* log_cat: WARNING  */
#line 81 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 13867 "obj/conf/cf-parse.tab.c"
    break;

  case 1392: /* log_cat: ERROR  */
#line 82 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 13873 "obj/conf/cf-parse.tab.c"
    break;

  case 1393: /* log_cat: AUTH  */
#line 83 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 13879 "obj/conf/cf-parse.tab.c"
    break;

  case 1394: /* log_cat: FATAL  */
#line 84 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 13885 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* log_cat: BUG  */
#line 85 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 13891 "obj/conf/cf-parse.tab.c"
    break;

  case 1397: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 92 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 13897 "obj/conf/cf-parse.tab.c"
    break;

  case 1398: /* mrtdump_base: MRTDUMP text ';'  */
#line 93 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 13910 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* debug_unix: DEBUG LATENCY bool  */
#line 107 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 13916 "obj/conf/cf-parse.tab.c"
    break;

  case 1401: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 108 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 13922 "obj/conf/cf-parse.tab.c"
    break;

  case 1402: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 109 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 13928 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 110 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 13934 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 119 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 13940 "obj/conf/cf-parse.tab.c"
    break;

  case 1407: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 122 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 13946 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 129 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 13952 "obj/conf/cf-parse.tab.c"
    break;

  case 1411: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 132 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 13958 "obj/conf/cf-parse.tab.c"
    break;

  case 1413: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 135 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 13964 "obj/conf/cf-parse.tab.c"
    break;

  case 1415: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 138 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 13970 "obj/conf/cf-parse.tab.c"
    break;

  case 1417: /* cmd_DOWN: DOWN END  */
#line 141 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 13976 "obj/conf/cf-parse.tab.c"
    break;

  case 1419: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 146 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 13982 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* cfg_name: %empty  */
#line 150 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 13988 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* cfg_timeout: %empty  */
#line 155 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 13994 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* cfg_timeout: TIMEOUT  */
#line 156 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 14000 "obj/conf/cf-parse.tab.c"
    break;

  case 1424: /* cfg_timeout: TIMEOUT expr  */
#line 157 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 14006 "obj/conf/cf-parse.tab.c"
    break;

  case 1426: /* kern_proto_start: proto_start KERNEL  */
#line 43 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 14014 "obj/conf/cf-parse.tab.c"
    break;

  case 1429: /* kern_mp_limit: %empty  */
#line 52 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 14020 "obj/conf/cf-parse.tab.c"
    break;

  case 1430: /* kern_mp_limit: LIMIT expr  */
#line 53 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 14026 "obj/conf/cf-parse.tab.c"
    break;

  case 1432: /* kern_item: proto_channel  */
#line 58 "sysdep/unix/krt.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14032 "obj/conf/cf-parse.tab.c"
    break;

  case 1433: /* kern_item: PERSIST bool  */
#line 59 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 14038 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* kern_item: SCAN TIME expr  */
#line 60 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 14047 "obj/conf/cf-parse.tab.c"
    break;

  case 1435: /* kern_item: LEARN bool  */
#line 64 "sysdep/unix/krt.Y"
              {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 14059 "obj/conf/cf-parse.tab.c"
    break;

  case 1436: /* kern_item: GRACEFUL RESTART bool  */
#line 71 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 14065 "obj/conf/cf-parse.tab.c"
    break;

  case 1437: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 72 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 14077 "obj/conf/cf-parse.tab.c"
    break;

  case 1439: /* kif_proto_start: proto_start DEVICE  */
#line 85 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 14083 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* kif_item: SCAN TIME expr  */
#line 94 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 14092 "obj/conf/cf-parse.tab.c"
    break;

  case 1445: /* kif_iface_start: %empty  */
#line 101 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 14102 "obj/conf/cf-parse.tab.c"
    break;

  case 1446: /* kif_iface_item: PREFERRED ipa  */
#line 108 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 14108 "obj/conf/cf-parse.tab.c"
    break;

  case 1452: /* dynamic_attr: KRT_SOURCE  */
#line 125 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 14114 "obj/conf/cf-parse.tab.c"
    break;

  case 1453: /* dynamic_attr: KRT_METRIC  */
#line 126 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 14120 "obj/conf/cf-parse.tab.c"
    break;


#line 14124 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          goto yyexhaustedlab;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 50 "conf/gen_parser.m4"

#line 387 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 927 "nest/config.Y"
/* C Code from nest/config.Y */

#line 187 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 182 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 351 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 562 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 342 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 205 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 147 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 66 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 160 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

